<?php

add_action( 'admin_footer', 'cptn_po_configuration_js' );
function cptn_po_configuration_js()
{
    ?>
	<script type="text/javascript">
	var cptn_domchanged = 0;
	var cptn_inaguard_changed = 0;
		
   // START check every 30ms until jQuery is available
   (function() {
      var nTimer = setInterval(function() {
        if (window.jQuery) {
	  	   clearInterval(nTimer);

	    // jQuery is loaded
		jQuery(document).ready(function($) {

           if(window.location.hash != "") 
			  $('button[data-bs-target="'+window.location.hash+'"]').click();  			  

		   $('.loadingSpinnerContainer').show(); 

		   // modals are loaded (below!) https://github.com/uzairfarooq/arrive
		   document.arrive('#cptn-po-config-mail-modal', function() {
		   
		      // load all data into page
			  cptn_po_config_load_general();
			  cptn_po_config_load_mail();
			  cptn_po_config_load_headerfooter();
			  cptn_po_config_load_optimization();
			  cptn_po_config_load_report();
			  cptn_po_config_load_statistics();

			  cptn_enable_bootstrap_tooltips();

<?php 
    ?>


			  // BUTTON CONFIGURE MAIL SERVERS
			  $('#cptn-po-configure-mail-server').click(function(e) {
			     window.location.href = '/wp-admin/admin.php?page=campation-postoffice-mailserver';
			     });
				 
				 
		      // SAVE BUTTON GENERAL
		   	  $('#cptn-po-config-general-modal .config_save_button').click(function(e) {
		   		 $('.loadingSpinnerContainer').show(); 
				 var formdata = $('#cptn_po_config_general_form').serialize();

				 $.ajax({
				    method: 'POST',
		 			cache: false,
					headers: {'cache-control':'no-cache'},
		 			context: this,
		 			url: adminajaxurl,
		 			data: formdata,
         			success: function(data) {
						    cptn_domchanged=0;
		   					cptn_po_config_load_general();   // load changed content
							if($('#cptn_po_opt_sandbox_mode').is(':checked'))
							   $('#wp-admin-bar-cptn-po-sandbox-mode').css('display','inline');
							else
							   $('#wp-admin-bar-cptn-po-sandbox-mode').css('display','none');
							if($('#cptn_po_opt_delete_data_uninstall').is(':checked'))
							   $('#cptn_po_opt_delete_data_uninstall').css('display','inline');
							else
							   $('#cptn_po_opt_delete_data_uninstall').css('display','none');
				 			$('.modal').modal('hide');   
            				},
               		complete: function() {},
   		       		error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                    });
                 });
		      // warn if changes were not saved
		   	  $(document).on('change','#cptn_po_config_general_form',function(e) {
				 cptn_domchanged++;
                 });
			  // control save button
		      setInterval(function() {
				    var enable_general_save_button = true;
					$('input,textarea,select').filter('[required]:visible:not(:disabled)').each(function(i, requiredField){
        			   if($(requiredField).val()=='' || $(requiredField).val()=='0') enable_general_save_button = false;
    				   });
                    jQuery('#cptn-po-config-general-modal .config_save_button').attr('disabled',!enable_general_save_button);
                    }, 500); // check every 500ms

		      // show/hide cptn_po_opt_sandbox_container
		   	  $('#cptn_po_opt_sandbox_mode').click(function() {
			     if($(this).prop('checked')==true)
				    {
					$('.cptn_po_opt_sandbox_container').show()
			        $('.cptn_po_opt_sandbox_container_show').show();
					}
				 else	  					   
					{  					   
			        $('.cptn_po_opt_sandbox_container').hide();
			        $('.cptn_po_opt_sandbox_container_show').hide();
					}
			     });
					
		      // SAVE BUTTON MAIL
		   	  $('#cptn-po-config-mail-modal .config_save_button').click(function(e) {
		   		 $('.loadingSpinnerContainer').show(); 
				 var formdata = $('#cptn_po_config_mail_form').serialize();
				 $.ajax({
				    method: 'POST',
		 			cache: false,
					headers: {'cache-control':'no-cache'},
		 			context: this,
		 			url: adminajaxurl,
		 			data: formdata,
         			success: function(data) {
						    cptn_domchanged=0;
		   					cptn_po_config_load_mail();   // load changed content
				 			$('.modal').modal('hide');   
            				},
               		complete: function() {},
   		       		error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                    });
                 });
		      // warn if changes were not saved
		   	  $(document).on('change','#cptn_po_config_mail_form',function(e) {
				 cptn_domchanged++;
                 });
			  // control save button
		      setInterval(function() {
				    var enable_mail_save_button = true;
					$('input,textarea,select').filter('[required]:visible:not(:disabled)').each(function(i, requiredField){
        			   if($(requiredField).val()=='' || $(requiredField).val()=='0') enable_mail_save_button = false;
    				   });
                    jQuery('#cptn-po-config-mail-modal .config_save_button').attr('disabled',!enable_mail_save_button);
                    }, 500); // check every 500ms
					


		      // SAVE BUTTON HEADER FOOTER
		   	  $('#cptn-po-config-headerfooter-modal .config_save_button').click(function(e) {
		   		 $('.loadingSpinnerContainer').show(); 
				 var formdata = $('#cptn_po_config_headerfooter_form').serialize();

				 $.ajax({
				    method: 'POST',
		 			cache: false,
					headers: {'cache-control':'no-cache'},
		 			context: this,
		 			url: adminajaxurl,
		 			data: formdata,
         			success: function(data) {
						    cptn_domchanged=0;
		   					cptn_po_config_load_headerfooter();   // load changed content
				 			$('.modal').modal('hide');   
            				},
               		complete: function() {},
   		       		error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                    });
                 });
		      // warn if changes were not saved
		   	  $(document).on('change','#cptn_po_config_headerfooter_form',function(e) {
				 cptn_domchanged++;
                 });
			  // control save button
		      setInterval(function() {
				    var enable_headerfooter_save_button = true;
					$('input,textarea,select').filter('[required]:visible:not(:disabled)').each(function(i, requiredField){
        			   if($(requiredField).val()=='' || $(requiredField).val()=='0') enable_headerfooter_save_button = false;
    				   });
                    jQuery('#cptn-po-config-headerfooter-modal .config_save_button').attr('disabled',!enable_headerfooter_save_button);
                    }, 500); // check every 500ms
					

		      // SAVE BUTTON OPTIMIZATION
		   	  $('#cptn-po-config-optimization-modal .config_save_button').click(function(e) {
		   		 $('.loadingSpinnerContainer').show(); 
				 var formdata = $('#cptn_po_config_optimization_form').serialize();

				 $.ajax({
				    method: 'POST',
		 			cache: false,
					headers: {'cache-control':'no-cache'},
		 			context: this,
		 			url: adminajaxurl,
		 			data: formdata,
         			success: function(data) {
						    cptn_domchanged=0;
		   					cptn_po_config_load_optimization();   // load changed content
				 			$('.modal').modal('hide');   

<?php 
    ?>
            				},
               		complete: function() {},
   		       		error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                    });
                 });
		      // warn if changes were not saved
		   	  $(document).on('change','#cptn_po_config_optimization_form',function(e) {
				 cptn_domchanged++;
                 });
			  // control save button
		      setInterval(function() {
				    var enable_optimization_save_button = true;
					$('input,textarea,select').filter('[required]:visible:not(:disabled)').each(function(i, requiredField){
        			   if($(requiredField).val()=='' || $(requiredField).val()=='0') enable_optimization_save_button = false;
    				   });
                    jQuery('#cptn-po-config-optimization-modal .config_save_button').attr('disabled',!enable_optimization_save_button);
                    }, 500); // check every 500ms


		      // show/hide cptn_po_opt_affiliate_container
		   	  $('#cptn_po_opt_affiliate_footer').click(function() {
			     if($(this).prop('checked')==true)
				    {
					$('.cptn_po_opt_affiliate_container').show()
			        $('.cptn_po_opt_affiliate_container_show').show();
					}
				 else	  					   
					{  					   
			        $('.cptn_po_opt_affiliate_container').hide();
			        $('.cptn_po_opt_affiliate_container_show').hide();
					}
			     });

				 
		      // show/hide cptn_po_opt_schedule_container
		   	  $('#cptn_po_opt_schedule').click(function() {
			     if($(this).prop('checked')==true)
				    {
					$('.cptn_po_opt_schedule_container').show()
			        $('.cptn_po_opt_schedule_container_show').css('visibility','visible');
					}
				 else	  					   
					{  					   
			        $('.cptn_po_opt_schedule_container').hide();
			        $('.cptn_po_opt_schedule_container_show').css('visibility','hidden');
					}
			     });

		      // show/hide cptn_po_opt_inaguard_container
		   	  $('#cptn_po_opt_inaguard').click(function() {
			     if($(this).prop('checked')==true)
				    {
					$('.cptn_po_opt_inaguard_container').show()
			        $('.cptn_po_opt_inaguard_container_show').css('visibility','visible');
					}
				 else	  					   
					{  					   
			        $('.cptn_po_opt_inaguard_container').hide();
			        $('cptn_po_opt_inaguard_container_show').css('visibility','hidden');
					alert('<?php 
    echo  htmlspecialchars_decode( esc_html__( 'All inactive recipients will be marked active if you save this form', "campation-postoffice" ) ) ;
    ?>');
					cptn_inaguard_changed = 1;
					}
			     });

		      // show/hide cptn_po_opt_throttle_container
		   	  $('#cptn_po_opt_throttle').click(function() {
			     if($(this).prop('checked')==true)
			        $('.cptn_po_opt_throttle_container').show();
			     else	  					   
			        $('.cptn_po_opt_throttle_container').hide();
			     });
					
		      // show/hide cptn_po_opt_warmup_container
		   	  $('#cptn_po_opt_warmup').click(function() {
			     if($(this).prop('checked')==true)
			        $('.cptn_po_opt_warmup_container').show();
			     else	  					   
			        $('.cptn_po_opt_warmup_container').hide();
			     });
					
					
		      // SAVE BUTTON REPORT
		   	  $('#cptn-po-config-report-modal .config_save_button').click(function(e) {
		   		 $('.loadingSpinnerContainer').show(); 
				 var formdata = $('#cptn_po_config_report_form').serialize();

				 $.ajax({
				    method: 'POST',
		 			cache: false,
					headers: {'cache-control':'no-cache'},
		 			context: this,
		 			url: adminajaxurl,
		 			data: formdata,
         			success: function(data) {
						    cptn_domchanged=0;
		   					cptn_po_config_load_report();   // load changed content
				 			$('.modal').modal('hide');   
            				},
               		complete: function() {},
   		       		error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                    });
                 });
		      // warn if changes were not saved
		   	  $(document).on('change','#cptn_po_config_report_form',function(e) {
				 cptn_domchanged++;
                 });
			  // control save button
		      setInterval(function() {
				    var enable_report_save_button = true;
					$('input,textarea,select').filter('[required]:visible:not(:disabled)').each(function(i, requiredField){
        			   if($(requiredField).val()=='' || $(requiredField).val()=='0') enable_report_save_button = false;
    				   });
                    jQuery('#cptn-po-config-report-modal .config_save_button').attr('disabled',!enable_report_save_button);
                    }, 500); // check every 500ms
					

		      // SAVE BUTTON STATISTICS
		   	  $('#cptn-po-config-statistics-modal .config_save_button').click(function(e) {
		   		 $('.loadingSpinnerContainer').show(); 
				 var formdata = $('#config_statistics_form').serialize();

				 $.ajax({
				    method: 'POST',
		 			cache: false,
					headers: {'cache-control':'no-cache'},
		 			context: this,
		 			url: adminajaxurl,
		 			data: formdata,
         			success: function(data) {
						    cptn_domchanged=0;
		   					cptn_po_config_load_statistics();   // load changed content
				 			$('.modal').modal('hide');   
            				},
               		complete: function() {},
   		       		error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                    });
                 });

		      // warn if changes were not saved
		   	  $(document).on('change','#config_statistics_form',function(e) {
				 cptn_domchanged++;
                 });


		   	  $('.cptn-close-modal').click(function(e) {
			     if(cptn_domchanged>0) 
			        {
				    $.confirm({
  				      title: '<?php 
    echo  htmlspecialchars_decode( esc_html__( 'Attention', "campation-postoffice" ) ) ;
    ?>',
  					  content: '<?php 
    echo  htmlspecialchars_decode( esc_html__( 'There are unsaved changes - please confirm to leave this page!', "campation-postoffice" ) ) ;
    ?>',
					  buttons: {
  				      		   confirm: {
							      text: '<?php 
    echo  htmlspecialchars_decode( esc_html__( 'OK', "campation-postoffice" ) ) ;
    ?>',
            					  action: function () 
							         {
  						     		 $('.cptn-main-modal').modal('hide');
							 		 cptn_po_config_load_mail();
                                     }
						          },
  				      		   cancel: {
							      text: '<?php 
    echo  htmlspecialchars_decode( esc_html__( 'Cancel', "campation-postoffice" ) ) ;
    ?>',
            					  action: function () 
							         {
    					     		 e.preventDefault();
									 }
								  }	 
  				               }
					  });		   
			        }
		         else
				    $('.cptn-main-modal').modal('hide');   
                 });

			  });   // End of wait for modals

		   // load modals
		   $('body').append(cptn_po_configuration_modal);
		   if(!$('#cptn-small-modal').length)  $('body').append(cptn_po_general_modal);
					


			  
		   function cptn_po_config_load_general () {
		      $.ajax({
		   	     method: 'POST',
		   		 cache: false,
				 headers: {'cache-control':'no-cache'},
		   		 context: this,
		   		 data: {action:'cptn_po_config_get_general'},
		   		 url: adminajaxurl,
		   		 success: function(data) {
					   dataobj = JSON.parse(data);
					   
					   // fill main page, show data
				       $("#cptn_opt_timezone_server_show").text(dataobj.cptn_opt_timezone_server);
				       $("#cptn_opt_timezone_staff_show").text(dataobj.cptn_opt_timezone_staff);
					   if(dataobj.cptn_po_opt_sandbox_mode=="1") 
					      {
				          $("#cptn_po_opt_sandbox_mode_show").html('&#10004;').css('color','green');
				       	  if(cptn_po_is_premium) $("#cptn_po_opt_sandbox_email_show").html(dataobj.cptn_po_opt_sandbox_email);
					   	  else $("#cptn_po_opt_sandbox_email_show").hide();
						  }
                       else
				          $("#cptn_po_opt_sandbox_mode_show").html('&#10007;').css('color','#aa0000');

					   if(dataobj.cptn_po_opt_delete_data_uninstall=="1") 
				          $("#cptn_po_opt_delete_data_uninstall_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_delete_data_uninstall_show").html('&#10007;').css('color','#aa0000');


					   // fill modal form fields
				       $("#cptn_opt_timezone_server").val(dataobj.cptn_opt_timezone_server);
				       $("#cptn_opt_timezone_staff").val(dataobj.cptn_opt_timezone_staff);
					   if(dataobj.cptn_po_opt_sandbox_mode=="1") $("#cptn_po_opt_sandbox_mode").prop("checked", true);
					   if(dataobj.cptn_po_opt_delete_data_uninstall=="1") $("#cptn_po_opt_delete_data_uninstall").prop("checked", true);
				       if(cptn_po_is_premium) $("#cptn_po_opt_sandbox_email").val(dataobj.cptn_po_opt_sandbox_email);
				       else $("#cptn_po_opt_sandbox_email").val("");

              		   if(!$("#cptn_po_config_general_form .ui-switcher").length) jQuery.switcher('#cptn_po_config_general_form input[type=checkbox]');

					   // reset "dom changed" to 0 1000ms after creating modal
					   setTimeout(() => cptn_domchanged=0, 1000); 
       				   },
		   		 complete: function() {},
		   		 error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
		   		 });
              }   

		   function cptn_po_config_load_mail () {
		      $.ajax({
		   	     method: 'POST',
		   		 cache: false,
				 headers: {'cache-control':'no-cache'},
		   		 context: this,
		   		 data: {action:'cptn_po_config_get_mail'},
		   		 url: adminajaxurl,
		   		 success: function(data) {
					   dataobj = JSON.parse(data);

					   // fill main page, show data
				       $("#cptn_opt_email_sendername_show").text(dataobj.cptn_opt_email_sendername);
				       $("#cptn_opt_email_sender_show").text(dataobj.cptn_opt_email_sender);
				       $("#cptn_po_opt_email_bcc_show").text(dataobj.cptn_po_opt_email_bcc);
				       $("#cptn_po_opt_purge_queue_days_show").text(dataobj.cptn_po_opt_purge_queue_days);
				       $("#cptn_po_opt_mailserver_off_errors_show").text(dataobj.cptn_po_opt_mailserver_off_errors);

					   if(dataobj.cptn_po_opt_bimi=="1") 
				          $("#cptn_po_opt_bimi_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_bimi_show").html('&#10007;').css('color','#aa0000');
					   if(dataobj.cptn_po_opt_bounce_management=="1") 
				          $("#cptn_po_opt_bounce_management_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_bounce_management_show").html('&#10007;').css('color','#aa0000');

				       $("#cptn_po_opt_envelope_account_email_show").text(dataobj.cptn_po_opt_envelope_account_email);
					   
					   // fill modal form fields
				       $("#cptn_opt_email_sendername").val(dataobj.cptn_opt_email_sendername);
				       $("#cptn_opt_email_sender").val(dataobj.cptn_opt_email_sender);
				       $("#cptn_po_opt_email_bcc").val(dataobj.cptn_po_opt_email_bcc);
				       $("#cptn_po_opt_purge_queue_days").val(dataobj.cptn_po_opt_purge_queue_days);
				       $("#cptn_po_opt_mailserver_off_errors").val(dataobj.cptn_po_opt_mailserver_off_errors);
					   if(dataobj.cptn_po_opt_bimi=="1") $("#cptn_po_opt_bimi").prop("checked", true);
					   if(dataobj.cptn_po_opt_bounce_management=="1") $("#cptn_po_opt_bounce_management").prop("checked", true);

              		   if(!$("#cptn_po_config_mail_form .ui-switcher").length) jQuery.switcher('#cptn_po_config_mail_form input[type=checkbox]');

				       $("#cptn_po_opt_envelope_account_email").val(dataobj.cptn_po_opt_envelope_account_email);
				       $("#cptn_po_opt_envelope_account_name").val(dataobj.cptn_po_opt_envelope_account_name);
				       $("#cptn_po_opt_envelope_account_password").val(dataobj.cptn_po_opt_envelope_account_password);
				       $("#cptn_po_opt_envelope_account_server").val(dataobj.cptn_po_opt_envelope_account_server);
				       $("#cptn_po_opt_envelope_account_port").val(dataobj.cptn_po_opt_envelope_account_port);
				       $("#cptn_po_opt_envelope_account_security").val(dataobj.cptn_po_opt_envelope_account_security);


					   // reset "dom changed" to 0 1000ms after creating modal
					   setTimeout(() => cptn_domchanged=0, 1000); 
       				   },
		   		 complete: function() {},
		   		 error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
		   		 });
              }   
					

		   function cptn_po_config_load_headerfooter () {
		      $.ajax({
		   	     method: 'POST',
		   		 cache: false,
				 headers: {'cache-control':'no-cache'},
		   		 context: this,
		   		 data: {action:'cptn_po_config_get_headerfooter'},
		   		 url: adminajaxurl,
		   		 success: function(data) {
					   dataobj = JSON.parse(data);
					   
					   // fill main page, show data
                       if(dataobj.cptn_po_opt_email_read_online_header=="1") 
				          $("#cptn_po_opt_email_read_online_header_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_email_read_online_header_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_email_unsubscribe_header=="1") 
				          $("#cptn_po_opt_email_unsubscribe_header_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_email_unsubscribe_header_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_email_unsubscribe_footer=="1") 
				          $("#cptn_po_opt_email_unsubscribe_footer_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_email_unsubscribe_footer_show").html('&#10007;').css('color','#aa0000');
				       $("#cptn_po_opt_unsubscribe_page_show").text(dataobj.cptn_po_opt_unsubscribe_page);
                       if(dataobj.cptn_po_opt_unsubscribe_management=="1") 
				          $("#cptn_po_opt_unsubscribe_management_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_unsubscribe_management_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_affiliate_footer=="1") 
				          $("#cptn_po_opt_affiliate_footer_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_affiliate_footer_show").html('&#10007;').css('color','#aa0000');
				       $("#cptn_po_opt_analytics_pixel_show").text(dataobj.cptn_po_opt_analytics_pixel);
				       $("#cptn_po_opt_facebook_pixel_show").text(dataobj.cptn_po_opt_facebook_pixel);
				       $("#cptn_po_opt_adwords_pixel_show").text(dataobj.cptn_po_opt_adwords_pixel);

					   if(cptn_po_is_pro && dataobj.cptn_po_opt_general_mail_footer)
				          $("#cptn_po_opt_general_mail_footer_show").text(cptn_ellipsis(dataobj.cptn_po_opt_general_mail_footer,50));
                       else
				          $("#cptn_po_opt_general_mail_footer_show").html('&#10007;').css('color','#aa0000');
				       $("#cptn_po_opt_affiliate_id_show").text(cptn_ellipsis(dataobj.cptn_po_opt_affiliate_id,50));

					   // fill modal form fields
					   if(dataobj.cptn_po_opt_email_read_online_header=="1") $("#cptn_po_opt_email_read_online_header").prop("checked", true);
					   if(dataobj.cptn_po_opt_email_unsubscribe_header=="1") $("#cptn_po_opt_email_unsubscribe_header").prop("checked", true);
					   if(dataobj.cptn_po_opt_email_unsubscribe_footer=="1") $("#cptn_po_opt_email_unsubscribe_footer").prop("checked", true);
				       $("#cptn_po_opt_unsubscribe_page").val(dataobj.cptn_po_opt_unsubscribe_page);
					   if(dataobj.cptn_po_opt_unsubscribe_management=="1") $("#cptn_po_opt_unsubscribe_management").prop("checked", true);
					   if(dataobj.cptn_po_opt_affiliate_footer=="1") $("#cptn_po_opt_affiliate_footer").prop("checked", true);
				       $("#cptn_po_opt_analytics_pixel").val(dataobj.cptn_po_opt_analytics_pixel);
				       $("#cptn_po_opt_facebook_pixel").val(dataobj.cptn_po_opt_facebook_pixel);
				       $("#cptn_po_opt_adwords_pixel").val(dataobj.cptn_po_opt_adwords_pixel);
				       $("#cptn_po_opt_affiliate_id").val(dataobj.cptn_po_opt_affiliate_id);
				       $("#cptn_po_opt_general_mail_footer").val(dataobj.cptn_po_opt_general_mail_footer);

              		   if(!$("#cptn_po_config_headerfooter_form .ui-switcher").length) jQuery.switcher('#cptn_po_config_headerfooter_form input[type=checkbox]');

					   // reset "dom changed" to 0 1000ms after creating modal
					   setTimeout(() => cptn_domchanged=0, 1000); 
       				   },
		   		 complete: function() {},
		   		 error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
		   		 });
              }   
					
					
		   function cptn_po_config_load_optimization () {
		      $.ajax({
		   	     method: 'POST',
		   		 cache: false,
				 headers: {'cache-control':'no-cache'},
		   		 context: this,
		   		 data: {action:'cptn_po_config_get_optimization'},
		   		 url: adminajaxurl,
		   		 success: function(data) {
					   dataobj = JSON.parse(data);
					   // fill main page, show data
                       if(dataobj.cptn_po_opt_domain_protect=="1") 
				          $("#cptn_po_opt_domain_protect_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_domain_protect_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_schedule=="1") 
				          $("#cptn_po_opt_schedule_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_schedule_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_intellimail=="1") 
				          $("#cptn_po_opt_intellimail_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_intellimail_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_inaguard=="1") 
				          $("#cptn_po_opt_inaguard_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_inaguard_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_warmup=="1") 
				          $("#cptn_po_opt_warmup_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_warmup_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_throttle=="1") 
				          $("#cptn_po_opt_throttle_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_throttle_show").html('&#10007;').css('color','#aa0000');

<?php 
    ?>

                       $.each(dataobj.cptn_po_plugins, function( key, value ) 
					      {
						  if(value.mailcategory)
						     $('#plugin_'+value.pluginslug+'_show').html(value.mailcatfull).css('color','#212529');
                          else
						     $('#plugin_'+value.pluginslug+'_show').html('&#10007;').css('color','#aa0000');
						  							  
						  });


					   // fill modal form fields
<?php 
    ?>

                       $.each(dataobj.cptn_po_plugins, function( key, value ) 
					      {
						  if(value.mailcategory)
						     $('#'+value.mailcategory+'_'+value.pluginslug).prop('checked',true);
					      else
						     $('#none_'+value.pluginslug).prop('checked',true);
						  });

              		   if(!$("#cptn_po_config_optimization_form .ui-switcher").length) jQuery.switcher('#cptn_po_config_optimization_form input[type=checkbox]');


				   	   if(dataobj.cptn_po_opt_schedule=="1")
						  {
					      $('.cptn_po_opt_schedule_container').show()
			              $('.cptn_po_opt_schedule_container_show').css('visibility','visible');
						  }
					   else	  					   
					      {  					   
			              $('.cptn_po_opt_schedule_container').hide();
			              $('.cptn_po_opt_schedule_container_show').css('visibility','hidden');
						  }

					   if(dataobj.cptn_po_opt_inaguard=="1")
				          {
						  $('.cptn_po_opt_inaguard_container').show()
			        	  $('.cptn_po_opt_inaguard_container_show').css('visibility','visible');
						  }
				       else	  					   
					      {  					   
			        	  $('.cptn_po_opt_inaguard_container').hide();
			        	  $('.cptn_po_opt_inaguard_container_show').css('visibility','hidden');
						  }

					   if(dataobj.cptn_po_opt_warmup=="1")
				          {
						  $('.cptn_po_opt_warmup_container').show()
			        	  $('.cptn_po_opt_warmup_container_show').css('visibility','visible');
						  }
				       else	  					   
					      {  					   
			        	  $('.cptn_po_opt_warmup_container').hide();
			        	  $('.cptn_po_opt_warmup_container_show').css('visibility','hidden');
						  }

					   if(dataobj.cptn_po_opt_throttle=="1")
				          {
						  $('.cptn_po_opt_throttle_container').show()
			        	  $('.cptn_po_opt_throttle_container_show').css('visibility','visible');
						  }
				       else	  					   
					      {  					   
			        	  $('.cptn_po_opt_throttle_container').hide();
			        	  $('.cptn_po_opt_throttle_container_show').css('visibility','hidden');
						  }

					   // reset "dom changed" to 0 1000ms after creating modal
					   setTimeout(() => cptn_domchanged=0, 1000); 
       				   },
		   		 complete: function() {},
		   		 error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
		   		 });
              }   
					
		   function cptn_po_config_load_report () {
		      $.ajax({
		   	     method: 'POST',
		   		 cache: false,
				 headers: {'cache-control':'no-cache'},
		   		 context: this,
		   		 data: {action:'cptn_po_config_get_report'},
		   		 url: adminajaxurl,
		   		 success: function(data) {
					   dataobj = JSON.parse(data);
					   
					   // fill main page, show data
				       $("#cptn_po_opt_admin_alerts_to_show").text(dataobj.cptn_po_opt_admin_alerts_to);

                       if(dataobj.cptn_po_opt_info_developer=="1") 
				          $("#cptn_po_opt_info_developer_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_info_developer_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_admin_alerts=="1") 
				          $("#cptn_po_opt_admin_alerts_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_admin_alerts_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_unsub_bounce_report=="1") 
				          $("#cptn_po_opt_unsub_bounce_report_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_unsub_bounce_report_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_inaguard_report=="1") 
				          $("#cptn_po_opt_inaguard_report_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_inaguard_report_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_mail_error_report=="1") 
				          $("#cptn_po_opt_mail_error_report_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_mail_error_report_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_daily_dmarc_report=="1") 
				          $("#cptn_po_opt_daily_dmarc_report_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_daily_dmarc_report_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_blacklist_report=="1") 
				          $("#cptn_po_opt_blacklist_report_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_blacklist_report_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_senderscore_report=="1") 
				          $("#cptn_po_opt_senderscore_report_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_senderscore_report_show").html('&#10007;').css('color','#aa0000');
                       if(dataobj.cptn_po_opt_health_report=="1") 
				          $("#cptn_po_opt_health_report_show").html('&#10004;').css('color','green');
                       else
				          $("#cptn_po_opt_health_report_show").html('&#10007;').css('color','#aa0000');

					   // fill modal form fields
				       $("#cptn_po_opt_admin_alerts_to").val(dataobj.cptn_po_opt_admin_alerts_to);
					   if(dataobj.cptn_po_opt_info_developer=="1") $("#cptn_po_opt_info_developer").prop("checked", true);
					   if(dataobj.cptn_po_opt_admin_alerts=="1") $("#cptn_po_opt_admin_alerts").prop("checked", true);
					   if(dataobj.cptn_po_opt_unsub_bounce_report=="1") $("#cptn_po_opt_unsub_bounce_report").prop("checked", true);
					   if(dataobj.cptn_po_opt_inaguard_report=="1") $("#cptn_po_opt_inaguard_report").prop("checked", true);
					   if(dataobj.cptn_po_opt_mail_error_report=="1") $("#cptn_po_opt_mail_error_report").prop("checked", true);
					   if(dataobj.cptn_po_opt_daily_dmarc_report=="1") $("#cptn_po_opt_daily_dmarc_report").prop("checked", true);
					   if(dataobj.cptn_po_opt_blacklist_report=="1") $("#cptn_po_opt_blacklist_report").prop("checked", true);
					   if(dataobj.cptn_po_opt_senderscore_report=="1") $("#cptn_po_opt_senderscore_report").prop("checked", true);
					   if(dataobj.cptn_po_opt_health_report=="1") $("#cptn_po_opt_health_report").prop("checked", true);

              		   if(!$("#cptn_po_config_report_form .ui-switcher").length) jQuery.switcher('#cptn_po_config_report_form input[type=checkbox]');

					   // reset "dom changed" to 0 1000ms after creating modal
					   setTimeout(() => cptn_domchanged=0, 1000); 
       				   },
		   		 complete: function() {},
		   		 error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
		   		 });
              }   

		   function cptn_po_config_load_statistics () {
		      $.ajax({
		   	     method: 'POST',
		   		 cache: false,
				 headers: {'cache-control':'no-cache'},
		   		 context: this,
		   		 data: {action:'cptn_po_config_get_statistics'},
		   		 url: adminajaxurl,
		   		 success: function(data) {
					   dataobj = JSON.parse(data);
					   // fill main page, show data
				       $("#cptn_po_opt_max_bounce_show").text(cptn_number_format(dataobj.cptn_po_opt_max_bounce,2,false)+' %');
				       $("#cptn_po_opt_min_open_show").text(cptn_number_format(dataobj.cptn_po_opt_min_open,2,false)+' %');
				       $("#cptn_po_opt_max_unsubscribe_show").text(cptn_number_format(dataobj.cptn_po_opt_max_unsubscribe,2,false)+' %');
				       $("#cptn_po_opt_min_click_show").text(cptn_number_format(dataobj.cptn_po_opt_min_click,2,false)+' %');
				       $("#cptn_po_opt_statistics_days_show").text(cptn_number_format(dataobj.cptn_po_opt_statistics_days,0,false));
		               $("#cptn_po_config_statistics_db_size").text(cptn_number_format(dataobj.cptn_po_config_statistics_db_size,1,false)+' MB');
		               $("#cptn_po_config_statistics_recipients").text(cptn_number_format(dataobj.cptn_po_config_statistics_recipients,0,false));
		               $("#cptn_po_config_statistics_mailserver").text(cptn_number_format(dataobj.cptn_po_config_statistics_mailserver,0,false));
		               $("#cptn_po_config_statistics_domains").text(cptn_number_format(dataobj.cptn_po_config_statistics_domains,0,false));
		               $("#cptn_po_config_statistics_queue_wait").text(cptn_number_format(dataobj.cptn_po_config_statistics_queue_wait,0,false));
		               $("#cptn_po_config_statistics_queue_sent").text(cptn_number_format(dataobj.cptn_po_config_statistics_queue_sent,0,false));
		               $("#cptn_po_config_statistics_queue_error").text(cptn_number_format(dataobj.cptn_po_config_statistics_queue_error,0,false));

					   // fill modal form fields
				       $("#cptn_po_opt_statistics_days").val(dataobj.cptn_po_opt_statistics_days);
				       $("#cptn_po_opt_max_bounce").val(dataobj.cptn_po_opt_max_bounce);
				       $("#cptn_po_opt_min_open").val(dataobj.cptn_po_opt_min_open);
				       $("#cptn_po_opt_max_unsubscribe").val(dataobj.cptn_po_opt_max_unsubscribe);
				       $("#cptn_po_opt_min_click").val(dataobj.cptn_po_opt_min_click);


       				   },
		   		 complete: function() {},
		   		 error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
		   		 });
              }   


		   });   // End of document ready
         
	     }    // END check every 30ms until jQuery is available
      }, 30);
   })();

	</script>
<?php 
}
