<?php
add_action('admin_footer', 'cptn_po_general_js',0);
function cptn_po_general_js()
   {
?>
   <script type="text/javascript">
   var cptn_po_favicon = '<?php echo esc_url_raw(CPTNPOPATH,wp_allowed_protocols()); ?>img/favicon.png';
   let cptn_po_is_pro       = <?php if(cptn_po_fs()->can_use_premium_code()) echo "true"; else echo "false"; ?>;
   let cptn_po_is_starter 	= <?php if(cptn_po_fs()->is_plan('starter') OR cptn_po_fs()->is_plan('premium') OR cptn_po_fs()->is_plan('business')) echo "true"; else echo "false"; ?>;
   let cptn_po_is_premium 	= <?php if(cptn_po_fs()->is_plan('premium') OR cptn_po_fs()->is_plan('business')) echo "true"; else echo "false"; ?>;
   let cptn_po_is_business 	= <?php if(cptn_po_fs()->is_plan('business')) echo "true"; else echo "false"; ?>;

   // START check every 30ms until jQuery is available
   (function() {
      var nTimer = setInterval(function() {
        if (window.jQuery) {
	  	   clearInterval(nTimer);

	    // jQuery is loaded
		jQuery(document).ready(function($) {

		   // add title to all pro version markers
		   $('.cptn-po-icon-pro-starter').each(function() {
		      $(this).attr('title','<?php echo htmlspecialchars_decode(esc_html__("This feature requires version PRO Starter","campation-postoffice")); ?>');
		      });
		   $('.cptn-po-icon-pro-premium').each(function() {
		      $(this).attr('title','<?php echo htmlspecialchars_decode(esc_html__("This feature requires version PRO Premium","campation-postoffice")); ?>');
		      });
		   $('.cptn-po-icon-pro-business').each(function() {
		      $(this).attr('title','<?php echo htmlspecialchars_decode(esc_html__("This feature requires version PRO Business","campation-postoffice")); ?>');
		      });
			  
			  
           // cptn_po_stat_block refresh every 15 sec
		   if(jQuery('#cptn_po_stat_waiting_val').length)   // do the stat block exist on this page?
		      {
		   	  cptn_po_stat_block();
		   	  setInterval(function(){
		         cptn_po_stat_block();
			  	 }, 15000);
              }
           // refresh statistic block
           function cptn_po_stat_block() {
			  $.ajax({
		 		  method: 'POST',
		 		  cache: false,
				  headers: {'cache-control':'no-cache'},
		 		  context: this,
		 		  url: adminajaxurl,
		 		  data: {action:'cptn_po_stat_block'},
         		  success: function(data) {
				     obj = JSON.parse(data);
		             jQuery('#cptn_po_stat_waiting_val').html(cptn_number_format(obj.waiting,0,false));
		             jQuery('#cptn_po_stat_sent_val').html(cptn_number_format(obj.sent,0,false));
					 if(obj.sent>0)
		                jQuery('#cptn_po_stat_bounced_val').html(cptn_number_format(obj.bounced,0,false)+' <small>('+cptn_number_format(obj.bounced/obj.sent*100,1,false)+'%)</small>');
				     else		
		                jQuery('#cptn_po_stat_bounced_val').html(cptn_number_format(obj.bounced,0,false));
					 if(obj.sent>0)
		                jQuery('#cptn_po_stat_unsubscribed_val').html(cptn_number_format(obj.unsubscribed,0,false)+' <small>('+cptn_number_format(obj.unsubscribed/obj.sent*100,1,false)+'%)</small>');
                     else
		                jQuery('#cptn_po_stat_unsubscribed_val').html(cptn_number_format(obj.unsubscribed,0,false));
					 if(obj.sent>0)
		                jQuery('#cptn_po_stat_opened_val').html(cptn_number_format(obj.opened,0,false)+' <small>('+cptn_number_format(obj.opened/obj.sent*100,1,false)+'%)</small>');
                     else
		                jQuery('#cptn_po_stat_opened_val').html(cptn_number_format(obj.opened,0,false));
					 if(obj.sent>0)
		                jQuery('#cptn_po_stat_clicked_val').html(cptn_number_format(obj.clicked,0,false)+' <small>('+cptn_number_format(obj.clicked/obj.sent*100,1,false)+'%)</small>');
					 else
		                jQuery('#cptn_po_stat_clicked_val').html(cptn_number_format(obj.clicked,0,false));
					 if(obj.recipients>0)	
					    jQuery('#cptn_po_stat_inactive_val').html(cptn_number_format(obj.inactive,0,false)+' <small>('+cptn_number_format(obj.inactive/obj.recipients*100,0,false)+'%)</small>');
		             else
					    jQuery('#cptn_po_stat_inactive_val').html(cptn_number_format(obj.inactive,0,false));
		             jQuery('#cptn_po_stat_executiontime_val').html(cptn_number_format(obj.executiontime,0,false)+' <small>ms</small>');
		             jQuery('#cptn_po_stat').fadeIn();
            			},
               	  complete: function() {},
   		       	  error: function(xhr, textStatus, errorThrown) {
     	        		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                  });
		       } 

			    // TEST BUTTON ENVELOPE / DMARC ACCOUNT				
                $(document).on("click", '.cptn-po-test-imap-account', function(event) { 
		     	   accounttype = $(this).attr('data-type');
				   imapaccount = {
				      'server': $('#cptn_po_opt_'+accounttype+'_account_server').val(), 
				      'port': $('#cptn_po_opt_'+accounttype+'_account_port').val(), 
				   	  'security': $('#cptn_po_opt_'+accounttype+'_account_security').val(), 
				   	  'account': $('#cptn_po_opt_'+accounttype+'_account_name').val(),
				   	  'password': $('#cptn_po_opt_'+accounttype+'_account_password').val()
					  }; 
				   imapaccount = JSON.stringify(imapaccount);
				   $('#cptn-po-test-imap-account-result-'+accounttype).html('');
				   
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_test_imapaccount', imapaccount:imapaccount},
         			  success: function(data) {
						   if(data=='')
						      $('#cptn-po-test-imap-account-result-'+accounttype).html('<?php echo htmlspecialchars_decode(esc_html__('Connect successful',"campation-postoffice")); ?>').css('color','green');
						   else
						      $('#cptn-po-test-imap-account-result-'+accounttype).html(data).css('color','#aa0000');
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });
			  

			    // TEST BUTTON SMTP SERVER				
                $(document).on("click", '#cptn-po-test-smtpserver', function(event) { 
		     	   mailserverid = $(this).attr('data-id');
				   mailserver = {
				      'address': $('#ms_address').val(), 
				      'port': $('#ms_port').val(), 
				   	  'encryption': $('#ms_encryption').val(), 
				   	  'account': $('#ms_account').val(),
				   	  'password': $('#ms_password').val()
					  }; 
				   mailserver = JSON.stringify(mailserver);
				   $('#cptn-po-test-smtpserver-result').html('').attr('data-check','');
				   
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_test_smtpserver', id:mailserverid, mailserver:mailserver},
         			  success: function(data) {
						   if(data=='')
						      {
						      $('#cptn-po-test-smtpserver-result').html('<?php echo htmlspecialchars_decode(esc_html__('Connect successful',"campation-postoffice")); ?>').css('color','green').attr('data-check','OK');
						      $('#ms_connectable').val('1');
							  }
						   else
						      {
						      $('#cptn-po-test-smtpserver-result').html(data).css('color','#aa0000').attr('data-check','ERROR');
						      $('#ms_connectable').val('0');
							  }
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });


			    // BIND ZONE FILE DOWNLOAD BUTTON				
                $(document).on("click", '.bind-zone-file-button', function(event) { 

					   $.confirm({
  				          title: '<?php echo htmlspecialchars_decode(esc_html__('Attention',"campation-postoffice")); ?>',
  					  	  content: '<?php echo htmlspecialchars_decode( esc_html__("Please note that importing this file into the DNS may result in duplicates","campation-postoffice")." ".esc_html__("if entries of the same name already exist!","campation-postoffice") ); ?>',
					  	  buttons: {
  				      		   confirm: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('OK',"campation-postoffice")); ?>'
								  }	 
  				               }
					      });		   

				   });


	        }); 
	     }
      }, 30);
   })();

</script>
<?php
   };
?>