<?php
add_action('admin_footer', 'cptn_po_recipient_js');
function cptn_po_recipient_js()
   {
?>
	<script type="text/javascript">
	var cptn_po_domchanged = 0;
	 
   // START check every 30ms until jQuery is available
   (function() {
      var nTimer = setInterval(function() {
        if (window.jQuery) {
	  	   clearInterval(nTimer);

	    // jQuery is loaded
		jQuery(document).ready(function($) {
		   $('.loadingSpinnerContainer').show(); 

                jQuery.switcher('input[type=checkbox]');
				

			    // filter switches				
                $(document).on("click", '.cptn-po-recipient-filter', function(event) {
				   $('.loadingSpinnerContainer').show();	  
				   if($(this).is(':checked'))
				      switchstate = 1;
				   else
				      switchstate = 0;
				   switchname = $(this).attr('data-switch');
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_recipients_switch', name:switchname, value:switchstate},
         			  success: function(data) {
				   	       $('#cptn-po-datatable-recipients').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   }); 


			    // EDIT BUTTON				
                $(document).on("click", '.btn_edit_recipient', function(event) { 
				   cptn_po_domchanged = 0;
		     	   recipientid = $(this).attr('data-id');
				   recipientemail = $(this).parent().parent().find('td:nth-child(3)').html();
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_recipients_edit', id:recipientid},
         			  success: function(data) {
					  	   $('#cptn-po-recipient-modal .modal-title').html('<?php echo htmlspecialchars_decode(esc_html__('Edit email address',"campation-postoffice")); ?>');
					  	   $('#cptn-po-recipient-modal .modal-body').html(data);
					  	   $('#cptn-po-recipient-modal .modal-footer').html('');

           				   $('select').each(function() {
		      			      optionselected = $(this).attr('data-selected');
			                  $(this).find('option[value="'+optionselected+'"]').attr('selected', 'selected');
		      				  });
			  	   		   $('#cptn-po-recipient-modal').modal('show');
						   cptn_enable_bootstrap_tooltips();
						   $('.loadingSpinnerContainer').hide();	  
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });

				   // warn if changes were not saved
		   		   $(document).on('change','#cptn_po_recipient_form',function(e) {
				      cptn_po_domchanged++;
                      });

				   });


                $(document).on("click", '#cptn-po-recipient-modal .cptn-po-close-modal', function(e) { 
				    if(cptn_po_domchanged>0) 
					   {
					   $.confirm({
  				          title: '<?php echo htmlspecialchars_decode(esc_html__('Attention',"campation-postoffice")); ?>',
  					  	  content: '<?php echo htmlspecialchars_decode(esc_html__('There are unsaved changes - please confirm to leave this page!',"campation-postoffice")); ?>',
					  	  buttons: {
  				      		   confirm: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('OK',"campation-postoffice")); ?>',
            					  action: function () 
							         {
  						     		 $('#cptn-po-recipient-modal').modal('hide');
                                     }
						          },
  				      		   cancel: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('Cancel',"campation-postoffice")); ?>',
            					  action: function () 
							         {
    					     		 e.preventDefault();
									 }
								  }	 
  				               }
					      });		   
					   }
					else
					   $('#cptn-po-recipient-modal').modal('hide');   
                    });

				   
	   		  // SAVE BUTTON 
              $(document).on("click", '#cptn-po-recipient-save-button', function(event) { 
		   		 $('.loadingSpinnerContainer').show(); 
		   		 $('#cptn_po_checking_recipient').show();
				 var formdata = $('#cptn_po_recipient_form').serialize();
				 $.ajax({
		 				method: 'POST',
		 				cache: false,
						headers: {'cache-control':'no-cache'},
		 				context: this,
		 				url: adminajaxurl,
		 				data: formdata,
         				success: function(data) {
					   		$('#cptn-po-recipient-modal').modal('hide');   
		   			        $('#cptn-po-datatable-recipients').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
            				},
               			complete: function() {},
   		       			error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                       });
                    });
				   
				
			    // INFO BUTTON				
                $(document).on("click", '.btn_info_recipient', function(event) { 
		     	   recipientid = $(this).attr('data-id');
				   recipientemail = $(this).parent().parent().find('td:nth-child(3)').html();
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_recipients_info', id:recipientid},
         			  success: function(data) {
		                 // load modal
					  	   $('#cptn-po-large-modal .modal-dialog').css('max-width','80%');
		            	   $('#cptn-po-large-modal .modal-dialog').css("margin-left","250px");
					  	   $('#cptn-po-large-modal .modal-title').html('<?php echo htmlspecialchars_decode(esc_html__('Sending history',"campation-postoffice")); ?> '+recipientemail);
					  	   $('#cptn-po-large-modal .modal-body').html(data);
					  	   $('#cptn-po-large-modal .modal-footer').html('');
			  	   		   $('#cptn-po-large-modal').modal('show');
						   cptn_enable_bootstrap_tooltips();
						   $('.loadingSpinnerContainer').hide();	  
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });

				   
			    // DELETE BUTTON				
                $(document).on("click", '.btn_delete_recipient', function(event) { 
		     	   recipientid = $(this).attr('data-id');
				   $.confirm({
  				      title: '<?php echo htmlspecialchars_decode(esc_html__('Attention',"campation-postoffice")); ?>',
  					  content: '<?php echo htmlspecialchars_decode(esc_html__('Please confirm with "OK" to finally delete this recipient and all waiting, not sent emails for this recipient',"campation-postoffice")); ?> (id = '+recipientid+') !',
					  buttons: {
  				      		   confirm: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('OK',"campation-postoffice")); ?>',
            					  action: function () 
							         {
		   	     	     	      	 $('.loadingSpinnerContainer').show(); 
				      	 			 $.ajax({
		 				    		    method: 'POST',
		 								cache: false,
										headers: {'cache-control':'no-cache'},
		 								context: this,
		 								url: adminajaxurl,
		 								data: {action:'cptn_po_recipients_delete', id:recipientid},
         								success: function(data) {
				   	           			   $('#cptn-po-datatable-recipients').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
            			   	   			   },
               			                complete: function() {},
   		       							error: function(xhr, textStatus, errorThrown) {
     	          		       			   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   	   			   return false;
   			      		   	   			   }
                                        });
                                     }
						          },
  				      		   cancel: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('Cancel',"campation-postoffice")); ?>',
            					  action: function () 
							         {
									 }
								  }	 
  				               }
					  });		   
				   });


			    // SHOW MESSAGE DETAILS				
                $(document).on("click", '.cptn-po-recipient-show-message', function(event) { 
		     	   outboxid = $(this).attr('data-id');
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_outbox_info', id:outboxid},
         			  success: function(data) {
					  	   $('#cptn-po-medium-modal .modal-dialog').css('max-width','80%');
		            	   $('#cptn-po-medium-modal .modal-dialog').css("margin-left","250px");
					  	   $('#cptn-po-medium-modal .modal-title').html('<?php echo htmlspecialchars_decode(esc_html__('Message details',"campation-postoffice")); ?> #'+outboxid);
					  	   $('#cptn-po-medium-modal .modal-body').html(data);
					  	   $('#cptn-po-medium-modal .modal-footer').html('');
			  	   		   $('#cptn-po-medium-modal').modal('show');
						   cptn_enable_bootstrap_tooltips();
						   $('.loadingSpinnerContainer').hide();	  
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });

				   
			    // START-STOP BUTTON				
                $(document).on("click", '.btn_startstop_recipient', function(event) { 
		     	   recipientid = $(this).attr('data-id');
		     	   recipientstate = $(this).attr('data-startstop');
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_recipients_startstop', id:recipientid, status:recipientstate},
         			  success: function(data) {
				   	       $('#cptn-po-datatable-recipients').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });


			  // colorize lines of table	   
   		      $(document).ajaxStop(function () {
      	         $('#cptn-po-datatable-recipients tr td:nth-child(4)').each(function() {
				    if(!$(this).html().includes(String.fromCharCode('10004')))
				       $(this).parent().css('color','#aa0000');
					else   
				       $(this).parent().css('color','green');
				    });
      	         $('tr td:nth-child(1)').each(function() {
				    if($(this).find('.btn_startstop_recipient').attr('data-startstop')==0)
				       $(this).parent().css('color','#999');
				    });
      		  	 });   


               // load modal
		  	   $('#wpbody-content .wrap').append(cptn_po_general_modal);
		  	   $('#wpbody-content .wrap').append(cptn_po_recipient_modal);
				 
				 
		   });   // End of document ready
         
	     }    // END check every 30ms until jQuery is available
      }, 30);
   })();

	</script>
<?php
   };
?>