<?php

// exit if accessed directly
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( cptn_po_is_plugin_page( "" ) ) {
    include_once "assets/includes/cptn-po-general-modal.php";
    // Freemius
    
    if ( cptn_po_fs()->is_activation_mode() ) {
        // center freemius connect box
        add_action( 'admin_head', 'cptn_po_freemius_css' );
        function cptn_po_freemius_css()
        {
            ?><style>
		 .dashicons-wordpress{box-sizing: content-box !important;}
	     #fs_connect{display:none;} 
//		 .fs-permissions{display:none;}
//         .fs-license-sync-disclaimer{display:none}
	  </style><?php 
        }
    
    } else {
        include_once "assets/css/cptn-po-css.php";
        include_once "assets/js/cptn-po-general-js.php";
        include_once CPTNPODIR . "common/js/cptn-modal-js.php";
        include_once "assets/js/cockpit-js.php";
    }

}

function cptn_po_admin_cockpit()
{
    echo  '<div class="wrap">
   <div class="loadingSpinnerContainer"><img class="loadingSpinnerImage" src="' . esc_url_raw( CPTNPOPATH, wp_allowed_protocols() ) . 'img/cptn-spinner.svg"></div>
   <h1 class="mt-2"><img height=40 src="' . esc_url_raw( CPTNPOPATH, wp_allowed_protocols() ) . 'img/h1-icon.png"> Campation PostOffice&trade; > ' . htmlspecialchars_decode( esc_html__( 'Cockpit', "campation-postoffice" ) ) . '</h1>' ;
    ?>
   <p><?php 
    echo  htmlspecialchars_decode( esc_html__( 'See how your external communication is developing!', "campation-postoffice" ) ) ;
    ?></p>
   <table id="cptn_po_stat" title="<?php 
    esc_attr__( "Data from the last 24 hours - updated every 15 seconds - except 'inactive'", "campation-postoffice" );
    ?>">
      <tr><th><?php 
    echo  htmlspecialchars_decode( esc_html__( 'waiting', "campation-postoffice" ) ) ;
    ?></th><th><?php 
    echo  htmlspecialchars_decode( esc_html_x( 'sent', 'stats circle', "campation-postoffice" ) ) ;
    ?></th><th><?php 
    echo  htmlspecialchars_decode( esc_html__( 'opened', "campation-postoffice" ) ) ;
    ?></th><th><?php 
    echo  htmlspecialchars_decode( esc_html__( 'clicked', "campation-postoffice" ) ) ;
    ?></th><th><?php 
    echo  htmlspecialchars_decode( esc_html__( 'unsubscribed', "campation-postoffice" ) ) ;
    ?></th><th><?php 
    echo  htmlspecialchars_decode( esc_html__( 'bounced', "campation-postoffice" ) ) ;
    ?></th><th><?php 
    echo  htmlspecialchars_decode( esc_html__( 'inactive', "campation-postoffice" ) ) ;
    ?></th><th><?php 
    echo  htmlspecialchars_decode( esc_html__( 'Execution', "campation-postoffice" ) ) ;
    ?></th></tr>    
	  <tr><td id="cptn_po_stat_waiting"><span id="cptn_po_stat_waiting_val"></span></td><td id="cptn_po_stat_sent"><span id="cptn_po_stat_sent_val"></span></td><td id="cptn_po_stat_opened"><span id="cptn_po_stat_opened_val"></span></td><td id="cptn_po_stat_clicked"><span id="cptn_po_stat_clicked_val"></span></td><td id="cptn_po_stat_unsubscribed"><span id="cptn_po_stat_unsubscribed_val"></span></td><td id="cptn_po_stat_bounced"><span id="cptn_po_stat_bounced_val"></span></td><td id="cptn_po_stat_inactive"><span id="cptn_po_stat_inactive_val"></span></td><td id="cptn_po_stat_executiontime"><span id="cptn_po_stat_executiontime_val"></span></td></tr>
   </table>

   <div class="row">                             <!-- container -->

      <div class="col-12 col-md-9">    			 <!-- left column -->
   
         <div style="left:300px;text-align:right;margin-top:13px;height:30px;position:absolute;padding-right:30px;z-index:100;font-size:12px;">
      	    <form>
   	     	<input type="checkbox" class="cptn-po-cockpit-filter" data-switch="trans" id="cptn-po-cockpit-trans" value="1" <?php 
    if ( intval( get_option( "cptn_po_opt_cockpit_switch_trans" ) ) ) {
        echo  ' checked' ;
    }
    ?>><?php 
    echo  htmlspecialchars_decode( esc_html__( 'Transaction', "campation-postoffice" ) ) ;
    ?>&nbsp;&nbsp;&nbsp;
   		 	<input type="checkbox" class="cptn-po-cockpit-filter" data-switch="marke" id="cptn-po-cockpit-marke" value="1"<?php 
    if ( intval( get_option( "cptn_po_opt_cockpit_switch_marke" ) ) ) {
        echo  ' checked' ;
    }
    ?>><?php 
    echo  htmlspecialchars_decode( esc_html__( 'Marketing', "campation-postoffice" ) ) ;
    ?>&nbsp;&nbsp;&nbsp;
   		 	<input type="checkbox" class="cptn-po-cockpit-filter" data-switch="bulk" id="cptn-po-cockpit-bulk" value="1"<?php 
    if ( intval( get_option( "cptn_po_opt_cockpit_switch_bulk" ) ) ) {
        echo  ' checked' ;
    }
    ?>><?php 
    echo  htmlspecialchars_decode( esc_html__( 'Bulk', "campation-postoffice" ) ) ;
    ?>&nbsp;&nbsp;&nbsp;
   		 	<input type="checkbox" class="cptn-po-cockpit-filter" data-switch="cold" id="cptn-po-cockpit-cold" value="1"<?php 
    if ( intval( get_option( "cptn_po_opt_cockpit_switch_cold" ) ) ) {
        echo  ' checked' ;
    }
    ?>><?php 
    echo  htmlspecialchars_decode( esc_html__( 'Cold', "campation-postoffice" ) ) ;
    ?>&nbsp;&nbsp;&nbsp;
   	     	<input type="checkbox" class="cptn-po-cockpit-filter" data-switch="without" id="cptn-po-cockpit-without" value="1" <?php 
    if ( intval( get_option( "cptn_po_opt_cockpit_switch_without" ) ) ) {
        echo  ' checked' ;
    }
    ?>><?php 
    echo  htmlspecialchars_decode( esc_html_x( 'other', 'mailcategory', "campation-postoffice" ) ) ;
    ?>&nbsp;&nbsp;&nbsp;
		 	<?php 
    echo  htmlspecialchars_decode( esc_html_x( 'from', 'date', "campation-postoffice" ) ) ;
    ?>&nbsp;<input class="cptn-po-cockpit-date" data-date="from" type="date" id="cptn-po-cockpit-from-date" name="cptn-po-cockpit-from-date" value="<?php 
    echo  esc_attr( get_option( "cptn_po_opt_cockpit_date_from" ) ) ;
    ?>">&nbsp;&nbsp;&nbsp;
		 	<?php 
    echo  htmlspecialchars_decode( esc_html_x( 'to', 'date', "campation-postoffice" ) ) ;
    ?>&nbsp;<input class="cptn-po-cockpit-date" data-date="to" type="date" id="cptn-po-cockpit-to-date" name="cptn-po-cockpit-to-date" value="<?php 
    echo  esc_attr( get_option( "cptn_po_opt_cockpit_date_to" ) ) ;
    ?>">&nbsp;&nbsp;&nbsp;
            </form>
         </div>


   	     <div id="cptn_po_cockpit_visitor" class="my-3"></div>
   		 <div class="row">
            <div class="col-12 col-md-12">
         	   <h4><?php 
    echo  htmlspecialchars_decode( esc_html__( 'Outbox', "campation-postoffice" ) ) ;
    ?></h4>
			   <div style="-webkit-box-shadow: 6px 6px 4px -3px #9E9E9E; box-shadow: 6px 6px 4px -3px #9E9E9E;-webkit-box-shadow: 6px 6px 4px -3px #9E9E9E; box-shadow: 6px 6px 4px -3px #9E9E9E;background-color: rgba(0,0,0,0.03);border:1px solid #ddd;border-radius:10px;padding:10px;width:100%; height:600px;"> 
         	      <canvas id="cptn_po_cockpit_outbox"></canvas>
			   </div>	  
               <div style="text-align:center;"><small><?php 
    echo  htmlspecialchars_decode( esc_html__( 'Hint: click the legend (Sent, Bounced, Unsubscribed etc.) to exclude such event data', "campation-postoffice" ) ) ;
    ?></small></div>
	        </div>
         </div>

   		 <div id="cptn_po_cockpit_last_errors" class="my-3"></div>
   		 <div class="row mt-5">
      	    <div class="col-6">
           	   <h4><?php 
    echo  htmlspecialchars_decode( esc_html__( 'Last bounces', "campation-postoffice" ) ) ;
    ?></h4>
         	   <div id="cptn_po_cockpit_last_bounces" class="cptn-po-cockpit-table-box"></div>
	        </div>
      	    <div class="col-6">
         	   <h4><?php 
    echo  htmlspecialchars_decode( esc_html__( 'Last server errors', "campation-postoffice" ) ) ;
    ?></h4>
         	   <div id="cptn_po_cockpit_last_server_errors" class="cptn-po-cockpit-table-box"></div>
	        </div>
         </div>

<?php 
    ?>	  

      </div>                           <!-- end left column -->

	  
      <div class="col-12 col-md-3 my-3">    <!-- right column -->
         <h4><?php 
    echo  htmlspecialchars_decode( esc_html__( 'General switch', "campation-postoffice" ) ) ;
    ?></h4> 
         <div id="cptn-po-cockpit-general-container" style="-webkit-box-shadow: 6px 6px 4px -3px #9E9E9E; box-shadow: 6px 6px 4px -3px #9E9E9E;<?php 
    
    if ( intval( get_option( "cptn_po_opt_cockpit_switch_general" ) ) ) {
        echo  'background-color: rgba(0,0,0,0.03);color:black;' ;
    } else {
        echo  'background-color:#aa0000;color:white;' ;
    }
    
    ?>;border:1px solid #ddd;border-radius:10px;padding:10px;width:100%;">
   	     	<span style="font-size:12px;"><?php 
    echo  htmlspecialchars_decode( esc_html__( 'Replace WP_MAIL() with Campation PostOffice&trade;', "campation-postoffice" ) ) ;
    ?></span><span style="float:right;"><input type="checkbox" class="cptn-po-cockpit-filter" data-switch="general" id="cptn-po-cockpit-general" value="1" <?php 
    if ( intval( get_option( "cptn_po_opt_cockpit_switch_general" ) ) ) {
        echo  ' checked' ;
    }
    ?>></span>
		 </div>
		 <br>
         <h4><?php 
    echo  htmlspecialchars_decode( esc_html__( 'Health', "campation-postoffice" ) ) ;
    ?></h4> 
         <div id="cptn_po_cockpit_system_health" style="-webkit-box-shadow: 6px 6px 4px -3px #9E9E9E; box-shadow: 6px 6px 4px -3px #9E9E9E;background-color: rgba(0,0,0,0.03);border:1px solid #ddd;border-radius:10px;padding:10px;width:100%;"></div>
         <div id="cptn_po_cockpit_sender_health" style="-webkit-box-shadow: 6px 6px 4px -3px #9E9E9E; box-shadow: 6px 6px 4px -3px #9E9E9E;background-color: rgba(0,0,0,0.03);border:1px solid #ddd;border-radius:10px;padding:10px;width:100%;margin-top:10px;"></div>
      </div>    		  				<!-- end right column -->

   </div>                           <!-- end container -->



<?php 
}
