<?php
// exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {	exit(); }


if(cptn_po_is_plugin_page("mailserver"))
   {
   include_once("assets/includes/cptn-po-general-modal.php");
   include_once("assets/css/cptn-po-css.php");
   include_once("assets/js/cptn-po-general-js.php");
   include_once(CPTNPODIR."common/js/cptn-modal-js.php");
   include_once("assets/js/cptn-po-datatables.php");
   include_once(CPTNPODIR."common/js/virelin-datatables.php");
   include_once("assets/js/mailserver-js.php");
   }



function cptn_po_admin_mailserver(){

   echo '<div class="wrap">
   <div class="loadingSpinnerContainer"><img class="loadingSpinnerImage" src="'.esc_url_raw(CPTNPOPATH,wp_allowed_protocols()).'img/cptn-spinner.svg"></div>
   <h1 class="mt-2"><img height=40 src="'.esc_url_raw(CPTNPOPATH,wp_allowed_protocols()).'img/h1-icon.png"> Campation PostOffice&trade; > '.htmlspecialchars_decode(esc_html__('Mail servers',"campation-postoffice")).'</h1>';
?>
   <p><?php echo esc_html__('Configure the mail servers you are sending from',"campation-postoffice"); ?></p>

   <table id="cptn-po-datatable-mailservers" data-tablehead="cptn_po_mailservers" data-page-length="16" data-url="cptn_po_mailservers" class="virelin-datatable table table-hover table-compact" cellspacing="0" width="100%" style="margin-bottom:20px !important;width:100% !important;">
	  <thead>
      </thead>
	  <tbody>
	  </tbody>
   </table>

   <table id="cptn_po_stat" title="<?php echo esc_attr__("Data from the last 24 hours - updated every 15 seconds - except 'inactive'","campation-postoffice"); ?>">
      <tr><th><?php echo esc_html__('waiting',"campation-postoffice"); ?></th><th><?php echo htmlspecialchars_decode(esc_html_x('sent','stats circle',"campation-postoffice")); ?></th><th><?php echo esc_html__('opened',"campation-postoffice"); ?></th><th><?php echo esc_html__('clicked',"campation-postoffice"); ?></th><th><?php echo esc_html__('unsubscribed',"campation-postoffice"); ?></th><th><?php echo esc_html__('bounced',"campation-postoffice"); ?></th><th><?php echo esc_html__('inactive',"campation-postoffice"); ?></th><th><?php echo esc_html__('Execution',"campation-postoffice"); ?></th></tr>    
	  <tr><td id="cptn_po_stat_waiting"><span id="cptn_po_stat_waiting_val"></span></td><td id="cptn_po_stat_sent"><span id="cptn_po_stat_sent_val"></span></td><td id="cptn_po_stat_opened"><span id="cptn_po_stat_opened_val"></span></td><td id="cptn_po_stat_clicked"><span id="cptn_po_stat_clicked_val"></span></td><td id="cptn_po_stat_unsubscribed"><span id="cptn_po_stat_unsubscribed_val"></span></td><td id="cptn_po_stat_bounced"><span id="cptn_po_stat_bounced_val"></span></td><td id="cptn_po_stat_inactive"><span id="cptn_po_stat_inactive_val"></span></td><td id="cptn_po_stat_executiontime"><span id="cptn_po_stat_executiontime_val"></span></td></tr>
   </table>

   </div>
   
<?php
   }
?>
