<?php
// exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {	exit(); }


if(cptn_po_is_plugin_page("tool"))
   {
   include_once("assets/includes/cptn-po-general-modal.php");
   include_once("assets/css/cptn-po-css.php");
   include_once("assets/js/cptn-po-general-js.php");
   include_once(CPTNPODIR."common/js/cptn-modal-js.php");
// include_once("assets/js/tool-js.php");
   }


function cptn_po_admin_tool(){
   echo '<div class="wrap">
   <div class="loadingSpinnerContainer"><img class="loadingSpinnerImage" src="'.esc_url_raw(CPTNPOPATH,wp_allowed_protocols()).'img/cptn-spinner.svg"></div>
   <h1 class="mt-2"><img height=40 src="'.esc_url_raw(CPTNPOPATH,wp_allowed_protocols()).'img/h1-icon.png"> Campation PostOffice&trade; > '.esc_html__('Tools',"campation-postoffice").'</h1>';
?>
   <p><?php echo __('Use different tools to optimize your emails',"campation-postoffice"); ?></p>





   </div>

   <table id="cptn_po_stat" title="<?php echo esc_attr__("Data from the last 24 hours - updated every 15 seconds - except 'inactive'","campation-postoffice"); ?>">
      <tr><th><?php echo __('waiting',"campation-postoffice"); ?></th><th><?php echo htmlspecialchars_decode(esc_html_x('sent','stats circle',"campation-postoffice")); ?></th><th><?php echo __('opened',"campation-postoffice"); ?></th><th><?php echo __('clicked',"campation-postoffice"); ?></th><th><?php echo __('unsubscribed',"campation-postoffice"); ?></th><th><?php echo __('bounced',"campation-postoffice"); ?></th><th><?php echo __('inactive',"campation-postoffice"); ?></th><th><?php echo __('Execution',"campation-postoffice"); ?></th></tr>    
	  <tr><td id="cptn_po_stat_waiting"><span id="cptn_po_stat_waiting_val"></span></td><td id="cptn_po_stat_sent"><span id="cptn_po_stat_sent_val"></span></td><td id="cptn_po_stat_opened"><span id="cptn_po_stat_opened_val"></span></td><td id="cptn_po_stat_clicked"><span id="cptn_po_stat_clicked_val"></span></td><td id="cptn_po_stat_unsubscribed"><span id="cptn_po_stat_unsubscribed_val"></span></td><td id="cptn_po_stat_bounced"><span id="cptn_po_stat_bounced_val"></span></td><td id="cptn_po_stat_inactive"><span id="cptn_po_stat_inactive_val"></span></td><td id="cptn_po_stat_executiontime"><span id="cptn_po_stat_executiontime_val"></span></td></tr>
   </table>

<?php
   }
?>
