<?php
// =========================================================================
//    adjust textdomain after copying!  "wp-campation" / "campation-postoffice"
// =========================================================================
if(!function_exists('cptn_general_css'))
   {
   add_action('admin_head', 'cptn_general_css');
   function cptn_general_css()
      {
?>
<style>
#wpbody{font-family:'Roboto', sans-serif !important;}
small {display: inline-block;font-size:11px !important; line-height:12px !important; }
H1,H2,H3,H4,H5,H6{font-family:'Open sans', sans-serif !important;font-weight:700;display:block !important;}
.wpdberror{margin-left:180px;}  
.cptn-centered{text-align:center;}
.cptn-version-beta{color:#CCAECE;font-size:0.8em;margin-left:3px;}
#cptn-show-api-status-text{color:white !important;font-size:14px !important;font-weight:bold !important;padding:2px 3px;display:none;border-radius:5px;}
.cptn_blink{animation:blinker 1s step-start infinite;}
@keyframes blinker{50%{opacity:0;}}
datalist{display:none;}
.cptn_element_inactive{pointer-events:none;position:relative;-webkit-filter: blur(1px);-moz-filter: blur(1px);-o-filter: blur(1px);-ms-filter: blur(1px);filter: blur(1px);-webkit-touch-callout: none;-webkit-user-select: none;-khtml-user-select: none;-moz-user-select: none;-ms-user-select: none;user-select: none;}
.cptn_element_inactive:after {content: " ";z-index: 10;display: block;position: absolute;height: 100%;top: 0;left: 0;right: 0;background: rgba(0, 0, 0, 0.1);border_radius:10px;}
.cptn-copy-button{font-size:10px !important;padding:0 3px !important;margin-top:3px !important;}

/* modals */
.modal{font-family:'Roboto', sans-serif !important;}
.modal-header{background-color:#3C74A6 !important;color:white !important;padding:6px !important;}
.modal-footer{background-color:#CFD1D3 !important;padding:6px !important;}

/*lists */
.cptn-ul {list-style-position:outside;list-style-type:disc;padding:20px;}
.cptn-ul li {margin:5px;}
table .cptn-ul {list-style-position:outside;list-style-type:disc;padding:0px;padding-left:20px;}

/* forms */
input[readonly]{background-color:transparent;border:0;box-shadow:none;font-weight:bold;}
input:required:invalid{border:1px solid red !important;}
select:required:invalid{border:1px solid red !important;}

/* buttons */
button{padding:5px;border-radius:5px;cursor:pointer;}
.btn-primary{background-color:#3C74A6 !important;border-color:#3C74A6 !important;} 
.btn-secondary{background-color:#717171 !important;border-color:#717171 !important;} 
.btn-success{background-color:#51AD5C !important;border-color:#51AD5C !important;}
.btn-info{background-color:#40a6ff !important;border-color:#40a6ff !important;}
.btn-danger{background-color:#aa0000 !important;border-color:#aa0000 !important;}
.btn-danger:disabled{background-color:#ffb6c1 !important;border-color:#ffb6c1 !important;cursor:not-allowed !important;}
.btn-xs{margin:0 !important;padding:0px !important; width:25px !important;height:25px !important; font-size:14px;}
.paginate_button.active a{background-color:#3C74A6 !important;}

/* help */
.cptn-help-button{font-size:14px;color:#8DC994;vertical-align:super;cursor:help;position:absolute;}
.popover{background-color:#eee !important;border:3px solid #8DC994 !important; border-radius:10px !important;box-shadow: 3px 5px #aaa !important;z-index:10000000 !important;max-width:700px !important;}
#cptn-help-edit-modal {z-index:10000001 !important;}
#cptn-help-edit-modal .modal-header{cursor:move !important;}

/* colors */
.cptn-color-white{color:#FFFFFF;}
.cptn-color-black{color:#000000;}
.cptn-color-darkgrey{color:#717171;}
.cptn-color-lightgrey{color:#CFD1D3;}
.cptn-color-lightblue{color:#3C74A6;}
.cptn-color-lightgreen{color:#51AD5C;}
.cptn-color-orange{color:#F99E00;}
.cptn-color-darkviolet{color:#824F83;}
.cptn-color-darkgreen{color:#208C41;}
.cptn-color-darkred{color:#AA0000;}
.cptn-color-darkblue{color:#2C5478;}
.cptn-color-mediumgrey{color:#A0A0A0;}
.cptn-color-pastelblue{color:#8EB4D6;}
.cptn-color-pastelgreen{color:#8DC994;}
.cptn-color-pastelorange{color:#FFD17D;}
.cptn-color-pastelviolet{color:#CCAECE;}

/* background colors */
.cptn-background-white{background-color:#FFFFFF;}
.cptn-background-black{background-color:#000000;}
.cptn-background-darkgrey{background-color:#717171;}
.cptn-background-lightgrey{background-color:#CFD1D3;}
.cptn-background-lightblue{background-color:#3C74A6;}
.cptn-background-lightgreen{background-color:#51AD5C;}
.cptn-background-orange{background-color:#F99E00;}
.cptn-background-darkviolet{background-color:#824F83;}
.cptn-background-darkgreen{background-color:#357FB7;}
.cptn-background-darkred{background-color:#AA0000;}
.cptn-background-darkblue{background-color:#39576F;}
.cptn-background-mediumgrey{background-color:#A0A0A0;}
.cptn-background-pastelblue{background-color:#8EB4D6;}
.cptn-background-pastelgreen{background-color:#8DC994;}
.cptn-background-pastelorange{background-color:#FFD17D;}
.cptn-background-pastelviolet{background-color:#CCAECE;}

/* https://material.io/resources/icons/?style=baseline */
/* https://google.github.io/material-design-icons */
/* justifiy center with other text */
.material-icons{display:inline-flex;align-items:center;justify-content:center;vertical-align:middle;margin:0; padding:0;}
.material-icons.md-8{ font-size:8px;}
.material-icons.md-12{ font-size:12px;}
.material-icons.md-14{ font-size:14px;}
.material-icons.md-18{ font-size:18px;}
.material-icons.md-24{ font-size:24px;}
.material-icons.md-36{ font-size:36px;}
.material-icons.md-48{ font-size:48px;}
.material-icons.md-none{ font-size:none;}

/* standard material design color */
.material-icons.md-dark{ color:rgba(0, 0, 0, 0.54);}
.material-icons.md-dark.md-inactive{ color:rgba(0, 0, 0, 0.26);}
.material-icons.md-light{ color:rgba(255, 255, 255, 1);}
.material-icons.md-light.md-inactive{ color:rgba(255, 255, 255, 0.3);}

/* datatables */
.dataTables_wrapper{font-family:'Roboto Condensed', sans-serif !important;}
tbody, td, tfoot, th, thead, tr {border-width:0px !important;}
tr.even {background-color:transparent !important;}
tr.odd {background-color:rgba(0,0,0,0.05) !important;}
tr.child {background-color:transparent !important;}
tr:hover {background-color:rgba(0,0,0,0.15) !important;}
.dataTables_wrapper .pagination{margin-top:-5px !important;}
.dataTables_scrollBody{margin-bottom:5px;}
.dt-buttons .btn{margin-right:1px !important;background-color:#717171;}
.dataTables_wrapper .dataTables_paginate .paginate_button{padding:0px !important;}
.dataTables_filter{width:100% !important; float:none !important;white-space:nowrap !important;}
div.dataTables_wrapper div.dataTables_filter label{width:100% !important;white-space:nowrap !important;}
.btn-xs{margin:0 !important;padding:0px !important; width:25px !important;height:25px !important; font-size:14px;}
input[type="search"]::-webkit-search-cancel-button{-webkit-appearance:searchfield-cancel-button;}
.loadingSpinnerContainer{text-align:center;margin:auto;z-index:30000001;display:inline-block;position:fixed;top:50%;left:50%;transform: translateX(-50%) translateY(-50%);}
.loadingSpinnerImage{width:150px;position:absolute;top:0; left:0; right:0; bottom:0;margin:auto;} 
.dataTables_processing{left:50%;position:absolute;top:50%;z-index:100000;}
.summary-icon{width:60px !important;height:60px !important;line-height:60px !important;font-size:2.5rem !important;}
div.dataTables_scrollBody>table>tbody>tr>td{vertical-align:top !important;white-space:nowrap !important;}
.dataTables_wrapper{margin-top:30px;font-size:13px;color:#555;}
.dataTables_info{font-size:0.7rem;}
.dataTables_filter input{width:300px !important;float:right !important;}

/* fastselect */		
.fstMultipleMode{width:100% !important; height:90px !important;background-color:#eee !important;border:none !important;}
.fstControls{width:100% !important; height:90px !important;}
.fstResults{margin:-2em 50px 0px 50px!important;}
.fstResultItem{font-size:0.7em;padding:5px;}
.fstResultItem.fstSelected{background-color:#337ab7 !important;}
.fstChoiceItem{font-size:0.7em;height:2em;width:auto;background-color:#337ab7;border:1px solid #555;padding:0.15em 0.333em 0.333em 1.5em !important;}

/* TinyMCE */
.wp-editor-wrap{width:100% !important;}
.wp-editor-container{width:100% !important;}
.tab-pane{width:100% !important;}

/* Support */
#cptn-faq-main-content{font-size:14px;margin:5px 0px 10px 20px;min-height:550px;padding:0px 7%;}
.cptn-faq-main {list-style-type: none;margin:0 0 25px 0;padding:5px 0px 5px 25px;}
.cptn-faq-main li {margin:5px 0px 5px 5px;}
.cptn-faq-main-title {font-size:22px;font-weight:bold;border:1px solid #999;background-color:#2C5478;color:white;border-radius:5px;padding:5px;margin:0;}
.cptn-faq-chapter {list-style-type: none;margin:0px 0px 0px 20px;padding:5px 0px 5px 5px;cursor:pointer;display:none;}
.cptn-faq-chapter li {margin:5px 0px 5px 5px;}
.cptn-faq-chapter-title {font-size:18px;font-weight:bold;border:1px solid #999;background-color:#3C74A6;color:white;border-radius:5px;padding:5px;margin:0;cursor:pointer;}
.cptn-faq-title{font-size:16px;font-weight:bold;border:1px solid #999;background-color:#ccc;border-radius:5px;padding:5px;}
.cptn-faq-content{display:none;font-size:14px;margin:5px 0px 10px 20px;background-color:#fff;border:1px #555 solid;border-radius:5px;padding:5px;}
#cptn-faq-search{outline: none;border:5px solid #208C41;background-color:#eee;}
#cptn-faq-search:focus{background-color:white;}
.cptn-faq-highlight{background-color:#51AD5C;font-weight:bold;}
.cptn-faq-thumb{display:none;margin-right:10px;}
#cptn-faq-error {display:none;text-align:center;background-color:#F99E00;color:white;margin-top:200px;padding:5px;border-radius:5px;}

/* config / wizard */
.cptn-sidebar-text{background-color:#2C5478;color:white;border:1px solid #999;border-radius:10px;padding:15px;margin-top:12px;}
.btn-cptn-next{background-color:#208C41;color:white;}
/* Bootstrap 5 */
a {text-decoration: none;}
h1, h2, h3, h4, h5, h6 {font-weight: 400!important;}
.form-group {margin-bottom: 1rem;}
.modal input[type=text] {width: 100%;}
.modal select {width: 100%;}
.nav-pills .nav-link.active {background-color:#3C74A6 !important;border-color:#3C74A6 !important;}

::placeholder {color: #aaa;opacity: 1;}
:-ms-input-placeholder {color: #aaa;}
::-ms-input-placeholder {color: #aaa;}

/* UI-Switcher */
.ui-switcher[aria-checked=false]:before {content: '<?php echo htmlspecialchars_decode(esc_html__("OFF","campation-postoffice")); ?>' !important;}
.ui-switcher[aria-checked=true]:before {content: '<?php echo htmlspecialchars_decode(esc_html__("ON","campation-postoffice")); ?>' !important;}
.ui-switcher[aria-checked=true] {background-color:#51AD5C;}
.ui-switcher{margin:-2px 5px 0px 5px;}
.form-check {padding-left:0px !important;padding-top:10px;}
.form-check-input[type=radio] {margin:0 !important;width:auto !important; float:none !important;}
.form-check-input[type=radio]:checked {background-color:transparent !important;} 

/* green hook and red cross */
.cptn-green-hook {color:green;font-size:16px;font-weight:bold;}
.cptn-green-hook:after {content: "\2714";}
.cptn-red-cross {color:#aa0000;font-size:16px;font-weight:bold;}
.cptn-red-cross:after {content: "\2717";}
.cptn-infin{font-size:24px;font-weight:bold;font-family:Courier !important;}
.cptn-infin:after {content: "\221E";}
.cptn-question-circle{cursor:pointer;float:right;margin-right:3px;}
.cptn-question-circle-blue{cursor:pointer;margin-left:15px;color:#2c5478;}
.tooltip-inner{background-color:#2c5478;}

</style>

<?php
   }
   }
?>