<?php
// check other queues and import to PO queue

function cptn_po_cron_other_queues() 
   {      
   global $wpdb;

   // CiviCRM
   // /wp-content/uploads/civicrm/civicrm.settings.php: 
   //     define('CIVICRM_DSN', 'mysql://civi-wp:06SC08cb2014@localhost:3306/AHKcivicrmWP?new_link=true');  // CiviCRM Database
   //     define( 'CIVICRM_UF_DSN', 'mysql://civi-wp:06SC08cb2014@localhost:3306/civi-wp?new_link=true');	// WordPress Database
   //
   // CiviCRM Outgoing mail has to be configured as "to file/database"
   
   
   if(defined("CIVICRM_DSN"))   // CiviCRM is active 
      {
	  $db = cptn_po_dsn_to_login(CIVICRM_DSN);

	  $mysqliconn = mysqli_connect($db['host'], $db['user'], $db['password'], $db['database'], $db['port']);
	  if (mysqli_connect_errno())  wp_die();
	  mysqli_set_charset($mysqliconn, 'utf8');
   	  mysqli_query($mysqliconn, "SET NAMES 'utf8'");
   	  mysqli_query($mysqliconn, 'set character set utf8;');
	  mb_internal_encoding('UTF-8');
	  
	  $query = "SHOW TABLES LIKE 'civicrm_mailing_spool'";            // table exists in CiviCRM database?
	  $result = mysqli_query($mysqliconn,$query);
	  if(mysqli_num_rows($result)>0)
	     $civispooltable = "civicrm_mailing_spool";
	  else	  
	     {
	  	 $query = "SHOW TABLES LIKE '".$wpdb->prefix."civicrm_mailing_spool'";   // table exists in WordPress database?
	  	 $result = mysqli_query($mysqliconn,$query);
	  	 if(mysqli_num_rows($result)>0)
	        $civispooltable = $wpdb->prefix."civicrm_mailing_spool";
	     else
		    wp_die();		
		 }

      // check if index on removed_at exists (no standard in CiviCRM)
	  $query = "SHOW INDEX FROM ".$civispooltable." WHERE column_name='removed_at'";
	  $index = mysqli_query($mysqliconn,$query);
	  if(mysqli_num_rows($index)==0)
	     {
	  	 $query = "CREATE INDEX removed_at ON ".$civispooltable." (removed_at)";
	  	 mysqli_query($mysqliconn,$query);
		 }


      // is there a mail category predefined for civicrm in config?
	  $query = "SELECT mailcategory FROM ".$wpdb->prefix."cptn_po_plugin_mailcategory WHERE pluginslug = 'civicrm'";
	  $mailcategory = $wpdb->get_var($query);

		 
      $startscript = intval(microtime(true));
   	  cptn_po_update_option("cptn_po_other_queues_cron",$startscript);

      while(intval(microtime(true))-$startscript <= $scriptduration AND intval(cptn_po_get_option("cptn_po_cron_running"))==1)
         {
	  	 // was email blocked by Admin?
	  	 if(intval(cptn_po_get_option("cptn_po_opt_email_blocked"))==1)  break;
		 

	     // check if we have mails in CiviCRM queue
	     $query = "SELECT * FROM ".$civispooltable." WHERE removed_at IS NULL";
	     $mails = $mysqliconn->query($query);
	     if($mails===false) $resulttext = "false"; else $resulttext="true";
	     if($mails===false) wp_die();

		 if(empty($mailcategory))
		    {		 
         	if(mysqli_num_rows($mails) < 4)
               $mailcategory = "trans";
         	elseif(mysqli_num_rows($mails) < 10)
               $mailcategory = "marke";
	        else	  
               $mailcategory = "bulk";
            }
		 
	     while($row = $mails->fetch_assoc())
	        {
		    $subject = "";
		    $from = "";
            $head = explode("\n", str_replace("\r\n", "\n", $row['headers']));
		    foreach($head AS $key => $value)
		       {
			   if(substr($value,0,5)=="From:")
		 	      $from = trim(substr(str_replace('"','',$value),6,500));
			   if(substr($value,0,8)=="Subject:")
		 	      $subject = trim(substr($value,9,500));
			   }
            $headers  = "From: ".$from.PHP_EOL;
		    $headers .= "MIME-Version: 1.0".PHP_EOL;
		    $headers .= "Content-Type: text/html; charset=utf-8".PHP_EOL;

		    $body = $row['body'];
		 
		    $source = "civicrm";
		 
		    // add to PO queue
		    cptn_po_mail($row['recipient_email'], $subject, $body, $headers, "", $mailcategory, $source);

	        // update CiviCRM queue as sent
	  	    $query = "UPDATE ".$civispooltable." 
		                 SET removed_at = NOW()
					   WHERE id = ".$row['id'];
	  	    $result = mysqli_query($mysqliconn,$query);
		    }
	     }

	  sleep(3);
      }            // main loop every 3 seconds for 55 seconds

   }


function cptn_po_dsn_to_login ($dsn)
   {
   // turn mysql://civi-wp:06SC08cb2014@localhost:3306/civi-wp?new_link=true into host, port, user etc.
   $output = array();
   $dsn = str_replace("mysql://","",$dsn);
   $output['user'] = substr($dsn,0,strpos($dsn,":"));
   $dsn = substr($dsn,strpos($dsn,":")+1,100);
   $output['password'] = substr($dsn,0,strpos($dsn,"@"));
   $dsn = substr($dsn,strpos($dsn,"@")+1,100);
   $output['host'] = substr($dsn,0,strpos($dsn,":"));
   $dsn = substr($dsn,strpos($dsn,":")+1,100);
   $output['port'] = substr($dsn,0,strpos($dsn,"/"));
   $dsn = substr($dsn,strpos($dsn,"/")+1,100);
   $output['database'] = substr($dsn,0,strpos($dsn,"?"));

   return($output);
   }


?>