<?php

global  $wpdb ;
// blocked email could have been unclear until 1.4.0
if ( cptn_po_get_option( "cptn_po_opt_email_blocked" ) != "0" and cptn_po_get_option( "cptn_po_opt_email_blocked" ) != "1" ) {
    cptn_po_update_option( "cptn_po_opt_email_blocked", "0" );
}
// set first version and activation
if ( !cptn_exist_option( "cptn_po_opt_first_activation" ) ) {
    update_option( "cptn_po_opt_first_activation", date( "Y-m-d H:i:s" ) );
}
if ( !cptn_exist_option( "cptn_po_opt_first_version" ) ) {
    update_option( "cptn_po_opt_first_version", CPTNPOVERSION );
}
if ( !cptn_exist_option( "cptn_po_opt_delete_data_uninstall" ) ) {
    update_option( "cptn_po_opt_delete_data_uninstall", 0 );
}
if ( !cptn_exist_option( "cptn_po_opt_email_read_online_header" ) ) {
    update_option( "cptn_po_opt_email_read_online_header", 0 );
}
// rename PostOffice in table
$query = "UPDATE " . $wpdb->prefix . "cptn_po_plugin_mailcategory\n             SET pluginname = 'Campation PostOffice'\n\t       WHERE pluginslug = 'campation-postoffice'";
$wpdb->query( $query );
// remove /wordpress-directory from domain, this was possible until 1.1.8 if WP was installed in subdirectory
$query = "SELECT id,domain FROM " . $wpdb->prefix . "cptn_po_sender_domain WHERE domain LIKE '%/%'";
$domains = $wpdb->get_results( $query, ARRAY_A );
if ( $domains ) {
    foreach ( $domains as $domain ) {
        
        if ( $domain['domain'] and strpos( $domain['domain'], "/" ) !== false ) {
            $newdomain = substr( $domain['domain'], 0, strpos( $domain['domain'], "/" ) );
            $query = "UPDATE " . $wpdb->prefix . "cptn_po_sender_domain SET domain = '" . $newdomain . "' WHERE id=" . $domain['id'];
            $wpdb->query( $query );
        }
    
    }
}
// correct cptn_url
$query = "UPDATE " . $wpdb->prefix . "cptn_url SET code = REPLACE(code,'http://','')";
$wpdb->query( $query );
$query = "UPDATE " . $wpdb->prefix . "cptn_url SET code = REPLACE(code,'https://','')";
$wpdb->query( $query );
// correct mailserver
// only 1 SPMAIL id=0
$query = "SELECT * FROM " . $wpdb->prefix . "cptn_po_mailserver WHERE server_type='spmail' ORDER BY id ASC";
$mailservers = $wpdb->get_results( $query, ARRAY_A );

if ( COUNT( $mailservers ) > 1 ) {
    $query = "DELETE FROM " . $wpdb->prefix . "cptn_po_mailserver WHERE server_type='spmail' AND id != " . $mailservers[0]['id'];
    $wpdb->query( $query );
    $query = "UPDATE " . $wpdb->prefix . "cptn_po_mailserver SET id=0 WHERE server_type='spmail' AND id = " . $mailservers[0]['id'];
    $wpdb->query( $query );
}

// every smtp server only once
$query = "CREATE TABLE " . $wpdb->prefix . "cptn_po_mailserver_copy LIKE " . $wpdb->prefix . "cptn_po_mailserver";
$wpdb->query( $query );
$query = "INSERT INTO " . $wpdb->prefix . "cptn_po_mailserver_copy\n\t      SELECT * FROM " . $wpdb->prefix . "cptn_po_mailserver WHERE server_type='smtp'\n\t\t  GROUP BY address";
$wpdb->query( $query );
$query = "DELETE FROM " . $wpdb->prefix . "cptn_po_mailserver WHERE server_type='smtp'";
$wpdb->query( $query );
$query = "INSERT INTO " . $wpdb->prefix . "cptn_po_mailserver\n\t      SELECT * FROM " . $wpdb->prefix . "cptn_po_mailserver_copy";
$wpdb->query( $query );
$query = "DROP TABLE " . $wpdb->prefix . "cptn_po_mailserver_copy";
$wpdb->query( $query );