<?php
add_action('template_redirect', 'cptn_po_virtual_url',-99);
function cptn_po_virtual_url()
   {
   global $wpdb, $wp_query;

   if(!isset($_REQUEST['List-Unsubscribe']))    // has been sent in a strange way so get it elsewhere
      {
	  // This creates a $_REQUEST['List-Unsubscribe'] = "one-click" from input stream which later is validated 
	  // if the Post does contain anything else it is ignored. Only a $_REQUEST['List-Unsubscribe'] = "one-click" can trigger 
	  // an if-condition which then unsubscribes a user. The data received in php://input is not outputted nor saved to database. 
	  // If somebody submits a stream which is converted to REQUEST['we_are_the_bad_guys'] = 'welcome to the hell' it just would be ignored.
   	  $params = file_get_contents("php://input");
   	  if($params)
         $_REQUEST[substr($params,0,strpos($params,"="))] = sanitize_text_field(trim(substr($params,strpos($params,"=")+1,100)));
      }
	  
   // check for pseudo url
   if ($wp_query->is_404())  
      {

      $code = trim(substr(parse_url(esc_url_raw($_SERVER["REQUEST_URI"]), PHP_URL_PATH),1,1000));   // leading slash
   	  if(substr($code,strlen($code)-1,1)=="/")   // trailing slash
	     $code = substr($code,0,-1);            


      if($code=="cptnporeadonline")
	     {
   		 $pagetitle = htmlspecialchars_decode(esc_html__("Read email online","campation-postoffice"));

   		 // set empty template
   		 add_filter( 'page_template', 'cptn_po_empty_theme', 1 );
   		 function cptn_po_empty_theme( $template ) {
	  	    global $post;
	  		$template = CPTNPODIR.'files/cptn-empty-theme.php';
	  		return ($template);
  	  		}
         cptn_po_virtual_page("",$pagetitle);

		 if(!isset($_REQUEST['id']) OR !isset($_REQUEST['ck']) OR dechex($_REQUEST['id']*2) != $_REQUEST['ck'])
		    echo "Parameter error";
		 else
		    {	
		 	$query = "SELECT * FROM ".$wpdb->prefix."cptn_po_queue WHERE id = ".$_REQUEST['id'];
		 	$mail = $wpdb->get_row($query, ARRAY_A);

			if(json_decode($mail['attachments'],true))
			   {
			   echo '<center><div style="display:inline-block;border:1px solid #555;border-radius:10px;background-color:#eee;padding:10px;margin:5px;"><h4>'.__("Attachments","campation-postoffice").'</h4>'; 
			   foreach(json_decode($mail['attachments'],true) AS $attachment)
			      {
				  echo '<a href="'.home_url().str_replace($_SERVER['DOCUMENT_ROOT'],"",$attachment).'" target="_blank">'.basename($attachment).'</a><br>'; 
				  }
               echo '</div></center><hr>';			   
			   }

		 	echo $mail['mail_content_sent'];
			}
		 }	


      if($code=="cptntestpage")
	     {
   		 $content = htmlspecialchars_decode(esc_html__("Campation PostOffice&trade; virtual pages are working!","campation-postoffice"));
   		 $pagetitle = htmlspecialchars_decode(esc_html__("SUCCESS: Campation PostOffice&trade; virtual pages are working!","campation-postoffice"));
         cptn_po_virtual_page($content,$pagetitle);
		 }	


      if(trim(substr($code,0,strpos($code,"-")))=="cptnmaildesign")
	     {	
      	 $queue_id = trim(substr($code,strpos($code,"-")+1,100));
		 $queue_id = str_replace(".png","",$queue_id);

	  	 if (!empty($_SERVER['HTTP_CLIENT_IP'])) 
    	    $ip = $_SERVER['HTTP_CLIENT_IP'];
         elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) 
    	    $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
         else 
    	    $ip = $_SERVER['REMOTE_ADDR'];
         $host = gethostbyaddr($ip);

         // mark queue as opened
		 $query = "UPDATE ".$wpdb->prefix."cptn_po_queue
                      SET opened = NOW(),
			     	  	  open_ip = '".esc_sql($ip)."',
				 		  open_ptr = '".esc_sql($host)."'
		            WHERE id = ".$queue_id."
		              AND opened IS NULL";	  		 
         $count = $wpdb->query($query);

		 if($count)
   		    {
   			// get queue data
   			$query = "SELECT * FROM ".$wpdb->prefix."cptn_po_queue
              	       WHERE id = ".$queue_id;	  		 
            $queue = $wpdb->get_row($query, ARRAY_A);
			   
   			// mark mailserver as opened 
			if($queue['mailserver'])
			   {
   			   $query = "UPDATE ".$wpdb->prefix."cptn_po_mailserver
	                        SET opened = opened+1
		                  WHERE id = ".$queue['mailserver'];	  		 
               $wpdb->query($query);
			   }

   			// mark recipient as opened 
			if($queue['recipient_id'])
			   {
   			   $query = "UPDATE ".$wpdb->prefix."cptn_po_recipient
                            SET mails_opened = mails_opened+1,
						     	last_opened = NOW()
                          WHERE id = ".$queue['recipient_id'];	  		 
               $wpdb->query($query);
			   }

   			// mark domain as opened  
			if($queue['sender_domain_id'])
			   {
   			   $query = "UPDATE ".$wpdb->prefix."cptn_po_sender_domain
                            SET mails_opened = mails_opened+1
                          WHERE id = ".$queue['sender_domain_id'];	  		 
               $wpdb->query($query);
			   }
			   
   			// Domain - Mailserver
   			if($queue['sender_domain_id'] AND $queue['mailserver'])
	  		   {
	  		   $query = "UPDATE ".$wpdb->prefix."cptn_po_sender_domain_mailserver
	                        SET mails_opened = mails_opened+1
			              WHERE domain_id = ".$queue['sender_domain_id']."
			       		    AND mailserver_id = ".$queue['mailserver'];	  		 
               $wpdb->query($query);
	  		   }
            }

         header("Expires: Tue, 03 Jul 2001 06:00:00 GMT");
   		 header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
   		 header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
   		 header("Cache-Control: post-check=0, pre-check=0", false);
   		 header("Pragma: no-cache");
   		 header( "Content-type: image/png" );
   		 $tt_image = imagecreate( 600, 1 ); /* width, height */
   		 $background = imagecolorallocatealpha($tt_image, 230, 230, 230, 0 ); /* In RGB colors- (Red, Green, Blue, Transparency ) */
   		 imagepng( $tt_image );
         }


      elseif(trim(substr($code,0,strpos($code,"?")))=="cptnunsubscribe" OR $code=="cptnunsubscribe")
	     {	
		 if(!isset($_REQUEST['cptnpou']) OR isset($_REQUEST['cptnpou']) AND empty($_REQUEST['cptnpou']) OR !isset($_REQUEST['cptnpoi']) OR isset($_REQUEST['cptnpoi']) AND empty($_REQUEST['cptnpoi']) )
		    {
   		    $content = htmlspecialchars_decode(esc_html__("Invalid parameters","campation-postoffice"));
   		    $pagetitle = htmlspecialchars_decode(esc_html__("Invalid parameters","campation-postoffice"));
            cptn_po_virtual_page($content,$pagetitle);
			}      

         $recipient_email = sanitize_email(base64_decode(strtr($_REQUEST['cptnpou']), '-_', '+/'));     // decrypted email address
		 $queue_id = sanitize_text_field($_REQUEST['cptnpoi']);    		               // queue_id

		 // if one click, unsubscribe immediately
		 $oneclick = false;
		 if(isset($_REQUEST['List-Unsubscribe']) AND strtolower(sanitize_text_field($_REQUEST['List-Unsubscribe']))=="one-click" OR
   			isset($_REQUEST['List-unsubscribe']) AND strtolower(sanitize_text_field($_REQUEST['List-unsubscribe']))=="one-click" OR
   			isset($_REQUEST['list-unsubscribe']) AND strtolower(sanitize_text_field($_REQUEST['list-unsubscribe']))=="one-click"
   			)      
   			$oneclick = true;

        if(!$oneclick)                                                 // user has to confirm
   		   {
	       $unsubscribeurl = esc_url_raw(get_home_url().'/cptnunsubscribe');

   		   $content = '
		   <br><br>
		   <center>
		   '.htmlspecialchars_decode(esc_html__("Please click the button to confirm your wish to unsubscribe","campation-postoffice")).'
		   <br>
		   <br>
		   <form method="POST" action="'.esc_attr($unsubscribeurl).'">
		      <input type="hidden" name="cptnpou" value="'.esc_attr($_REQUEST['cptnpou']).'">
			  <input type="hidden" name="cptnpoi" value="'.esc_attr($_REQUEST['cptnpoi']).'">
   			  <input type="hidden" name="list-unsubscribe" value="one-click">
   			  <button type="submit" class="button button-primary button-hero">'.htmlspecialchars_decode(esc_html_x("Unsubscribe","unsubscribe","campation-postoffice")).'</button>
           </form>
		   </center>
		   ';   
		   $pagetitle = htmlspecialchars_decode(esc_html__("Unsubscribe","campation-postoffice"));
           cptn_po_virtual_page($content,$pagetitle);      
           }
        else
           {
   		   // unsubscribe in all Campation components                // #################### activate all Campation plugins!										 
   		   if(function_exists("cptn_po_unsubscribe"))
   		      cptn_po_unsubscribe($recipient_email, $queue_id);
//   	   if(function_exists("cptn_jo_unsubscribe"))			     // does forward to other url, remove that funcionality
//            cptn_ca_unsubscribe($recipient_email);
//         if(function_exists("cptn_fc_unsubscribe"))
//            cptn_fc_unsubscribe($recipient_email);

           if(esc_url_raw(get_option("cptn_po_opt_unsubscribe_page")) AND cptn_po_fs()->is_plan('starter'))
      	      header("Location: ".esc_url_raw(get_option("cptn_po_opt_unsubscribe_page")));
           else
		      {
      	      $content = htmlspecialchars_decode(esc_html__("You have been unsubscribed","campation-postoffice"));
			  $pagetitle = htmlspecialchars_decode(esc_html__("Unsubscription successful","campation-postoffice"));
         	  cptn_po_virtual_page($content,$pagetitle);      
			  }

           }	  
         }
      }
   }


function cptn_po_virtual_page($content,$pagetitle)
   {
   global $wpdb, $wp_query, $wp;

   // START create virtual page
   $post_id = -99;                           // negative ID, to avoid clash with a valid post
   $post = new stdClass();
   $post->ID = $post_id;
   $post->post_author = 1;
   $post->post_date = current_time( 'mysql' );
   $post->post_date_gmt = current_time( 'mysql', 1 );
   $post->post_status = 'publish';
   $post->comment_status = 'closed';
   $post->ping_status = 'closed';
   $post->post_type = 'page';
   $post->filter = 'raw'; // important!	 
   
   $post->post_title = $pagetitle;
   $post->post_name = $pagetitle;
   $post->post_content = $content;

   // create the page and update main query
   $wp_post = new WP_Post( $post );
   wp_cache_add( $post_id, $wp_post, 'posts' );
   $wp_query->post = $wp_post;
   $wp_query->posts = array( $wp_post );
   $wp_query->queried_object = $wp_post;
   $wp_query->queried_object_id = $post_id;
   $wp_query->found_posts = 1;
   $wp_query->post_count = 1;
   $wp_query->max_num_pages = 1; 
   $wp_query->is_page = true;
   $wp_query->is_singular = true; 
   $wp_query->is_single = false; 
   $wp_query->is_attachment = false;
   $wp_query->is_archive = false; 
   $wp_query->is_category = false;
   $wp_query->is_tag = false; 
   $wp_query->is_tax = false;
   $wp_query->is_author = false;
   $wp_query->is_date = false;
   $wp_query->is_year = false;
   $wp_query->is_month = false;
   $wp_query->is_day = false;
   $wp_query->is_time = false;
   $wp_query->is_search = false;
   $wp_query->is_feed = false;
   $wp_query->is_comment_feed = false;
   $wp_query->is_trackback = false;
   $wp_query->is_home = false;
   $wp_query->is_embed = false;
   status_header( 200 );
   $wp_query->is_404 = false; 
   $wp_query->is_paged = false;
   $wp_query->is_admin = false; 
   $wp_query->is_preview = false; 
   $wp_query->is_robots = false; 
   $wp_query->is_posts_page = false;
   $wp_query->is_post_type_archive = false;
   // END create virtual page

   // Update the globals and deliver page 
   $GLOBALS['wp_query'] = $wp_query;
   $wp->register_globals();
   
   }

?>