<?php
add_action('wp_ajax_nopriv_cptn_po_recipients_startstop','cptn_po_recipients_startstop');
add_action('wp_ajax_cptn_po_recipients_startstop','cptn_po_recipients_startstop');
function cptn_po_recipients_startstop() {      
   global $wpdb;
   $id = intval($_POST['id']);

   if(intval($_POST['status'])==0)
      $status = 1;
   else
      $status = 0;

   $query = "UPDATE ".$wpdb->prefix."cptn_po_recipient
   		        SET status = ".$status."
			  WHERE id = ".$id;
   $wpdb->query($query);
   wp_die();
   }

   
add_action('wp_ajax_nopriv_cptn_po_recipients_edit','cptn_po_recipients_edit');
add_action('wp_ajax_cptn_po_recipients_edit','cptn_po_recipients_edit');
function cptn_po_recipients_edit() {      
   global $wpdb;
   $id = intval($_POST['id']);

   $query = "SELECT r.id, r.user_id, u.user_email, r.recipient_email, r.recipient_status 
   		       FROM ".$wpdb->prefix."cptn_po_recipient r
			  LEFT JOIN ".$wpdb->prefix."users u ON u.ID=r.id
			  WHERE r.id = ".$id;
			  
   $row = $wpdb->get_row($query, ARRAY_A);
   $output = "";
   if($row)
      {
	  if($row['user_id']==0) $row['user_id']="";
	  if($row['recipient_status']!="OK") $output .= '<div>'.htmlspecialchars_decode(esc_html__("Enter a valid email address, it will be updated in WordPress user, too, and all not sent emails to this recipient will be sent again","campation-postoffice")).'</div><br>';
      $output .= '
	  <form id="cptn_po_recipient_form">
	     <input type="hidden" name="id" id="id" value="'.intval($row['id']).'">
	     <input type="hidden" name="user_id" id="user_id" value="'.intval($row['user_id']).'">
		 <input type="hidden" name="action" value="cptn_po_recipient_modal_save" />
	  	 <table width=100% cellpadding=10 class="table table-sm table-striped table-hover table-compact">
	  	    <tr><th valign=top>'.htmlspecialchars_decode(esc_html__("Value","campation-postoffice")).'</th><th valign=top>'.htmlspecialchars_decode(esc_html__("PostOffice","campation-postoffice")).'</th><th valign=top>'.htmlspecialchars_decode(esc_html__("WordPress","campation-postoffice")).'</th></tr>
	  		<tr><td valign=top>'.htmlspecialchars_decode(esc_html__("ID","campation-postoffice")).'</td><td valign=top>'.esc_html($row['id']).'</td><td valign=top>'.esc_html($row['user_id']).'</td></tr>
	  		<tr><td valign=top>'.htmlspecialchars_decode(esc_html__("Email address","campation-postoffice")).'</td><td valign=top>'.esc_html($row['recipient_email']).'</td><td valign=top>'.esc_html($row['user_email']).'</td></tr>
		    <tr><td>'.htmlspecialchars_decode(esc_html__("New email address","campation-postoffice")).'</td><td colspan=2><input style="width:100%;" type="text" name="recipient_email" id="recipient_email" placeholder="email@domain.com" value=""></td></tr>
	     </table>
	  </form>
	  <br>
	  <div id="cptn_po_checking_recipient" style="display:none;text-align:center">'.htmlspecialchars_decode(esc_html__("Checking recipient email","campation-postoffice")).'</div>
	  ';
	  }
   else
      $output .= '<br><br><center>'.htmlspecialchars_decode(esc_html__("Data not found","campation-postoffice")).'</center><br><br>';
   	  
      
   echo wp_kses_post($output);
   
   wp_die();
   }


add_action('wp_ajax_nopriv_cptn_po_recipient_modal_save','cptn_po_recipient_modal_save');
add_action('wp_ajax_cptn_po_recipient_modal_save','cptn_po_recipient_modal_save');
function cptn_po_recipient_modal_save() {      
   global $wpdb;
   $id      = intval($_POST['id']);
   $user_id = intval($_POST['user_id']);

   if(sanitize_email($_POST['recipient_email']))
      {
      if($id)
         {
	  	 // update recipient
   	  	 $recipient_domain = substr(sanitize_email($_POST['recipient_email']),strpos(sanitize_email($_POST['recipient_email']),"@")+1,100);
   	  	 $query = "UPDATE ".$wpdb->prefix."cptn_po_recipient
			          SET recipient_email = '".esc_sql(sanitize_email($_POST['recipient_email']))."',
					   	  domain = '".esc_sql($recipient_domain)."',
				       	  recipient_status = NULL,
					   	  bounce_date = NULL,
					   	  mails_error = 0,
					   	  mails_error_last = NULL,
					   	  embargo = NULL,
					   	  embargo_reason = NULL,
				       	  updated = NOW()
			        WHERE id = ".$id;
         if($wpdb->query($query)>0)
		    {
	        cptn_po_cron_recipient_check($id);
	  
	        // update queue
   	  	 	$query = "UPDATE ".$wpdb->prefix."cptn_po_queue
			             SET to_email = '".esc_sql(sanitize_email($_POST['recipient_email']))."',
				             executed = NULL,
					         slave = NULL,
				       		 errors = 0,
				       		 error_date = NULL,
					   		 error_reason = NULL,
					   		 error_full = NULL 
			           WHERE recipient_id = ".$id."
					     AND errors > 0
						 AND error_date IS NOT NULL
						 ";
            $wpdb->query($query);
	  		}
	     }		
   
      if($user_id)
         {
	  	 // update wordpress user
   	  	 $query = "UPDATE ".$wpdb->prefix."users
			          SET user_email = '".esc_sql(sanitize_email($_POST['recipient_email']))."'
			        WHERE ID = ".$user_id;
         $wpdb->query($query);
	  	 }
      }		 

   wp_die();
   }
   
   
add_action('wp_ajax_nopriv_cptn_po_recipients_info','cptn_po_recipients_info');
add_action('wp_ajax_cptn_po_recipients_info','cptn_po_recipients_info');
function cptn_po_recipients_info() {      
   global $wpdb;
   $id = intval($_POST['id']);

   $query = "SELECT q.id, q.executed, q.from_email, q.mail_subject, q.error_date, q.opened, q.open_ip, q.open_ptr, q.clicked, q.click_ip, q.click_ptr, q.unsubscribe_date, 
   		            ms.address 
   		       FROM ".$wpdb->prefix."cptn_po_queue q
   		       LEFT JOIN ".$wpdb->prefix."cptn_po_mailserver ms ON ms.id = q.mailserver
			  WHERE (q.executed IS NOT NULL OR q.error_date IS NOT NULL)
			    AND q.recipient_id = ".$id."
			  ORDER BY q.id DESC
			  ";
			  
   $result = $wpdb->get_results($query, ARRAY_A);
   $output = "";
   if($result)
      {
	  $output .= "<table width=100% cellpadding=10 class='table table-sm table-striped table-hover table-compact'> ";
	  $output .= "<tr><th valign=top>".htmlspecialchars_decode(esc_html__("Action","campation-postoffice"))."</th><th valign=top>".htmlspecialchars_decode(esc_html__("Date","campation-postoffice"))."</th><th valign=top>".htmlspecialchars_decode(esc_html__("From","campation-postoffice"))."</th><th valign=top>".htmlspecialchars_decode(esc_html__("Subject","campation-postoffice"))."</th><th valign=top>".htmlspecialchars_decode(esc_html__("Mail server","campation-postoffice"))."</th><th valign=top>".htmlspecialchars_decode(esc_html__("Delivery","campation-postoffice"))."</th></tr> ";
	  foreach($result AS $row)
	     {
		 $date_cell = cptn_date_format($row['executed']);
		 if(empty($date_cell)) 
		    {
			$date_cell = cptn_date_format($row['error_date']);
			}
			
	  	 $output .= "<tr><td valign=top align=center style='font-size:12px;'><button type='button' class='mb-1 mt-1 mr-1 btn btn-xs btn-info cptn-po-recipient-show-message' title='".esc_attr__("Show message","campation-postoffice")."' data-id='".esc_attr($row['id'])."'><i class='fas fa-info'></i></button></td><td valign=top style='font-size:12px;'>".esc_html($date_cell)."</td><td valign=top style='font-size:12px;'>".esc_html($row['from_email'])."</td><td valign=top style='font-size:12px;'>".esc_html($row['mail_subject'])."</td><td valign=top style='font-size:12px;'>".esc_html($row['address'])."</td>";
		 $output .= "<td valign=top width=50% style='font-size:12px;'>";

	 	 $query = "SELECT qe.error_date, qe.error_code, qe.error_type, qe.error_cat, qe.error_full 
   		   	         FROM ".$wpdb->prefix."cptn_po_queue_error qe 
			        WHERE qe.queue_id = ".$row['id']."
					ORDER BY error_date DESC";
         $errors = $wpdb->get_results($query, ARRAY_A);
		 if($errors)
		    {
	  		$output .= "<table width=100% cellpadding=4 style='margin-top:-3px;'> ";
	  		$output .= "<tr><th width=20%>".htmlspecialchars_decode(esc_html__("Date","campation-postoffice"))."</th><th width=10%>".htmlspecialchars_decode(esc_html__("Code","campation-postoffice"))."</th><th width=15%>".htmlspecialchars_decode(esc_html__("Type","campation-postoffice"))."</th><th width=15%>".htmlspecialchars_decode(esc_html__("Category","campation-postoffice"))."</th><th width=40%>".htmlspecialchars_decode(esc_html__("Message","campation-postoffice"))."</th></tr> ";
			foreach($errors AS $error)
			   {
	  		   $output .= "<tr><td style='font-size:12px;color:#aa0000;'>".cptn_date_format($error['error_date'])."</td><td style='font-size:12px;color:#aa0000;'>".esc_html($error['error_code'])."</td><td style='font-size:12px;color:#aa0000;' title='".cptn_po_abbreviations($error['error_type'])."'>".esc_html($error['error_type'])."</td><td style='font-size:12px;color:#aa0000;' title='".cptn_po_abbreviations($error['error_cat'])."'>".esc_html($error['error_cat'])."</td><td style='font-size:12px;color:#aa0000;'>".esc_html($error['error_full'])."</td></tr> ";
			   }
  	  		$output .= "</table> ";
		    }
	     else	 
	        {
	  		$output .= "<table width=100% cellpadding=4 style='margin-top:-3px;'> ";
	  		$output .= "<tr><th width=20%>".htmlspecialchars_decode(esc_html__("Opened","campation-postoffice"))."</th><th width=20%>".htmlspecialchars_decode(esc_html__("Opened by","campation-postoffice"))."</th><th width=20%>".htmlspecialchars_decode(esc_html__("Clicked","campation-postoffice"))."</th><th width=20%>".htmlspecialchars_decode(esc_html__("Clicked by","campation-postoffice"))."</th><th width=20%>".htmlspecialchars_decode(esc_html__("unsubscribed","campation-postoffice"))."</th></tr> ";
  	 	    $output .= "<tr><td width=20% valign=top><strong>".cptn_date_format($row['opened'])."</strong></td><td width=20% valign=top><strong>".esc_html($row['open_ip'])."</strong></td><td width=20% valign=top><strong>".cptn_date_format($row['clicked'])."</strong></td><td width=20% valign=top><strong>".esc_html($row['click_ip'])."</strong></td><td width=20% valign=top><strong>".cptn_date_format($row['unsubscribe_date'])."</strong></td></tr> ";
  	  		$output .= "</table> ";
		    }
	     $output .= "</td></tr>";
		 }	
	  $output .= "</table> ";
	  $output .= '<br><center><p class="cptn-admin-box-small-text">'.htmlspecialchars_decode(esc_html__("Please note that older messages will not be displayed here if they have been removed by the automatic queue cleanup.","campation-postoffice")).'</p></center>';
	  }
   else
      {
	  $output = "<br><br><center>".htmlspecialchars_decode(esc_html__("No sending history for this recipient","campation-postoffice"))."</center><br><br>";
	  }
      
   echo wp_kses_post($output);
   
   wp_die();
   }


   
add_action('wp_ajax_nopriv_cptn_po_recipients_delete','cptn_po_recipients_delete');
add_action('wp_ajax_cptn_po_recipients_delete','cptn_po_recipients_delete');
function cptn_po_recipients_delete() {      
   global $wpdb;
   $id = intval($_POST['id']);
   $query = "DELETE FROM ".$wpdb->prefix."cptn_po_recipient
			  WHERE id = ".$id;
   $wpdb->query($query);
   $query = "DELETE FROM ".$wpdb->prefix."cptn_po_queue
			  WHERE recipient_id = ".$id."
			    AND executed IS NOT NULL
				";
   $wpdb->query($query);
   wp_die();
   }


add_action('wp_ajax_nopriv_cptn_po_recipients','cptn_po_recipients');
add_action('wp_ajax_cptn_po_recipients','cptn_po_recipients');
function cptn_po_recipients() 
   {      
   global $wpdb;

   // +++++++++++++++++++ CONFIGURE ++++++++++++++++++++++++++
   function actionbuttons ($id, $status)      // buttons for table 
      {
	  // start/stop-button for recipients
	  if($status==0)
	     {
	     $startstopbutton = "fa-play-circle";
	     $deletebuttonstatus = "";
		 $startstopbuttoncolor = "btn-secondary";
	     $startstopbuttontitle = htmlspecialchars_decode(esc_html__("Unblock this recipient","campation-postoffice"));
		 }
      else
	     {
	     $startstopbutton = "fa-pause";
	     $deletebuttonstatus = " disabled";
		 $startstopbuttoncolor = "btn-success";
	     $startstopbuttontitle = htmlspecialchars_decode(esc_html__("Block this recipient","campation-postoffice"));
		 }
      return('<button type="button" class="mb-1 mt-1 mr-1 btn btn-xs btn-primary btn_edit_recipient" title="'.esc_attr__("Correct email address and retry to send all faulty emails","campation-postoffice").'" data-id="'.esc_attr($id).'" data-reload="cptn-po-datatable-recipients"><i class="fas fa-edit"></i></button>
	          <button type="button" class="mb-1 mt-1 mr-1 btn btn-xs btn-info btn_info_recipient" title="'.esc_attr__("Sending history","campation-postoffice").'" data-id="'.esc_attr($id).'" data-reload="cptn-po-datatable-recipients"><i class="fas fa-info"></i></button>
	  		  <button type="button" class="mb-1 mt-1 mr-1 btn btn-xs btn-danger btn_delete_recipient confirm-btn" title="'.esc_attr__("Delete this recipient - block it before","campation-postoffice").'" data-id="'.esc_attr($id).'" data-reload="virelin-datatable-person"'.esc_attr($deletebuttonstatus).'><i class="fas fa-trash-alt"></i></button>
	          <button type="button" class="mb-1 mt-1 mr-1 btn btn-xs '.esc_attr($startstopbuttoncolor).' btn_startstop_recipient" title="'.esc_attr($startstopbuttontitle).'" data-id="'.esc_attr($id).'" data-startstop="'.esc_attr($status).'" data-reload="cptn-po-datatable-recipients"><i class="fas '.esc_attr($startstopbutton).'"></i></button>
			  ');
      }
	  
   $tables      = $wpdb->prefix.'cptn_po_recipient r
				   	';       // tablename in  database
   $primaryKey  = 'id';

   // timezone offset in hours
   $timezone_offset = cptn_timezone_offset(esc_html(get_option("cptn_opt_timezone_staff")),esc_html(get_option("cptn_opt_timezone_server")));   
      
//					"CONCAT(r.best_time_open+".$timezone_offset.",':00h') AS best_time_open",
//					"CONCAT(r.best_time_click+".$timezone_offset.",':00h') AS best_time_click",

   $columns = array("action",
					"r.id",
					"r.recipient_email",
   			        "r.recipient_status",
					"r.embargo",
					"r.embargo_reason",
					"r.mails_sent",
					"r.mails_error",
					"r.mails_error_last",
					"CONCAT(r.mails_opened,' <i>(',ROUND(r.mails_opened/r.mails_sent*100,1),'%</i> ',IF(ROUND(r.mails_opened/r.mails_sent*100,1)>=".esc_html(get_option("cptn_po_opt_min_open")).",'&#10004;','&#10071;'),')') AS mails_opened",
					"IF(r.open_delay>0,CONCAT(FLOOR(TIME_FORMAT(SEC_TO_TIME(r.open_delay), '%H') / 24), 'd ',MOD(TIME_FORMAT(SEC_TO_TIME(r.open_delay), '%H'), 24), 'h ',TIME_FORMAT(SEC_TO_TIME(r.open_delay), '%im')),'') AS open_delay",
					"CONCAT(r.mails_clicked,' <i>(',ROUND(r.mails_clicked/r.mails_sent*100,1),'%</i> ',IF(ROUND(r.mails_clicked/r.mails_sent*100,1)>=".esc_html(get_option("cptn_po_opt_min_click")).",'&#10004;','&#10071;'),')') AS mails_clicked",
					"IF(r.click_delay>0,CONCAT(FLOOR(TIME_FORMAT(SEC_TO_TIME(r.click_delay), '%H') / 24), 'd ',MOD(TIME_FORMAT(SEC_TO_TIME(r.click_delay), '%H'), 24), 'h ',TIME_FORMAT(SEC_TO_TIME(r.click_delay), '%im')),'') AS click_delay",
					"IF('".CPTNPO_FS."'='premium' OR '".CPTNPO_FS."'='business',CONCAT(r.best_time_open+".$timezone_offset.",':00h'),'<span class=\"cptn-po-icon-pro-premium\"></span>') AS best_time_open",
					"IF('".CPTNPO_FS."'='premium' OR '".CPTNPO_FS."'='business',CONCAT(r.best_time_click+".$timezone_offset.",':00h'),'<span class=\"cptn-po-icon-pro-premium\"></span>') AS best_time_click",
					"r.created",
					"r.unsubscribe_date",
					"r.status",
					"r.user_id"
					);
					
   $fields  = implode(", ", $columns);
   $fields  = str_replace("action,","",$fields);   // action is not a database field 

   $additionalfields = "
   					    ";   // z.B. ", (SELECT COUNT(distinct url) FROM clicks WHERE company_id = c.id) AS cnt "; 
   	   
   // this query is added first to all queries - MUST NOT BE EMPTY, at least "true"
   $querycomplex = " true
				    ";    

   // this query is added second to all queries
   $queryrelation = "  
				    ";    

   // this query is added third to all queries
   $queryadditional = ""; 
   if(intval(get_option("cptn_po_opt_recipient_switch_ok")) OR intval(get_option("cptn_po_opt_recipient_switch_malf")) OR intval(get_option("cptn_po_opt_recipient_switch_nomx")) OR intval(get_option("cptn_po_opt_recipient_switch_bounce")) OR intval(get_option("cptn_po_opt_recipient_switch_inactive")) OR intval(get_option("cptn_po_opt_recipient_switch_unsub")) OR intval(get_option("cptn_po_opt_recipient_switch_block")))
      {
   	  $queryadditional = " AND (";
   	  if(intval(get_option("cptn_po_opt_recipient_switch_ok")))
         $queryadditional .= "r.recipient_status='OK' OR "; 
      if(intval(get_option("cptn_po_opt_recipient_switch_malf")))
         $queryadditional .= "r.recipient_status='MALF' OR "; 
      if(intval(get_option("cptn_po_opt_recipient_switch_nomx")))
         $queryadditional .= "r.recipient_status='NOMX' OR "; 
      if(intval(get_option("cptn_po_opt_recipient_switch_bounce")))
         $queryadditional .= "r.recipient_status='BOUNCE' OR "; 
      if(intval(get_option("cptn_po_opt_recipient_switch_inactive")))
         $queryadditional .= "r.recipient_status='INACT' OR "; 
      if(intval(get_option("cptn_po_opt_recipient_switch_unsub")))
         $queryadditional .= "r.recipient_status='UNSUB' OR "; 
      if(intval(get_option("cptn_po_opt_recipient_switch_block")))
         $queryadditional .= "r.status=0 OR "; 
      $queryadditional = substr($queryadditional,0,-4);
      $queryadditional .= ") ";

      if(!intval(get_option("cptn_po_opt_recipient_switch_block")))
         $queryadditional .= " AND r.status=1 "; 
	  }
   
   else
   	  $queryadditional = " AND false ";
   
   include(CPTNPODIR."common/ajax/db-generate-json.php");				 
   wp_die();
   }   

   
add_action('wp_ajax_nopriv_cptn_po_recipients_switch','cptn_po_recipients_switch');
add_action('wp_ajax_cptn_po_recipients_switch','cptn_po_recipients_switch');
function cptn_po_recipients_switch() {      
   global $wpdb;
   $switchname           = sanitize_text_field($_POST['name']);
   $switchstatus         = sanitize_text_field($_POST['value']);

   update_option("cptn_po_opt_recipient_switch_".$switchname,$switchstatus);
   wp_die();
   
   };   

?>