<?php
function cptn_po_is_plugin_page($page="") {
   $ispluginpage = false;

   if(isset($_GET['page']))
      {
	  if($page=="*" 
	     AND substr(sanitize_text_field($_GET['page']),0,20)=="campation-postoffice" 
		 )                                                                                                                  $ispluginpage = true;
	  elseif(!empty($page) AND sanitize_text_field($_GET['page'])=="campation-postoffice-".sanitize_text_field($page))      $ispluginpage = true;
	  elseif(empty($page) AND sanitize_text_field($_GET['page'])=="campation-postoffice") 	       	   						$ispluginpage = true;
	  }	 
  
   return ($ispluginpage);	  
   } 
   

function cptn_po_abbreviations($text)
   {
   if(strtolower($text)=="bounce")      return(htmlspecialchars_decode(esc_html__("bounced","campation-postoffice")));
   elseif(strtolower($text)=="bounced") return(htmlspecialchars_decode(esc_html__("bounced","campation-postoffice")));
   elseif(strtolower($text)=="malf") 	return(htmlspecialchars_decode(esc_html__("malformed","campation-postoffice")));
   elseif(strtolower($text)=="nomx") 	return(htmlspecialchars_decode(esc_html__("No MX record","campation-postoffice")));
   elseif(strtolower($text)=="unsub")   return(htmlspecialchars_decode(esc_html__("unsubscribed","campation-postoffice")));
   elseif(strtolower($text)=="block") 	return(htmlspecialchars_decode(esc_html__("blocked","campation-postoffice")));
   elseif(strtolower($text)=="trans") 	return(htmlspecialchars_decode(esc_html__("transactional","campation-postoffice")));
   elseif(strtolower($text)=="marke") 	return(htmlspecialchars_decode(esc_html__("Marketing","campation-postoffice")));
   elseif(strtolower($text)=="bulk") 	return(htmlspecialchars_decode(esc_html__("Bulk mail","campation-postoffice")));
   elseif(strtolower($text)=="cold") 	return(htmlspecialchars_decode(esc_html__("Cold mail","campation-postoffice")));
   elseif(strtolower($text)=="test") 	return(htmlspecialchars_decode(esc_html__("Test","campation-postoffice")));
   elseif(strtolower($text)=="unknown") return(htmlspecialchars_decode(esc_html__("unknown recipient","campation-postoffice")));
   elseif(strtolower($text)=="hard") 	return(htmlspecialchars_decode(esc_html__("unrecoverable","campation-postoffice")));
   elseif(strtolower($text)=="soft") 	return(htmlspecialchars_decode(esc_html__("recoverable","campation-postoffice")));
   else 								return($text);
   }   


function cptn_po_clean_dns_record($value)
   {
   if($value)
      return(trim(str_replace('"','',str_replace('" ','',str_replace("'","",str_replace("; ",";",str_replace("  "," ",$value)))))));
   else
      return("");	  
   }   
?>