<?php
add_action('admin_footer', 'cptn_po_general_modal');
function cptn_po_general_modal()
   {
?>
<script>
var cptn_po_general_modal = `
	<div id="cptn-po-small-modal" class="modal fade modal-fullscreen cptn-main-modal" data-bs-backdrop="static" tabindex="-1" role="dialog">
	   <div class="modal-dialog modal-dialog-centered modal-sm" id="cptn-po-small-modal-window" role="document">
	      <div class="modal-content">
     	     <div class="modal-header">
			    <table style="width:100%;">
				   <tr>
				      <td align="left" valign="middle">
					     <h5 class="modal-title"></h5>
					  </td>
					  <td align="right" valign="middle">
						 <table><tr>
						    <td valign="middle"><button type="button" class="btn btn-secondary btn-sm cptn-po-close-modal" data-bs-dismiss="modal" title="<?php echo esc_attr__('abort edit',"campation-postoffice"); ?>"><i class="material-icons md-24">clear</i></button></td>
						 </tr></table>
				      </td>
				   </tr>
			    </table>
             </div>
			 <div class="modal-body">
			 </div>
			 <div class="modal-footer">
				<button type="button" class="btn btn-danger" data-bs-dismiss="modal"><?php echo htmlspecialchars_decode(esc_html__('Cancel',"campation-postoffice")); ?></button>
			    <button type="button" class="btn btn-primary" data-url="" data-id="" data-bs-dismiss="modal"><?php echo htmlspecialchars_decode(esc_html__('OK',"campation-postoffice")); ?></button>
             </div>
          </div>
       </div>
    </div>

	<div id="cptn-po-medium-modal" class="modal fade modal-fullscreen cptn-main-modal" data-bs-backdrop="static" tabindex="-1" role="dialog">
	   <div class="modal-dialog modal-dialog-centered modal-md" id="cptn-po-medium-modal-window" role="document">
	      <div class="modal-content">
     	     <div class="modal-header">
			    <table style="width:100%;">
				   <tr>
				      <td align="left" valign="middle">
					     <h5 class="modal-title"></h5>
					  </td>
					  <td align="right" valign="middle">
						 <table><tr>
						    <td valign="middle"><button type="button" class="btn btn-secondary btn-sm cptn-po-close-modal" data-bs-dismiss="modal" title="<?php echo esc_attr__('abort edit',"campation-postoffice"); ?>"><i class="material-icons md-24">clear</i></button></td>
						 </tr></table>
				      </td>
				   </tr>
			    </table>
             </div>
			 <div class="modal-body">
			 </div>
			 <div class="modal-footer">
				<button type="button" class="btn btn-danger" data-bs-dismiss="modal"><?php echo htmlspecialchars_decode(esc_html__('Cancel',"campation-postoffice")); ?></button>
			    <button type="button" class="btn btn-primary" data-url="" data-id="" data-bs-dismiss="modal"><?php echo htmlspecialchars_decode(esc_html__('OK',"campation-postoffice")); ?></button>
             </div>
          </div>
       </div>
    </div>

	<div id="cptn-po-large-modal" class="modal fade modal-fullscreen cptn-main-modal" data-bs-backdrop="static" tabindex="-1" role="dialog">
	   <div class="modal-dialog modal-dialog-centered modal-lg" id="cptn-po-large-modal-window" role="document">
	      <div class="modal-content">
     	     <div class="modal-header">
			    <table style="width:100%;">
				   <tr>
				      <td align="left" valign="middle">
					     <h5 class="modal-title"></h5>
					  </td>
					  <td align="right" valign="middle">
						 <table><tr>
						    <td valign="middle"><button type="button" class="btn btn-secondary btn-sm cptn-po-close-modal" data-bs-dismiss="modal" title="<?php echo esc_attr__('abort edit',"campation-postoffice"); ?>"><i class="material-icons md-24">clear</i></button></td>
						 </tr></table>
				      </td>
				   </tr>
			    </table>
             </div>
			 <div class="modal-body">
			 </div>
			 <div class="modal-footer">
				<button type="button" class="btn btn-danger" data-bs-dismiss="modal"><?php echo htmlspecialchars_decode(esc_html__('Cancel',"campation-postoffice")); ?></button>
			    <button type="button" class="btn btn-primary" data-url="" data-id="" data-bs-dismiss="modal"><?php echo htmlspecialchars_decode(esc_html__('OK',"campation-postoffice")); ?></button>
             </div>
          </div>
       </div>
    </div>

	<div id="cptn-po-confirm-modal-small" class="modal fade cptn-main-modal" data-bs-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="confirm-label" aria-hidden="true">
  	   <div class="modal-dialog modal-dialog-centered modal-sm" role="document">
          <div class="modal-content">
             <div class="modal-header">
                <h5 class="modal-title"></h5>
             </div>
             <div class="modal-body">
                <p class="message"></p>
             </div>
      		 <div class="modal-footer">
        	    <button type="button" class="btn btn-danger dismiss" data-bs-dismiss="modal"></button>
                <button type="button" class="btn btn-primary confirm" data-bs-dismiss="modal"></button>
             </div>
          </div>
       </div>
   </div>

   <div id="cptn-po-help-edit-modal" class="modal fade cptn-po-main-modal" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
         <div class="modal-content">
         <div class="modal-header">
            <h5 class="modal-title"></h5>
	    	<div style="float:right;">
               <button type="button" class="btn btn-secondary btn-sm cptn-po-close-help-edit-modal" title="<?php echo esc_attr__('abort edit',"campation-postoffice"); ?>"><i class="material-icons md-24">clear</i></button>
		   	   <button type="button" class="btn btn-success btn-sm cptn-po-help-button-save" title="<?php echo esc_attr__('save this form',"campation-postoffice"); ?>"><i class="material-icons md-24">save</i></button>
		    </div>
         </div>
      	 <div class="modal-body">
         </div>
      </div>
   </div>
</div>
`;

var cptn_po_mailserver_modal = ` 
    <div id="cptn-po-mailserver-modal" class="modal fade modal-fullscreen cptn-main-modal" data-bs-backdrop="static" tabindex="-1" role="dialog">
  	  <div class="modal-dialog modal-dialog-centered" role="document">
         <div class="modal-content">
     	    <div class="modal-header">
			   <table style="width:100%;">
				  <tr>
				     <td align="left" valign="middle">
					    <h5 class="modal-title"></h5>
					 </td>
					 <td align="right" valign="middle">
						<table><tr>
						   <td valign="middle"><button type="button" class="btn btn-secondary btn-sm cptn-po-close-modal" title="<?php echo esc_attr__('abort edit',"campation-postoffice"); ?>"><i class="material-icons md-24">clear</i></button></td>
			               <td valign="middle"><button type="button" id="cptn-po-mailserver-save-button" class="btn btn-success btn-sm" title="<?php echo esc_attr__('save this form',"campation-postoffice"); ?>"><i class="material-icons md-24">save</i></button></td>
						</tr></table>
				     </td>
				  </tr>
			   </table>
            </div>
      		<div class="modal-body">
            </div>
         </div>
      </div>
    </div>
`;

var cptn_po_recipient_modal = ` 
    <div id="cptn-po-recipient-modal" class="modal fade modal-fullscreen cptn-main-modal" data-bs-backdrop="static" tabindex="-1" role="dialog">
  	  <div class="modal-dialog modal-dialog-centered" role="document">
         <div class="modal-content">
     	    <div class="modal-header">
			   <table style="width:100%;">
				  <tr>
				     <td align="left" valign="middle">
					    <h5 class="modal-title"></h5>
					 </td>
					 <td align="right" valign="middle">
						<table><tr>
						   <td valign="middle"><button type="button" class="btn btn-secondary btn-sm cptn-po-close-modal" title="<?php echo esc_attr__('abort edit',"campation-postoffice"); ?>"><i class="material-icons md-24">clear</i></button></td>
			               <td valign="middle"><button type="button" id="cptn-po-recipient-save-button" class="btn btn-success btn-sm" title="<?php echo esc_attr__('save this form',"campation-postoffice"); ?>"><i class="material-icons md-24">save</i></button></td>
						</tr></table>
				     </td>
				  </tr>
			   </table>
            </div>
      		<div class="modal-body">
            </div>
         </div>
      </div>
    </div>
`;
   
var cptn_po_domain_modal = ` 
    <div id="cptn-po-domain-modal" class="modal fade modal-fullscreen cptn-main-modal" data-bs-backdrop="static" tabindex="-1" role="dialog">
  	  <div class="modal-dialog modal-dialog-centered" role="document">
         <div class="modal-content">
     	    <div class="modal-header">
			   <table style="width:100%;">
				  <tr>
				     <td align="left" valign="middle">
					    <h5 class="modal-title"></h5>
					 </td>
					 <td align="right" valign="middle">
						<table><tr>
						   <td valign="middle"><button type="button" class="btn btn-secondary btn-sm cptn-po-close-modal" title="<?php echo esc_attr__('abort edit',"campation-postoffice"); ?>"><i class="material-icons md-24">clear</i></button></td>
			               <td valign="middle"><button type="button" id="cptn-po-domain-save-button" class="btn btn-success btn-sm" title="<?php echo esc_attr__('save this form',"campation-postoffice"); ?>"><i class="material-icons md-24">save</i></button></td>
						</tr></table>
				     </td>
				  </tr>
			   </table>
            </div>
      		<div class="modal-body">
            </div>
         </div>
      </div>
    </div>
`;
var cptn_po_domain_mailserver_modal = ` 
    <div id="cptn-po-domain-mailserver-modal" class="modal fade modal-fullscreen cptn-main-modal" data-bs-backdrop="static" tabindex="-1" role="dialog">
  	  <div class="modal-dialog modal-dialog-centered" role="document">
         <div class="modal-content">
     	    <div class="modal-header">
			   <table style="width:100%;">
				  <tr>
				     <td align="left" valign="middle">
					    <h5 class="modal-title"></h5>
					 </td>
					 <td align="right" valign="middle">
						<table><tr>
						   <td valign="middle"><button type="button" class="btn btn-secondary btn-sm cptn-po-close-modal" title="<?php echo esc_attr__('abort edit',"campation-postoffice"); ?>"><i class="material-icons md-24">clear</i></button></td>
			               <td valign="middle"><button type="button" id="cptn-po-domain-mailserver-save-button" class="btn btn-success btn-sm" title="<?php echo esc_attr__('save this form',"campation-postoffice"); ?>"><i class="material-icons md-24">save</i></button></td>
						</tr></table>
				     </td>
				  </tr>
			   </table>
            </div>
      		<div class="modal-body">
            </div>
         </div>
      </div>
    </div>
`;

</script>
<?php
   };
?>