<?php
add_action( 'admin_enqueue_scripts', 'cptn_po_admin_scripts' );
function cptn_po_admin_scripts ()
   {
   if(!wp_script_is("bootstrap"))
      {
   	  wp_register_script( "bootstrap", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/bootstrap5/js/bootstrap.bundle.min.js", array ( 'jquery' ), 4);
   	  wp_enqueue_script( "bootstrap" );
	  }
   if(!wp_script_is("arrive"))
      {
   	  wp_register_script( "arrive", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/arrive/minified/arrive.min.js", array ( 'jquery'));
   	  wp_enqueue_script( "arrive" );
	  }
   if(!wp_script_is("fastselect"))
      {
   	  wp_register_script("fastselect", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/fastselect/dist/fastselect.standalone.min.js", array ( 'jquery' ),false,true);
   	  wp_enqueue_script("fastselect");
	  }
   if(!wp_script_is("datatables"))
      {
   	  wp_register_script("datatables", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/media/js/jquery.dataTables.min.js", array ( 'jquery' ),false,true);
   	  wp_enqueue_script("datatables");
	  }
   if(!wp_script_is("dt-bootstrap5"))
      {
   	  wp_register_script("dt-bootstrap5", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/media/js/dataTables.bootstrap5.min.js", array ( 'datatables' ),false,true);
   	  wp_enqueue_script("dt-bootstrap5");
	  }
   if(!wp_script_is("dt-rowgroup"))
      {
   	  wp_register_script("dt-rowgroup", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/extras/TableTools/RowGroup-1.0.2/js/dataTables.rowGroup.min.js", array ( 'datatables' ),false,true);
   	  wp_enqueue_script("dt-rowgroup");
	  }
   if(!wp_script_is("dt-responsive"))
      {
   	  wp_register_script("dt-responsive", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/extras/TableTools/Responsive-2.2.9/js/dataTables.responsive.min.js", array ( 'datatables' ),false,true);
   	  wp_enqueue_script("dt-responsive");
	  }
   if(!wp_script_is("dt-responsive-bootstrap5"))
      {
   	  wp_register_script("dt-responsive-bootstrap5", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/extras/TableTools/Responsive-2.2.9/js/responsive.bootstrap5.min.js", array ( 'datatables' ),false,true);
   	  wp_enqueue_script("dt-responsive-bootstrap5");
	  }
   if(!wp_script_is("dt-buttons"))
      {
   	  wp_register_script("dt-buttons", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/extras/TableTools/Buttons-1.4.2/js/dataTables.buttons.min.js", array ( 'datatables' ),false,true);
   	  wp_enqueue_script("dt-buttons");
	  }
   if(!wp_script_is("dt-buttons-html5"))
      {
   	  wp_register_script("dt-buttons-html5", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/extras/TableTools/Buttons-1.4.2/js/buttons.html5.min.js", array ( 'dt-buttons' ),false,true);
   	  wp_enqueue_script("dt-buttons-html5");
	  }
   if(!wp_script_is("dt-buttons-bootstrap4"))
      {
   	  wp_register_script("dt-buttons-bootstrap4", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/extras/TableTools/Buttons-1.4.2/js/buttons.bootstrap4.min.js", array ( 'dt-buttons' ),false,true);
   	  wp_enqueue_script("dt-buttons-bootstrap4");
	  }
   if(!wp_script_is("dt-buttons-print"))
      {
   	  wp_register_script("dt-buttons-print", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/extras/TableTools/Buttons-1.4.2/js/buttons.print.min.js", array ( 'dt-buttons' ),false,true);
   	  wp_enqueue_script("dt-buttons-print");
	  }
   if(!wp_script_is("dt-buttons-colVis"))
      {
   	  wp_register_script("dt-buttons-colVis", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/extras/TableTools/Buttons-1.4.2/js/buttons.colVis.min.js", array ( 'dt-buttons' ),false,true);
   	  wp_enqueue_script("dt-buttons-colVis");
	  }
   if(!wp_script_is("dt-scroller"))
      {
   	  wp_register_script("dt-scroller", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/extras/TableTools/Scroller-1.4.3/js/dataTables.scroller.min.js", array ( 'datatables' ),false,true);
   	  wp_enqueue_script("dt-scroller");
	  }
   if(!wp_script_is("dt-fixedHeader"))
      {
   	  wp_register_script("dt-fixedHeader", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/extras/TableTools/FixedHeader-3.1.3/js/dataTables.fixedHeader.min.js", array ( 'datatables' ),false,true);
   	  wp_enqueue_script("dt-fixedHeader");
	  }
   if(!wp_script_is("dt-ellipsis"))
      {
   	  wp_register_script("dt-ellipsis", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/extras/TableTools/dataRender/ellipsis.js", array ( 'datatables' ),false,true);
   	  wp_enqueue_script("dt-ellipsis");
	  }
   wp_deregister_script("moment");
   if(!wp_script_is("momentlocales"))
      {
   	  wp_register_script("momentlocales", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/moment/moment-with-locales.min.js", array ( 'jquery' ),false,false);
   	  wp_enqueue_script("momentlocales");
	  }
   if(!wp_script_is("momenttimezone"))
      {
   	  wp_register_script("momenttimezone", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/moment/moment-timezone-with-data.js", array ( 'momentlocales' ),false,false);
   	  wp_enqueue_script("momenttimezone");
	  }
   if(!wp_script_is("jquery-confirm"))
      {
   	  wp_register_script("jquery-confirm", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/jquery-confirm-v3.3.4/dist/jquery-confirm.min.js", array ( 'jquery' ),false,true);
   	  wp_enqueue_script("jquery-confirm");
	  }
   if(!wp_script_is("chart"))
      {
   	  wp_register_script("chart", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/chart.js/chart.min.js", array ( 'jquery' ),false,true);
   	  wp_enqueue_script("chart");
	  }
   if(!wp_script_is("datetimepicker"))
      {
   	  wp_register_script("datetimepicker", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js", array ( 'jquery' ),false,true);
   	  wp_enqueue_script("datetimepicker");
	  }
   if(!wp_script_is("datetimepicker_de"))
      {
   	  wp_register_script("datetimepicker_de", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/bootstrap-datetimepicker/js/locales/bootstrap-datetimepicker.de.js", array ( 'datetimepicker' ),false,true);
   	  wp_enqueue_script("datetimepicker_de");
	  }
   if(!wp_script_is("datetimepicker_es"))
      {
   	  wp_register_script("datetimepicker_es", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/bootstrap-datetimepicker/js/locales/bootstrap-datetimepicker.es.js", array ( 'datetimepicker' ),false,true);
   	  wp_enqueue_script("datetimepicker_es");
	  }
   if(!wp_script_is("datetimepicker_fr"))
      {
   	  wp_register_script("datetimepicker_fr", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/bootstrap-datetimepicker/js/locales/bootstrap-datetimepicker.fr.js", array ( 'datetimepicker' ),false,true);
   	  wp_enqueue_script("datetimepicker_fr");
	  }
   if(!wp_script_is("datetimepicker_it"))
      {
   	  wp_register_script("datetimepicker_it", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/bootstrap-datetimepicker/js/locales/bootstrap-datetimepicker.it.js", array ( 'datetimepicker' ),false,true);
   	  wp_enqueue_script("datetimepicker_it");
	  }
   if(!wp_script_is("datetimepicker_pt"))
      {
   	  wp_register_script("datetimepicker_pt", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/bootstrap-datetimepicker/js/locales/bootstrap-datetimepicker.pt.js", array ( 'datetimepicker' ),false,true);
   	  wp_enqueue_script("datetimepicker_pt");
	  }
   if(!wp_script_is("switcher"))
      {
   	  wp_register_script("switcher", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/ON-OFF-Toggle-Switches-Switcher/js/jquery.switcher.min.js", array ( 'jquery' ),false,true);
   	  wp_enqueue_script("switcher");
	  }
   if(!wp_script_is("printThis"))
      {
   	  wp_register_script("printThis", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/printThis/printThis.js", array ( 'jquery' ),false,true);
   	  wp_enqueue_script("printThis");
	  }
   if(!wp_script_is("statebutton"))
      {
   	  wp_register_script( "statebutton", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/jQuery-stateButton/jquery.stateButton.js", array ( 'jquery'));
   	  wp_enqueue_script( "statebutton" );
	  }

   include_once(CPTNPODIR."common/js/cptn-general-js.php");

   if(!wp_style_is("datatables"))
      {
   	  wp_register_style("datatables", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/media/css/jquery.dataTables.min.css");
   	  wp_enqueue_style( "datatables" );
	  }
   if(!wp_style_is("bootstrap"))
      {
   	  wp_register_style( "bootstrap", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/bootstrap5/css/bootstrap.min.css");
   	  wp_enqueue_style( "bootstrap" );
	  }
   if(!wp_style_is("jquery-ui-core"))
      {
      wp_register_style("jquery-ui-core", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/jquery-ui/jquery-ui.min.css");
      wp_enqueue_style("jquery-ui-core");
	  }
   if(!wp_style_is("jquery-confirm"))
      {
   	  wp_register_style("jquery-confirm", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/jquery-confirm-v3.3.4/dist/jquery-confirm.min.css");
   	  wp_enqueue_style("jquery-confirm");
	  }
   if(!wp_style_is("fs-modal"))
      {
   	  wp_register_style( "fs-modal", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/Mobile-Fullscreen-Bootstrap-Modals-jQuery/dist/css/bootstrap-fs-modal.min.css");
   	  wp_enqueue_style( "fs-modal" );
	  }
   if(!wp_style_is("dt-bootstrap"))
      {
   	  wp_register_style( "dt-bootstrap", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/media/css/dataTables.bootstrap5.min.css");
   	  wp_enqueue_style( "dt-bootstrap" );
	  }
   if(!wp_style_is("dt-rowgroup"))
      {
   	  wp_register_style( "dt-rowgroup", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/datatables-1.11.3/extras/TableTools/RowGroup-1.0.2/css/rowGroup.bootstrap4.min.css");
   	  wp_enqueue_style( "dt-rowgroup" );
	  }
   if(!wp_style_is("load-fa"))
      {
   	  wp_register_style( "load-fa", "//cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css");
   	  wp_enqueue_style( "load-fa" );
	  }
   if(!wp_style_is("material-icons"))
      {
   	  wp_register_style( "material-icons", "//fonts.googleapis.com/icon?family=Material+Icons");
   	  wp_enqueue_style( "material-icons" );
	  }
   if(!wp_style_is("fastselect"))
      {
   	  wp_register_style("fastselect",  esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/fastselect/dist/fastselect.min.css");
   	  wp_enqueue_style("fastselect");
	  }
   if(!wp_style_is("datetimepicker"))
      {
   	  wp_register_style("datetimepicker",  esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css");
   	  wp_enqueue_style("datetimepicker");
	  }
   if(!wp_style_is( "switcher"))
      {
   	  wp_register_style("switcher", esc_url_raw(CPTNPOPATH,wp_allowed_protocols())."backend/vendor/ON-OFF-Toggle-Switches-Switcher/css/switcher.css");
   	  wp_enqueue_style("switcher");
	  }
   }
?>