<?php

add_action( 'admin_footer', 'cptn_po_assistant_js' );
function cptn_po_assistant_js()
{
    ?>
	<script type="text/javascript">
	var cptn_domchanged = 0;

	var cptn_po_assistant_step_max = 8;
	var cptn_po_assistant_step = '<?php 
    echo  intval( get_option( "cptn_po_opt_assistant_step" ) ) ;
    ?>';
	
   // START check every 30ms until jQuery is available
   (function() {
      var nTimer = setInterval(function() {
        if (window.jQuery) {
	  	   clearInterval(nTimer);

	    // jQuery is loaded
		jQuery(document).ready(function($) {

		    if(!$("#cptn-po-assistant-step-1 .ui-switcher").length) $.switcher('#cptn-po-assistant-step-1 input[type=checkbox]');
		    if(!$("#cptn-po-assistant-step-2 .ui-switcher").length) $.switcher('#cptn-po-assistant-step-2 input[type=checkbox]');
		    if(!$("#cptn-po-assistant-step-7 .ui-switcher").length) $.switcher('#cptn-po-assistant-step-7 input[type=checkbox]');

<?php 
    ?>

		   $('.cptn-po-assistant-orange-sign').hide();
		   $('#cptn-po-assistant-finish-button').prop('disabled',true);
		   $('#cptn-po-assistant-progress-8').css("pointer-events", "none");
		   

           $('select').each(function() {
		      optionselected = $(this).attr('data-selected');
			  $(this).find('option[value="'+optionselected+'"]').attr('selected', 'selected');
		      });
		   
		   // hide steps
		   $('#cptn-po-assistant-step-1').hide();			  
		   $('#cptn-po-assistant-step-2').hide();			  
		   $('#cptn-po-assistant-step-3').hide();			  
		   $('#cptn-po-assistant-step-4').hide();			  
		   $('#cptn-po-assistant-step-5').hide();			  
		   $('#cptn-po-assistant-step-6').hide();			  
		   $('#cptn-po-assistant-step-7').hide();			  
		   $('#cptn-po-assistant-step-8').hide();			  
		   $('.cptn-po-assistant-next-button').show();
		   $('#cptn-po-assistant-previous-button').hide();
		   $('#cptn-po-assistant-finish-button').hide();

           cptn_po_assistant_step_change(cptn_po_assistant_step);

		   // Button NEXT / FINISH
		   $('#cptn-po-assistant-start-button, .cptn-po-assistant-next-button, #cptn-po-assistant-finish-button').click(function(e) {
		      if(cptn_po_assistant_tab_save(cptn_po_assistant_step))
			     {
		       	 if(cptn_po_assistant_step < cptn_po_assistant_step_max)
			        cptn_po_assistant_step = (cptn_po_assistant_step*1 + 1);
			     if(!cptn_po_is_pro)
				    {
					if(cptn_po_assistant_step==4) 
					   cptn_po_assistant_step = 6;
					}		
			     else if(!cptn_po_is_premium)
					{
					if(cptn_po_assistant_step==5) 
					   cptn_po_assistant_step = 6;
					}	  

                 cptn_po_assistant_step_change(cptn_po_assistant_step);
			     }		
			  });
		   	  
		   // Button BACK
		   $('#cptn-po-assistant-previous-button').click(function(e) {
			  if(cptn_po_assistant_tab_save(cptn_po_assistant_step))
			     {
		         if(cptn_po_assistant_step > 1)
			        cptn_po_assistant_step = cptn_po_assistant_step - 1;
			     if(!cptn_po_is_pro)
				    {
					if(cptn_po_assistant_step==5) 
					   cptn_po_assistant_step = 3;
					}		
			     else if(cptn_po_is_starter)
					{
					if(cptn_po_assistant_step==5) 
					   cptn_po_assistant_step = 4;
					}	  
                 cptn_po_assistant_step_change(cptn_po_assistant_step);
				 }
			  });

           // click in progress bar
		   $('.cptn-po-assistant-progress, .cptn-po-assistant-progress-active').click(function(e) {
			  if(cptn_po_assistant_tab_save(cptn_po_assistant_step))
			     {
		       	 cptn_po_assistant_step = parseInt($(this).attr('data-id'));
			  	 cptn_po_assistant_step_change(cptn_po_assistant_step);
			     }		
			  });
 		   

           // open SMTP server form
		   if($('#ms_status').is(':checked'))
		      $('#cptn_po_assistant_mailserver_form_container').show('slow');
		   $('#ms_status').click(function(e) {
			  if($(this).prop('checked')==true)
		         $('#cptn_po_assistant_mailserver_form_container').show('slow');
		      else
		         $('#cptn_po_assistant_mailserver_form_container').hide('slow');
			  cptn_po_assistant_mailserver_save();
			  });


			  
			  
           // toggle info developer
		   $('#cptn-po-assistant-step-1 #cptn_po_opt_info_developer').click(function() {
  	     	  $('.loadingSpinnerContainer').show(); 
			  if($(this).prop('checked')==true)
				 var info_developer = 1;
		      else
				 var info_developer = 0;
			  $.ajax({
	 			  method: 'POST',
	 			  cache: false,
				  headers: {'cache-control':'no-cache'},
	 			  context: this,
	 			  url: adminajaxurl,
	 			  data: {action:'cptn_po_assistant_toggle_info_developer',status:info_developer},
       			  success: function(data) {
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });

			  });
			  

           // toggle delete data uninstall
		   $('#cptn-po-assistant-step-1 #cptn_po_opt_delete_data_uninstall').click(function() {
  	     	  $('.loadingSpinnerContainer').show(); 
			  if($(this).prop('checked')==true)
				 var uninstall = 1;
		      else
				 var uninstall = 0;
			  $.ajax({
	 			  method: 'POST',
	 			  cache: false,
				  headers: {'cache-control':'no-cache'},
	 			  context: this,
	 			  url: adminajaxurl,
	 			  data: {action:'cptn_po_assistant_toggle_delete_data',status:uninstall},
       			  success: function(data) {
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });

			  });
			  



<?php 
    ?>

           // do not allow default sender outside of primary sender domain
		   $("#cptn_opt_email_sender").on('change keyup focusout', function() { 
		      var type = $(this).attr('data-type');
			  var email = $(this).val();
			  var domain = $("#cptn_sender_domain").val();
			  if(!email.includes('@'+domain))
			     {
			     $("#cptn_opt_email_sender_error").html('<?php 
    echo  htmlspecialchars_decode( esc_html__( "Must be in sender domain!", "campation-postoffice" ) ) ;
    ?>');
//				 $(this).val($(this).val().split("@")[0]+'@'+domain);
				 $(this).focus();
				 }
			  else	 
			     $("#cptn_opt_email_sender_error").html('');
		      });


           // update email addresses after of domain name in "Domain & Email"
		   $("#cptn_sender_domain").on('change keyup focusout', function() { 
		      var type = $(this).attr('data-type');
			  var domain = $(this).val();
			  $('#cptn_opt_email_sender').val($('#cptn_opt_email_sender').val().split("@")[0]+'@'+domain);
			  $('#envelope_address').val($('#envelope_address').val().split("@")[0]+'@'+domain);
<?php 
    ?>
			  $('#from_address').val($('#from_address').val().split("@")[0]+'@'+domain);
			  $('#replyto_address').val($('#replyto_address').val().split("@")[0]+'@'+domain);
			  cptn_refresh_envelope_account();
		      });

<?php 
    ?>
			  
			  
           function cptn_po_assistant_tab_save(cptn_po_assistant_step)
			  {
		   	  $('.cptn-po-assistant-orange-sign').hide();
			  valid = true;
			  if(cptn_po_assistant_step==2)		           // Mailserver
				 {
				 cptn_po_assistant_mailserver_save();
				 }
		      else if(cptn_po_assistant_step==3)		   // Domain & Email
				 {
				 cptn_po_assistant_domain_save();
				 }
		      else if(cptn_po_assistant_step==4)		   // Plugins
				 {
				 cptn_po_assistant_plugins_save();
				 }
<?php 
    ?>
		      else if(cptn_po_assistant_step==6)		   // DNS
				 {
				 }
		      else if(cptn_po_assistant_step==7)		   // Check
				 {
				 }
		      else if(cptn_po_assistant_step==8)		   // End
				 {
				 }
	          cptn_refresh_envelope_account();		  // set envelope account on all pages
			  return(valid);
			  }


           function cptn_po_assistant_step_change(cptn_po_assistant_step)
		      {
			  for (let i=1; i<=cptn_po_assistant_step_max; i+=1) 
			     {
				 if(cptn_po_assistant_step != i)
				    {

		   		    $('#cptn-po-assistant-step-'+i).hide();
					if(cptn_po_assistant_step < i)
		   			   $('#cptn-po-assistant-progress-'+i).removeClass('cptn-po-assistant-progress-active').addClass('cptn-po-assistant-progress').css('background-color','#A0A0A0');
					else   		   		   	  
		   			   $('#cptn-po-assistant-progress-'+i).removeClass('cptn-po-assistant-progress-active').addClass('cptn-po-assistant-progress').css('background-color','#51AD5C');
					}			  
                 else
				    {
				    cptn_po_assistant_status_save(cptn_po_assistant_step);
		   		    $('#cptn-po-assistant-step-'+i).show();			  
		   			$('#cptn-po-assistant-progress-'+i).removeClass('cptn-po-assistant-progress').addClass('cptn-po-assistant-progress-active').css('background-color','#208C41');
				    $('.cptn-po-assistant-orange-sign').hide();
				    $('.cptn-po-assistant-green-sign').hide();
					$('html, body').animate({scrollTop:0}, 'slow');	 
					$('#cptn-po-assistant-container').animate({scrollTop:0}, 'slow');	 

	   	   			cptn_refresh_envelope_account();		  // set envelope account on all pages

				    if(cptn_po_assistant_step == 3)  // Domain page, fetch fresh Domain data
					   {
					   $('#cptn_sender_domain').focus();
					   $('.cptn-po-assistant-orange-sign').html('<?php 
    echo  htmlspecialchars_decode( esc_html__( "Please do not continue without setting up the above email addresses !", "campation-postoffice" ) ) ;
    ?>').show('slow');
					   }
				    if(cptn_po_assistant_step == 4)  // Plugins page, fetch fresh Plugin data
					   {
		   			   cptn_po_assistant_get_plugins();           
					   $('.cptn-po-assistant-orange-sign').html('<?php 
    echo  htmlspecialchars_decode( esc_html__( "Please do not continue without setting up the above mail categories !", "campation-postoffice" ) ) ;
    ?>').show('slow');
					   }
				    if(cptn_po_assistant_step == 5)  // Subdomains page, fetch fresh Subdomains data
					   {
<?php 
    ?>

					   }
				    if(cptn_po_assistant_step == 6)  // DNS page, fetch fresh DNS data
					   {
					   $('#cptn_po_assistant_rdns_table tbody').html('');
					   cptn_po_assistant_get_dns();
					   }
				    if(cptn_po_assistant_step == 8)  // End page
				 	   cptn_po_assistant_status_save('8','OK');

					}	

				 if(cptn_po_assistant_step == 1)
		   	        $('#cptn-po-assistant-previous-button').hide();
		         else
		   	        $('#cptn-po-assistant-previous-button').show();

		         if(cptn_po_assistant_step >= cptn_po_assistant_step_max-1)
			        {
		   	     	$('.cptn-po-assistant-next-button').hide();
		         	if(cptn_po_assistant_step == cptn_po_assistant_step_max)
		   	     	   $('#cptn-po-assistant-finish-button').hide();
					else   
		   	     	   $('#cptn-po-assistant-finish-button').show();
				    }
                 else
			        {
		   	     	$('.cptn-po-assistant-next-button').show();
				 	$('#cptn-po-assistant-finish-button').hide();
				 	}

  		         }
			  }


           // fill plugins
		   function cptn_po_assistant_get_plugins () 
		      {
		      $.ajax({
		   	     method: 'POST',
		   		 cache: false,
				 headers: {'cache-control':'no-cache'},
		   		 context: this,
		   		 data: {action:'cptn_po_assistant_get_plugins'},
		   		 url: adminajaxurl,
		   		 success: function(data) {
					   dataobj = JSON.parse(data);

					   // fill plugins table
                       $.each(dataobj.cptn_po_plugins, function( key, value ) 
					      {
						  if(value.mailcategory)
						     $('#'+value.mailcategory+'_'+value.pluginslug).prop('checked',true); 
						  else
						     $('#none_'+value.pluginslug).prop('checked',true); 
						  });

					   // reset "dom changed" to 0 1000ms after creating modal
					   setTimeout(() => cptn_domchanged=0, 1000); 
       				   },
		   		 complete: function() {},
		   		 error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
		   		 });
              }   
			  

<?php 
    ?>			  
			  

           // RE-CHECK DNS BUTTON				
           $(document).on("click", '#cptn-po-assistant-recheck-dns', function(event) { 
		      cptn_po_assistant_get_dns();
		      });

		   function cptn_po_assistant_get_dns () 
		      {
		   	  $('.cptn-po-assistant-next-button, #cptn-po-assistant-finish-button, #cptn-po-assistant-previous-button, .cptn-po-assistant-progress').css("pointer-events", "none");
		   	  $('.cptn-po-assistant-next-button').hide();
			  $('#cptn-po-assistant-check-everything').prop('disabled',true);
		   	  $('.cptn-po-assistant-orange-sign').hide();
			  $('.cptn-po-assistant-green-sign').html('<?php 
    echo  htmlspecialchars_decode( esc_html__( "retrieving DNS values - this may take some time", "campation-postoffice" ) ) ;
    ?>').show('slow');
		   	  $('.loadingSpinnerContainer').show();
			  $('.cptn_po_assistant_dns_row').remove();

              // recheck everything
			  $.ajax({
	 			  method: 'POST',
	 			  cache: false,
				  headers: {'cache-control':'no-cache'},
	 			  context: this,
	 			  url: adminajaxurl,
	 			  data: {action:'cptn_po_assistant_recheck_dns'},
       			  success: function(data) {

		      	     // fill rDNS table with fresh data
		      		 $.ajax({
		   	     	    method: 'POST',
		   		 		cache: false,
				 		headers: {'cache-control':'no-cache'},
		   		 		context: this,
		   		 		data: {action:'cptn_po_assistant_get_rdns'},
		   		 		url: adminajaxurl,
		   		 		success: function(data) {
						    $('#cptn_po_assistant_rdns_table tbody').append(data);
       				        },
		   		        complete: function() {},
		   		 		error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
		   		        });

		      	     // fill DNS table with fresh data
		      		 $.ajax({
		   	     	    method: 'POST',
		   		 		cache: false,
				 		headers: {'cache-control':'no-cache'},
		   		 		context: this,
		   		 		data: {action:'cptn_po_assistant_get_dns'},
		   		 		url: adminajaxurl,
		   		 		success: function(data) {
						    $('#cptn_po_assistant_dns_table tbody').append(data);
		   	  			  	$('.loadingSpinnerContainer').hide();
				 	   		$('.cptn-po-assistant-green-sign').hide();
							$('#cptn-po-assistant-check-everything').prop('disabled',false);
		   	  				$('.cptn-po-assistant-next-button, #cptn-po-assistant-finish-button, #cptn-po-assistant-previous-button, .cptn-po-assistant-progress').css("pointer-events", "auto");
//		   	  				$('.cptn-po-assistant-next-button').show();
			 	   		    $('.cptn-po-assistant-orange-sign').html('<?php 
    echo  htmlspecialchars_decode( esc_html__( "You may continue without setting up the above DNS records and return later - However, this can lead to your emails <strong><u>ending up in spam</u></strong>!", "campation-postoffice" ) ) ;
    ?>').show('slow');
       				        },
		   		        complete: function() {},
		   		 		error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
		   		        });

            		 },
       			  complete: function() {},
       			  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
       			  });
              }   
			  

           // RE-CHECK EVERYTHING BUTTON				
           $(document).on("click", '#cptn-po-assistant-check-everything', function(event) { 
		      cptn_po_assistant_get_check();
		      });
			  
		   function cptn_po_assistant_get_check() 
		      {
			  $('.loadingSpinnerContainer').show(); 
		   	  $('.cptn-po-assistant-next-button, #cptn-po-assistant-finish-button, #cptn-po-assistant-previous-button, .cptn-po-assistant-progress').css("pointer-events", "none");
              $('#cptn-po-assistant-check').hide();
              $('#cptn-po-assistant-recheck-print').hide();
			  $('#cptn-po-assistant-progress-7').css("pointer-events", "none");
		   	  $('#cptn-po-assistant-finish-button').prop('disabled',true);
		   	  $('#cptn-po-assistant-progress-8').css("pointer-events", "none");
		   	  $('.cptn-po-assistant-orange-sign').html('<span id="cptn_po_assistant_checkerrors"></span> <?php 
    echo  htmlspecialchars_decode( esc_html__( 'errors found - please go back and check configuration or use the "CHECK EVERYTHING" button', "campation-postoffice" ) ) ;
    ?>').hide();
		   	  $('.cptn-po-assistant-orange-sign').hide();
			  $('.cptn-po-assistant-green-sign').html('<?php 
    echo  htmlspecialchars_decode( esc_html__( "checking everything - this may take up to 60 seconds", "campation-postoffice" ) ) ;
    ?>').show('slow');
		   	  $('.cptn-po-assistant-green-sign').show();

<?php 
    ?>			
			  $('.cptn_po_assistant_check_row').remove();

			  // wait until final result
			  var checkerrors = 0;
			  var checkerrorsdns = 0;
			  
			  // show errors when occurring
			  $(document).on('DOMSubtreeModified','#cptn_po_assistant_checkerrors',function(){
			     if($(this).html().length && $(this).html()>'0')
				    {
					$('.cptn-po-assistant-green-sign').hide();
				    $('.cptn-po-assistant-orange-sign').show();
					}
			     });

				 
			  // fill mailserver with fresh data
		      $.ajax({
		   	     	    method: 'POST',
		   		 		cache: false,
				 		headers: {'cache-control':'no-cache'},
		   		 		context: this,
		   		 		data: {action:'cptn_po_assistant_get_check_mailserver'},
		   		 		url: adminajaxurl,
		   		 		success: function(data) {
						    $('#cptn_po_assistant_check_mailserver_table tbody').append(data);
							var cptn_po_assistant_has_server = 0;
							$('#cptn_po_assistant_check_mailserver_table tbody tr td').each(function() {
   							   if($(this).html().includes(String.fromCharCode('10004')))
							      cptn_po_assistant_has_server = 1;
   							   });
                            if(cptn_po_assistant_has_server == 0)
      						   checkerrors++;
							$('#cptn_po_assistant_checkerrors').html(checkerrors);
       				        },
		   		        complete: function() {},
		   		 		error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
		   		        });

			  cptn_po_assistant_domain_check = false;
			  cptn_po_assistant_email_check = true;
			  cptn_ajaxstop_allowed = false;
						
<?php 
    ?>			


              // check domain(s)
			  $.ajax({
	 			  method: 'POST',
	 			  cache: false,
				  headers: {'cache-control':'no-cache'},
	 			  context: this,
	 			  url: adminajaxurl,
	 			  data: {action:'cptn_po_assistant_recheck_dns'},
       			  success: function(data) {

		      	     // fill domains with fresh data
		      		 $.ajax({
		   	     	    method: 'POST',
		   		 		cache: false,
				 		headers: {'cache-control':'no-cache'},
		   		 		context: this,
		   		 		data: {action:'cptn_po_assistant_get_check_domain'},
		   		 		url: adminajaxurl,
		   		 		success: function(data) {
						    $('#cptn_po_assistant_check_domain_table tbody').append(data);

							// count errors
							$('#cptn_po_assistant_check_domain_table tbody tr td').each(function() {
   							   if($(this).html().includes(String.fromCharCode('10007')))
      						      checkerrors++;
   							   });
							$('#cptn_po_assistant_check_domain_table tbody tr td li').each(function() {
   							   if(!$(this).html().includes('cptn-ul') && $(this).html().includes('<?php 
    echo  htmlspecialchars_decode( esc_html__( "IMPORTANT", "campation-postoffice" ) ) ;
    ?>'))
      						      checkerrorsdns++;
   							   });
							$('#cptn_po_assistant_checkerrors').html(checkerrors);
			  				cptn_po_assistant_domain_check = true;
       				        },
		   		        complete: function() {},
		   		 		error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
		   		        });

            		 },
       			  complete: function() {},
       			  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
       			  });



			  // everything finished?
              var finishinterval = setInterval(function()
			     {
// console.log("Email "+cptn_po_assistant_email_check+", Domain "+cptn_po_assistant_domain_check)
				 if(cptn_po_assistant_email_check && cptn_po_assistant_domain_check)
				    {
// console.log("finished");
				    clearInterval(finishinterval);


				    $('#cptn-po-assistant-progress-7').css("pointer-events", "auto");
				    if(checkerrors == 0)
					   {
					   $('.cptn-po-assistant-next-button, #cptn-po-assistant-finish-button, #cptn-po-assistant-previous-button, .cptn-po-assistant-progress').css("pointer-events", "auto");
					   $('.cptn-po-assistant-orange-sign').hide();
					   $('.cptn-po-assistant-green-sign').html('').hide();
					   $('#cptn-po-assistant-finish-button').prop('disabled',false);
					   $('#cptn-po-assistant-check').show('slow');

					   cptn_po_assistant_status_save('7','OK');
					   var confirm_content = '<?php 
    echo  htmlspecialchars_decode( esc_html__( 'Congratulations - no significant errors found, Campation PostOffice&trade; is operational! - please click the "<strong>Finish</strong>" button to finalize the wizard', "campation-postoffice" ) ) ;
    ?>.';
					   if(checkerrorsdns>0)
					      {
   					      confirm_content += '<br><br><?php 
    echo  htmlspecialchars_decode( esc_html__( 'Nevertheless your domain / DNS configuration <strong>still contains errors</strong> (marked below with IMPORTANT) - please do not forget to correct these configurations as soon as possible for impecable email delivery!<br><br>Please print this page or go back for immediate correction!', "campation-postoffice" ) ) ;
    ?>';
					   	  $('#cptn-po-assistant-recheck-print').show('slow');
					   	  $('#cptn-po-assistant-recheck-print').click(function(){
					         $('#cptn-po-assistant-check-printThis').printThis({
    					        header: "<h1><?php 
    echo  htmlspecialchars_decode( esc_html__( 'Campation PostOffice&trade; check result', "campation-postoffice" ) ) ;
    ?></h1>"
						        });
						     });						  
						  }
					   $.confirm({
  				       		      title: '',
  					  	  	 	  content: '<div style="font-size:80px;text-align:center;color:#208C41;"><i class="fas fa-check-square"></i></div>'+confirm_content,
					  	  	 	  buttons: {
  				      		    	      confirm: {
							    				     text: '<?php 
    echo  htmlspecialchars_decode( esc_html__( 'OK', "campation-postoffice" ) ) ;
    ?>'
						        				   } 
  				                           }
					      });	
					   }
                    else
					   {
					   cptn_po_assistant_status_save('7','ERR');

					   $('.cptn-po-assistant-next-button, #cptn-po-assistant-finish-button, #cptn-po-assistant-previous-button, .cptn-po-assistant-progress').css("pointer-events", "auto");
					   $('#cptn-po-assistant-progress-8').css("pointer-events", "none");
					   $('.cptn-po-assistant-green-sign').hide();
					   $('#cptn-po-assistant-finish-button').prop('disabled',true);

					   $('#cptn-po-assistant-check').show('slow');
					   $('#cptn-po-assistant-recheck-print').show('slow');
					   $('#cptn-po-assistant-recheck-print').click(function(){
					      $('#cptn-po-assistant-check-printThis').printThis({
    					     header: "<h1><?php 
    echo  htmlspecialchars_decode( esc_html__( 'Campation PostOffice&trade; check result', "campation-postoffice" ) ) ;
    ?></h1>"
						     });
						  });						  

					   $.confirm({
  				                  title: '<?php 
    echo  htmlspecialchars_decode( esc_html__( 'Attention', "campation-postoffice" ) ) ;
    ?>',
  					  	  	 	  content: checkerrors+' <?php 
    echo  htmlspecialchars_decode( esc_html__( 'errors found - please go back and check configuration or use the "CHECK EVERYTHING" button', "campation-postoffice" ) ) ;
    ?>',
					  	  	 	  buttons: {
  				      		   		      confirm: {
							    			        text: '<?php 
    echo  htmlspecialchars_decode( esc_html__( 'OK', "campation-postoffice" ) ) ;
    ?>'
						          				   } 
  				               			   }
					      });	
					   }

					$('html, body').animate({scrollTop:0}, 'slow');	 
					$('#cptn-po-assistant-container').animate({scrollTop:document.getElementById("cptn-po-assistant-container").scrollHeight}, 'slow');	 
					$('.loadingSpinnerContainer').hide();
					cptn_ajaxstop_allowed = true;
					}
				 } 
			     , 1000);
              }   

			  


              function cptn_po_assistant_plugins_save()
			     {
		   		 $('.loadingSpinnerContainer').show(); 
				 var formdata = $('#cptn_po_assistant_plugins_form').serialize();
				 $.ajax({
				    method: 'POST',
		 			cache: false,
					headers: {'cache-control':'no-cache'},
		 			context: this,
		 			url: adminajaxurl,
		 			data: formdata,
         			success: function(data) {
            				},
               		complete: function() {},
   		       		error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                    });
                 }

              function cptn_po_assistant_domain_save()
			     {
		   		 $('.loadingSpinnerContainer').show(); 
				 var formdata = $('#cptn_po_assistant_domain_form').serialize();
				 $.ajax({
				       method: 'POST',
		 			   cache: false,
					   headers: {'cache-control':'no-cache'},
		 			   context: this,
		 			   url: adminajaxurl,
		 			   data: formdata,
         			   success: function(data) {
            				},
               		   complete: function() {},
   		       		   error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                       });
                 }


              function cptn_po_assistant_mailserver_save()
			     {
		   		 $('.loadingSpinnerContainer').show(); 
				 var formdata = $('#cptn_po_assistant_mailserver_form').serialize();
				 $.ajax({
				    method: 'POST',
		 			cache: false,
					headers: {'cache-control':'no-cache'},
		 			context: this,
		 			url: adminajaxurl,
		 			data: formdata,
         			success: function(data) {
            				},
               		complete: function() {},
   		       		error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                    });
                 }


              function cptn_po_assistant_subdomain_save()
			     {
		   		 $('.loadingSpinnerContainer').show(); 
				 var formdata = $('#cptn_po_assistant_subdomain_form').serialize();
				 $.ajax({
				    method: 'POST',
		 			cache: false,
					headers: {'cache-control':'no-cache'},
		 			context: this,
		 			url: adminajaxurl,
		 			data: formdata,
         			success: function(data) {
            				},
               		complete: function() {},
   		       		error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                    });
                 }


              function cptn_refresh_envelope_account()
			     {
				 $('.envelope-imap-account').html($('#cptn_po_opt_envelope_account_email').val());
				 }
			  $(document).on('change keyup', '#cptn_po_opt_envelope_account_email', function() {
			     cptn_refresh_envelope_account()
			     });


              function cptn_po_assistant_status_save(step='', status='')
			     {
				 $.ajax({
				    method: 'POST',
		 			cache: false,
					headers: {'cache-control':'no-cache'},
		 			context: this,
		 			url: adminajaxurl,
					data: {action:'cptn_po_assistant_status_save', step:step, status:status},
         			success: function(data) {
            				},
               		complete: function() {},
   		       		error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                    });
                 }


    	   // step 8 submit the test emails form
    	   $('#cptn-po-assistant-final-test-emails').on('submit', function (e) {

              // if the validator does not prevent form submit
        	  if (!e.isDefaultPrevented()) 
			     {
		         $('.loadingSpinnerContainer').show(); 
				 $('#cptn-po-assistant-final-test-emails-error').hide();   
			  	 var formdata = new FormData(this);               
			     $.ajax({
		 			  	method: 'POST',
		 				cache: false,
						headers: {'cache-control':'no-cache'},
		 				context: this,
		 				url: adminajaxurl,
		 				data: formdata,
            			contentType: false,
            			processData:false,
						beforeSend: function(){
                		   $('cptn-po-assistant-final-test-emails-button').attr("disabled","disabled");
                		   $('#cptn-po-assistant-final-test-emails').css("opacity",".5");
            			   },
         				success: function(data) {
						    $('#cptn-po-assistant-final-test-emails-button').hide();
					   		$('#cptn-po-assistant-final-test-emails-result').show('slow');   
					   		$('#cptn-po-assistant-final-test-emails-hint').show('slow');   
            				},
               			complete: function() {},
   		       			error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
					   	   $('#cptn-po-assistant-final-test-emails-error').show('slow');   
     			 		   return false;
   			      		   }
		 			});
			     }
		      return false;
        	  });		

			  
		   });   // End of document ready
         
	     }    // END check every 30ms until jQuery is available
      }, 30);
   })();
	</script>
<?php 
}
