<?php
add_action('admin_footer', 'cptn_po_domain_js');
function cptn_po_domain_js()
   {
?>
	<script type="text/javascript">
	var cptn_po_domchanged = 0;
	 
   // START check every 30ms until jQuery is available
   (function() {
      var nTimer = setInterval(function() {
        if (window.jQuery) {
	  	   clearInterval(nTimer);

	    // jQuery is loaded
		jQuery(document).ready(function($) {
		   $('.loadingSpinnerContainer').show(); 

                // load modals
                $('#wpbody-content .wrap').append(cptn_po_general_modal);
                $('#wpbody-content .wrap').append(cptn_po_domain_modal);
                $('#wpbody-content .wrap').append(cptn_po_domain_mailserver_modal);


				// ADD BUTTON
				$.ajax({
		 		   method: 'POST',
		 		   cache: false,
				   headers: {'cache-control':'no-cache'},
		 		   context: this,
		 		   url: adminajaxurl,
		 		   data: {action:'cptn_po_domain_add'},
         		   success: function(data) {
				   		   if(data)
					          $('#cptn-po-datatable-domains_wrapper .btn_add_record').css('display',data);
            			   },
               	   complete: function() {},
   		       	   error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                   });
				

			    // SERVER BUTTON				
                $(document).on("click", '.btn_server_domain', function(event) { 
		     	   domainid = $(this).attr('data-id');
				   domainname = $(this).parent().parent().find('td:nth-child(3)').html();
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_domains_server', id:domainid},
         			  success: function(data) {
		                 // load modal
					  	   $('#cptn-po-large-modal .modal-dialog').css('max-width','80%');
		            	   $('#cptn-po-large-modal .modal-dialog').css("margin-left","250px");
					  	   $('#cptn-po-large-modal .modal-title').html(domainname);
					  	   $('#cptn-po-large-modal .modal-body').html(data);
					  	   $('#cptn-po-large-modal .modal-footer').html('');
           				   $('select').each(function() {
		      			      optionselected = $(this).attr('data-selected');
			                  $(this).find('option[value="'+optionselected+'"]').attr('selected', 'selected');
		      				  });
						   initializeTable('cptn-po-datatable-domains-mailserver', $('#cptn-po-datatable-domains-mailserver').attr('data-id'));
			  	   		   $('#cptn-po-large-modal').modal('show');
						   cptn_enable_bootstrap_tooltips();
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });

				$('#cptn-po-large-modal').on('hidden.bs.modal', function () {
				   $('#cptn-po-datatable-domains').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
				   });

				   
			    // INFO BUTTON				
                $(document).on("click", '.btn_info_domain', function(event) { 
		     	   domainid = $(this).attr('data-id');
				   domainname = $(this).parent().parent().find('td:nth-child(3)').html();
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_domains_info', id:domainid},
         			  success: function(data) {
		                   // load modal
					  	   $('#cptn-po-large-modal .modal-dialog').css('max-width','80%');
		            	   $('#cptn-po-large-modal .modal-dialog').css("margin-left","250px");
					  	   $('#cptn-po-large-modal .modal-title').html(domainname);
					  	   $('#cptn-po-large-modal .modal-body').html(data);
					  	   $('#cptn-po-large-modal .modal-footer').html('');
           				   $('select').each(function() {
		      			      optionselected = $(this).attr('data-selected');
			                  $(this).find('option[value="'+optionselected+'"]').attr('selected', 'selected');
		      				  });
			  	   		   $('#cptn-po-large-modal').modal('show');
						   cptn_enable_bootstrap_tooltips();
						   $('.loadingSpinnerContainer').hide();	  
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });

				   

			    // EDIT BUTTON				
                $(document).on("click", '.btn_edit_domain, .btn_add_record', function(event) { 
				   var domainprotect_categories = 'trans marke bulk cold';
				   cptn_po_domchanged = 0;
		     	   domainid = $(this).attr('data-id');
				   domainname = $(this).parent().parent().find('td:nth-child(3)').html();
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_domains_edit', id:domainid},
         			  success: function(data) {
		                   // load modal
					  	   $('#cptn-po-domain-modal .modal-dialog').css('max-width','80%');
		            	   $('#cptn-po-domain-modal .modal-dialog').css("margin-left","250px");
					  	   if(domainid) $('#cptn-po-domain-modal .modal-title').html(domainname);
					   	   $('#cptn-po-domain-modal #cptn-po-domain-save-button').attr("data-id",domainid);
					  	   $('#cptn-po-domain-modal .modal-body').html(data);
           				   $('select').each(function() {
		      			      optionselected = $(this).attr('data-selected');
			                  $(this).find('option[value="'+optionselected+'"]').attr('selected', 'selected');
		      				  });

						   // block already used categories
                           $("#mailcategory option").each(function() {
    						  if($(this).val() && $('#cptn_po_usedcategories').val().includes($(this).val()))
        					     $(this).attr("disabled", "disabled");
                              });


						   $('#cptn-po-domain-modal .btn-primary').html('');

						   if($('#cptn-po-domain-modal #domainname').val())
						      {
			  	   		      $('#cptn-po-domain-modal #domainname').prop('readonly',true);
					  	   	  if($('#cptn-po-domain-modal #envelope_address').val()=='')
			  	   		         $('#cptn-po-domain-modal #envelope_address').val('postoffice@'+$('#cptn-po-domain-modal #domainname').val());
					          if($('#cptn-po-domain-modal #unsubscribe_address').val()=='')
			  	   		         $('#cptn-po-domain-modal #unsubscribe_address').val('unsubscribe@'+$('#cptn-po-domain-modal #domainname').val());
					          if($('#cptn-po-domain-modal #dmarc_address').val()=='')
			  	   		         $('#cptn-po-domain-modal #dmarc_address').val('dmarc@'+$('#cptn-po-domain-modal #domainname').val());
					          if($('#cptn-po-domain-modal #from_address').val()=='' && domainprotect_categories.includes($('#mailcategory option:selected').val()) && $('#mailcategory option:selected').val()>'')
			  	   		         $('#cptn-po-domain-modal #from_address').val('info@'+$('#cptn-po-domain-modal #domainname').val());
					          if($('#cptn-po-domain-modal #replyto_address').val()=='' && domainprotect_categories.includes($('#mailcategory option:selected').val()) && $('#mailcategory option:selected').val()>'')
			  	   		         $('#cptn-po-domain-modal #replyto_address').val('reply@'+$('#cptn-po-domain-modal #domainname').val());
							  }	 
			  	   		   $('#cptn-po-domain-modal').modal('show');
						   cptn_enable_bootstrap_tooltips();

					       // reset dom changed to 0 after building modal
					   	   setTimeout(() => cptn_po_domchanged=0, 1000); 

						   $('.loadingSpinnerContainer').hide();	  

					       // control save button
				       	   setInterval(function() {
   					          var enable_save_button = true;

   						  	  if(jQuery('#domainname').val()=="")
							     {
								 enable_save_button = false;
								 jQuery('#domainname').css('border-color','red');             
								 }
							  else jQuery('#domainname').css('border-color','#8c8f94');	 
							  
   						  	  if(jQuery('#envelope_address').val()=="" || !jQuery('#envelope_address').val().includes('@'+jQuery('#domainname').val()))
							     {
								 enable_save_button = false;
								 jQuery('#envelope_address').css('border-color','red');             
								 }
							  else jQuery('#envelope_address').css('border-color','#8c8f94');	 
							  
   						  	  if(jQuery('#unsubscribe_address').val()=="" || !jQuery('#unsubscribe_address').val().includes('@'+jQuery('#domainname').val()))
							     {
								 enable_save_button = false;
								 jQuery('#unsubscribe_address').css('border-color','red');             
								 }
							  else jQuery('#unsubscribe_address').css('border-color','#8c8f94');	 

   						  	  if(jQuery('#dmarc_address').val()=="" || !jQuery('#dmarc_address').val().includes('@'+jQuery('#domainname').val()))
							     {
								 enable_save_button = false;
								 jQuery('#dmarc_address').css('border-color','red');             
								 }
							  else jQuery('#dmarc_address').css('border-color','#8c8f94');	 
							  
   						  	  if((jQuery('#from_address').val()=="" || !jQuery('#from_address').val().includes('@'+jQuery('#domainname').val())) && domainprotect_categories.includes($('#mailcategory option:selected').val()) && $('#mailcategory option:selected').val()>'')
							     {
								 enable_save_button = false;
								 jQuery('#from_address').css('border-color','red');             
								 }
							  else jQuery('#from_address').css('border-color','#8c8f94');	 
							  
   						  	  if((jQuery('#replyto_address').val()=="" || !jQuery('#replyto_address').val().includes('@'+jQuery('#domainname').val()))  && domainprotect_categories.includes($('#mailcategory option:selected').val()) && $('#mailcategory option:selected').val()>'')
							     {
								 enable_save_button = false;
								 jQuery('#replyto_address').css('border-color','red');             
								 }
							  else jQuery('#replyto_address').css('border-color','#8c8f94');	 
							  
                              jQuery('#cptn-po-domain-save-button').attr('disabled',!enable_save_button);
							  
                          	  }, 500); // check every 500ms

            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });

				   // warn if changes were not saved
		   		   $(document).on('change','#cptn_po_domain_form',function(e) {
				      cptn_po_domchanged++;
                      });

		   		   $(document).on('focusout','#cptn_po_domain_form #domainname',function(e) {
					  if($('#cptn-po-domain-modal #envelope_address').val()=='')
			  	   		 $('#cptn-po-domain-modal #envelope_address').val('postoffice@'+$('#cptn-po-domain-modal #domainname').val());
					  if($('#cptn-po-domain-modal #unsubscribe_address').val()=='')
			  	   		 $('#cptn-po-domain-modal #unsubscribe_address').val('unsubscribe@'+$('#cptn-po-domain-modal #domainname').val());
					  if($('#cptn-po-domain-modal #dmarc_address').val()=='')
			  	   		 $('#cptn-po-domain-modal #dmarc_address').val('dmarc@'+$('#cptn-po-domain-modal #domainname').val());
					  if($('#cptn-po-domain-modal #from_address').val()=='' && domainprotect_categories.includes($('#mailcategory option:selected').val()) && $('#mailcategory option:selected').val()>'')
			  	   		 $('#cptn-po-domain-modal #from_address').val('info@'+$('#cptn-po-domain-modal #domainname').val());
					  if($('#cptn-po-domain-modal #replyto_address').val()=='' && domainprotect_categories.includes($('#mailcategory option:selected').val()) && $('#mailcategory option:selected').val()>'')
			  	   		 $('#cptn-po-domain-modal #replyto_address').val('reply@'+$('#cptn-po-domain-modal #domainname').val());
                      });
				   });


                $('#cptn-po-domain-modal .cptn-po-close-modal').click(function(e) {
				    if(cptn_po_domchanged>0) 
					   {
					   $.confirm({
  				          title: '<?php echo htmlspecialchars_decode(esc_html__('Attention',"campation-postoffice")); ?>',
  					  	  content: '<?php echo htmlspecialchars_decode(esc_html__('There are unsaved changes - please confirm to leave this page!',"campation-postoffice")); ?>',
					  	  buttons: {
  				      		   confirm: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('OK',"campation-postoffice")); ?>',
            					  action: function () 
							         {
  						     		 $('#cptn-po-domain-modal').modal('hide');
                                     }
						          },
  				      		   cancel: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('Cancel',"campation-postoffice")); ?>',
            					  action: function () 
							         {
    					     		 e.preventDefault();
									 }
								  }	 
  				               }
					      });		   
					   }
					else
					   $('#cptn-po-domain-modal').modal('hide');   
                    });

				   
	   		  // SAVE BUTTON 
	   		  $('#cptn-po-domain-save-button').click(function() {

				 valid = true;
				 $.each($('#cptn_po_domain_form input'), function (index, value) {
    			    if($(this).prop('required') && !$(this).val()) 
					   valid = false;
					});
				 if(valid)	
				    {
		   		    $('.loadingSpinnerContainer').show(); 
				 	var formdata = $('#cptn_po_domain_form').serialize();
				 	$.ajax({
		 				method: 'POST',
		 				cache: false,
						headers: {'cache-control':'no-cache'},
		 				context: this,
		 				url: adminajaxurl,
		 				data: formdata,
         				success: function(data) {
					   		$('#cptn-po-domain-modal').modal('hide');   
				   			$('#cptn-po-datatable-domains').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
            				},
               			complete: function() {},
   		       			error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                       });
                    }
					});


			    // DELETE BUTTON				
                $(document).on("click", '.btn_delete_domain', function(event) { 
		     	   domainid = $(this).attr('data-id');
				   $.confirm({
  				      title: '<?php echo htmlspecialchars_decode(esc_html__('Attention',"campation-postoffice")); ?>',
  					  content: '<?php echo htmlspecialchars_decode(esc_html__('Please confirm with "OK" to finally delete this sender domain and all queued (waiting) emails for this sender domain',"campation-postoffice")); ?> (id = '+domainid+') !',
					  buttons: {
  				      		   confirm: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('OK',"campation-postoffice")); ?>',
            					  action: function () 
							         {
		   	     	     	      	 $('.loadingSpinnerContainer').show(); 
				      	 			 $.ajax({
		 				    		    method: 'POST',
		 								cache: false,
										headers: {'cache-control':'no-cache'},
		 								context: this,
		 								url: adminajaxurl,
		 								data: {action:'cptn_po_domains_delete', id:domainid},
         								success: function(data) {
				   	           			   $('#cptn-po-datatable-domains').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
            			   	   			   },
               			                complete: function() {},
   		       							error: function(xhr, textStatus, errorThrown) {
     	          		       			   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   	   			   return false;
   			      		   	   			   }
                                        });
                                     }
						          },
  				      		   cancel: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('Cancel',"campation-postoffice")); ?>',
            					  action: function () 
							         {
									 }
								  }	 
  				               }
					  });		   
				   });


			    // START-STOP BUTTON				
                $(document).on("click", '.btn_startstop_domain', function(event) { 
		     	   domainid = $(this).attr('data-id');
		     	   domainstate = $(this).attr('data-startstop');
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_domains_startstop', id:domainid, status:domainstate},
         			  success: function(data) {
				   	       $('#cptn-po-datatable-domains').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });


			  // colorize lines of table	   
   		      $(document).ajaxStop(function () {
      	         $('#cptn-po-datatable-domains tr td:nth-child(6)').each(function() {
				    if(!$(this).html().includes(String.fromCharCode('10004')))
				       $(this).parent().css('color','#aa0000');
					else   
				       $(this).parent().css('color','green');
				    });
      	         $('#cptn-po-datatable-domains tr td:nth-child(1)').each(function() {
				    if($(this).find('.btn_startstop_domain').attr('data-startstop')==0)
				       $(this).parent().css('color','#999');
				    });
      	         $('#cptn-po-datatable-domains tr td:nth-child(5)').each(function() {
				    if($(this).text()<1)
				       $(this).parent().css('color','#d600d6');
				    });
      		  	 });   

				   
				   
			    // START-STOP BUTTON DOMAINS-MAILSERVER				
                $(document).on("click", '.btn_startstop_domain_mailserver', function(event) { 
		     	   domainid = $(this).attr('data-id');
		     	   domainstate = $(this).attr('data-startstop');
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_domains_mailserver_startstop', id:domainid, status:domainstate},
         			  success: function(data) {
				   	       $('#cptn-po-datatable-domains-mailserver').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });


			    // INFO BUTTON DOMAIN-MAILSERVER				
                $(document).on("click", '.btn_info_domain_mailserver', function(event) { 
		     	   serverid = $(this).attr('data-id');
				   servername = $(this).parent().parent().find('td:nth-child(4)').html();
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_domains_mailserver_info', id:serverid},
         			  success: function(data) {
		                 // load modal
					  	   $('#cptn-po-medium-modal .modal-dialog').css('max-width','70%');
		            	   $('#cptn-po-medium-modal .modal-dialog').css("margin-left","300px");
					  	   $('#cptn-po-medium-modal .modal-title').html(servername);
					  	   $('#cptn-po-medium-modal .modal-body').html(data);
					  	   $('#cptn-po-medium-modal .modal-footer').html('');
           				   $('select').each(function() {
		      			      optionselected = $(this).attr('data-selected');
			                  $(this).find('option[value="'+optionselected+'"]').attr('selected', 'selected');
		      				  });
              		   	   if(!$("#cptn-po-medium-modal .ui-switcher").length) jQuery.switcher('#cptn-po-medium-modal input[type=checkbox]');

			  	   		   $('#cptn-po-medium-modal').modal('show');
						   cptn_enable_bootstrap_tooltips();
						   $('.loadingSpinnerContainer').hide();	  
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });




				   
			    // SEND TESTMAIL BUTTON DOMAIN-MAILSERVER				
                $(document).on("click", '.btn_testmail_domain_mailserver', function(event) { 
		     	   serverid = $(this).attr('data-id');
				   servername = $(this).parent().parent().find('td:nth-child(4)').html();
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_domains_mailserver_testmail', id:serverid},
         			  success: function(data) {
				           obj = jQuery.parseJSON(data);
						   var queue_id = obj.queue_id;

		                   // load modal
					  	   $('#cptn-po-medium-modal .modal-title').html(servername);
					  	   $('#cptn-po-medium-modal .modal-body').html('<center><strong><?php echo htmlspecialchars_decode(esc_html__("Sending test email","campation-postoffice")); ?> '+queue_id+'</strong><br><small><?php echo htmlspecialchars_decode(esc_html__("Test emails ignore all embargo rules in order to produce an immediate result. They are marked with","campation-postoffice")); ?> &#9881;</small><br><br><table align=center cellpadding=5><tr><td><?php echo htmlspecialchars_decode(esc_html__("Sender domain","campation-postoffice")); ?></td><td><strong>'+obj.domain+'</strong></td></tr><tr><td><?php echo htmlspecialchars_decode(esc_html__("Mail server","campation-postoffice")); ?></td><td><strong>'+obj.mailserver+'</strong></td></tr><tr><td><?php echo htmlspecialchars_decode(esc_html__("Recipient","campation-postoffice")); ?></td><td><strong>'+obj.to_email+'</strong></td></tr></table><br><span id="cptn-po-test-email-result"><img src="<?php echo esc_url_raw(CPTNPOPATH,wp_allowed_protocols()); ?>img/cptn-spinner.svg" width=50></span></center>');
					  	   $('#cptn-po-medium-modal .modal-footer').html('');
			  	   		   $('#cptn-po-medium-modal').modal('show');
						   cptn_enable_bootstrap_tooltips();
						   
						   // check result every second
						   cptn_po_check_max_repeat = 10;
						   cptn_po_check_count = 0;
						   cptn_po_check = setInterval(function() { 
						      jQuery(document).on('hidden.bs.modal', '#cptn-po-medium-modal', function () {
							     window.clearInterval(cptn_po_check);
           						 });
							  if (++cptn_po_check_count === cptn_po_check_max_repeat) 
							     {
							     $('#cptn-po-test-email-result').html('<span style="color:#aa0000;font-weight:bold;"><?php echo htmlspecialchars_decode(esc_html__("The server did not respond","campation-postoffice")); ?></span>');
       						     window.clearInterval(cptn_po_check);
   								 }
							  else
							     {	 
				   		         $.ajax({
		 			  		        method: 'POST',
		 			  			 	cache: false,
					  			 	headers: {'cache-control':'no-cache'},
		 			  			 	context: this,
		 			  			 	url: adminajaxurl,
		 			  			 	data: {action:'cptn_po_domains_mailserver_testmail_check', queue_id:queue_id, count:cptn_po_check_count},
         			  			 	success: function(data) {
								       if(data)
									      {
									   	  $('.loadingSpinnerContainer').hide();
			  	   		   		       	  $('#cptn-po-test-email-result').html(data);
									   	  window.clearInterval(cptn_po_check);
									   	  }  
            			   			   },
				   		            complete: function() {},
				   		      	 	error: function(xhr, textStatus, errorThrown) {
     	          		   	           console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   		 	   return false;
   			      		   		 	   }
                                    });
								 }	
						      },1000);

            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });


			    // EDIT BUTTON DOMAIN-MAILSERVER				
                $(document).on("click", '.btn_edit_domain_mailserver', function(event) { 
				   cptn_po_domchanged = 0;
		     	   domainmailserverid = $(this).attr('data-id');
				   servername = $(this).parent().parent().find('td:nth-child(4)').html();
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_domains_mailserver_edit', id:domainmailserverid},
         			  success: function(data) {
		                 // load modal
					  	   $('#cptn-po-domain-mailserver-modal .modal-title').html(servername);
					   	   $('#cptn-po-domain-mailserver-modal #cptn-po-domain-mailserver-save-button').attr("data-id",domainmailserverid);
					  	   $('#cptn-po-domain-mailserver-modal .modal-body').html(data);
					  	   $('#cptn-po-domain-mailserver-modal .modal-footer').html('');

           				   $('select').each(function() {
		      			      optionselected = $(this).attr('data-selected');
			                  $(this).find('option[value="'+optionselected+'"]').attr('selected', 'selected');
		      				  });

			  	   		   $('#cptn-po-domain-mailserver-modal').modal('show');
						   cptn_enable_bootstrap_tooltips();

					       // reset dom changed to 0 after building modal
					   	   setTimeout(() => cptn_po_domchanged=0, 1000); 

						   $('.loadingSpinnerContainer').hide();	  

					       // control save button
				       	   setInterval(function() {
   					          var enable_save_button = true;
   						  	  if(jQuery('#dkim_selector').val()=="")
      					         enable_save_button = false;
                              jQuery('#cptn-po-domain-mailserver-save-button').attr('disabled',!enable_save_button);
                          	  }, 500); // check every 500ms

            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });

				   // warn if changes were not saved
		   		   $(document).on('change','#cptn_po_domain_form',function(e) {
				      cptn_po_domchanged++;
                      });
					  
				   });
				   

	   		  // SAVE BUTTON DOMAIN-MAILSERVER 
	   		  $('#cptn-po-domain-mailserver-save-button').click(function() {
		   		 $('.loadingSpinnerContainer').show(); 
				 var formdata = $('#cptn_po_domain_server_form').serialize();
				 $.ajax({
		 				method: 'POST',
		 				cache: false,
						headers: {'cache-control':'no-cache'},
		 				context: this,
		 				url: adminajaxurl,
		 				data: formdata,
         				success: function(data) {
					   		$('#cptn-po-domain-mailserver-modal').modal('hide');   
				   			$('#cptn-po-datatable-domains-mailserver').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
            				},
               			complete: function() {},
   		       			error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                       });
                    });


                $('#cptn-po-domain-mailserver-modal .cptn-po-close-modal').click(function(e) {
				    if(cptn_po_domchanged>0) 
					   {
					   $.confirm({
  				          title: '<?php echo htmlspecialchars_decode(esc_html__('Attention',"campation-postoffice")); ?>',
  					  	  content: '<?php echo htmlspecialchars_decode(esc_html__('There are unsaved changes - please confirm to leave this page!',"campation-postoffice")); ?>',
					  	  buttons: {
  				      		   confirm: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('OK',"campation-postoffice")); ?>',
            					  action: function () 
							         {
  						     		 $('#cptn-po-domain-mailserver-modal').modal('hide');
                                     }
						          },
  				      		   cancel: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('Cancel',"campation-postoffice")); ?>',
            					  action: function () 
							         {
    					     		 e.preventDefault();
									 }
								  }	 
  				               }
					      });		   
					   }
					else
					   $('#cptn-po-domain-mailserver-modal').modal('hide');   
                    });


			    // RE-CHECK DOMAIN BUTTON				
                $(document).on("click", '#cptn-po-recheck-domain', function(event) { 
		     	   domainid = $(this).attr('data-id');
				   $('#cptn_po_last_check_result').html('');
				   $('#cptn-po-domain-save-button').click();
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_recheck_domain', id:domainid, serverid:0, recreatekeys:0},
         			  success: function(data) {
                           $('#cptn-po-datatable-domains').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
						   $('.btn_info_domain[data-id="'+domainid+'"]').click();
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });

				   });

			    // RE-EDIT DOMAIN BUTTON				
                $(document).on("click", '#cptn-po-reedit-domain', function(event) { 
		     	   domainid = $(this).attr('data-id');
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $('#cptn-po-large-modal').modal('hide');
				   $('.btn_edit_domain[data-id="'+domainid+'"]').click();
				   });
					

			    // RE-CHECK DOMAIN MAILSERVER BUTTON				
                $(document).on("click", '#cptn-po-recheck-domain-mailserver', function(event) { 
		     	   domainid = $(this).attr('data-id');
		     	   serverid = $(this).attr('data-serverid');
				   recreatekeys = 0;
				   if($('#cptn_domain_recreate_keys').prop('checked'))
				      recreatekeys = 1;
				   $('#cptn_po_last_error_domain_mailserver').html('');
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_recheck_domain', id:domainid, serverid:serverid, recreatekeys:recreatekeys},
         			  success: function(data) {
                           $('#cptn-po-datatable-domains-mailserver').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
					   	   $('#cptn-po-medium-modal').modal('hide');   
						   $('.btn_info_domain_mailserver[data-id="'+serverid+'"]').click();
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });


			  // colorize lines of table	   
   		      $(document).ajaxStop(function () {
      	         $('#cptn-po-datatable-domains-mailserver tr td:nth-child(6)').each(function() {
				    if(!$(this).html().includes(String.fromCharCode('10004')))
					   {
				       $(this).parent().css('color','#aa0000');
				       $(this).parent().find('.btn_testmail_domain_mailserver').prop('disabled',true);
					   }
					else
					   {   
				       $(this).parent().css('color','green');
				       $(this).parent().find('.btn_testmail_domain_mailserver').prop('disabled',false);
					   }
				    });
      	         $('#cptn-po-datatable-domains-mailserver tr td:nth-child(8)').each(function() {
				    if(!$(this).html().includes(String.fromCharCode('10004')))
					   {
				       $(this).parent().css('color','#D2691E');
					   }
				    });
      	         $('#cptn-po-datatable-domains-mailserver tr td:nth-child(3)').each(function() {
				    if($(this).html()!='<i class="fas fa-toggle-on"></i>')
					   {
				       $(this).parent().css('color','#d600d6');
				       $(this).parent().find('.btn_testmail_domain_mailserver').prop('disabled',true);
					   }
				    });
      	         $('#cptn-po-datatable-domains-mailserver tr td:nth-child(1)').each(function() {
				    if($(this).find('.btn_startstop_domain_mailserver').attr('data-startstop')==0)
					   {
				       $(this).parent().css('color','#999');
				       $(this).parent().find('.btn_testmail_domain_mailserver').prop('disabled',true);
					   }
				    });
      		  	 });   

		   });   // End of document ready
         
	     }    // END check every 30ms until jQuery is available
      }, 30);
   })();

	</script>
<?php
   };
?>