<?php
add_action('admin_footer', 'cptn_po_mailserver_js');
function cptn_po_mailserver_js()
   {
?>
	<script type="text/javascript">
	var cptn_po_domchanged = 0;
	 
   // START check every 30ms until jQuery is available
   (function() {
      var nTimer = setInterval(function() {
        if (window.jQuery) {
	  	   clearInterval(nTimer);

	    // jQuery is loaded
		jQuery(document).ready(function($) {
		   $('.loadingSpinnerContainer').show(); 

                // load modals
                $('#wpbody-content .wrap').append(cptn_po_general_modal);
                $('#wpbody-content .wrap').append(cptn_po_mailserver_modal);

				// ADD BUTTON
				$.ajax({
		 		   method: 'POST',
		 		   cache: false,
				   headers: {'cache-control':'no-cache'},
		 		   context: this,
		 		   url: adminajaxurl,
		 		   data: {action:'cptn_po_mailservers_add'},
         		   success: function(data) {
				   		   if(data)
					          $('#cptn-po-datatable-mailservers_wrapper .btn_add_record').css('display',data);
            			   },
               	   complete: function() {},
   		       	   error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                   });

			    // INFO BUTTON				
                $(document).on("click", '.btn_info_mailserver', function(event) { 
		     	   mailserverid = $(this).attr('data-id');
				   mailservername = $(this).parent().parent().find('td:nth-child(4)').html()+' ('+$(this).parent().parent().find('td:nth-child(5)').html()+')';
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_mailservers_info', id:mailserverid},
         			  success: function(data) {
		                 // load modal
					  	   $('#cptn-po-large-modal .modal-title').html(mailservername);
					  	   $('#cptn-po-large-modal .modal-body').html(data);
					  	   $('#cptn-po-large-modal .modal-footer').html('');
			  	   		   $('#cptn-po-large-modal').modal('show');
						   cptn_enable_bootstrap_tooltips();
						   $('.loadingSpinnerContainer').hide();	  
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });


			    // EDIT BUTTON				
                $(document).on("click", '.btn_edit_mailserver, .btn_add_record', function(event) { 
				   cptn_po_domchanged = 0;
		     	   mailserverid = $(this).attr('data-id');
				   mailservername = $(this).parent().parent().find('td:nth-child(4)').text()+' ('+$(this).parent().parent().find('td:nth-child(5)').text()+')';
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_mailservers_edit', id:mailserverid},
         			  success: function(data) {
		                 // load modal
					  	   $('#cptn-po-mailserver-modal .modal-title').html(mailservername);
					   	   $('#cptn-po-mailserver-modal #cptn-po-mailserver-save-button').attr("data-id",mailserverid);
					  	   $('#cptn-po-mailserver-modal .modal-body').html(data);
       				       if($('#server_type').text()=='SMTP')
							  {
						      $('.cptn-po-mailserver-smtp').show();
							  $('.cptn-po-mailserver-php').hide();
           				   	  $('select').each(function() {
		      			         optionselected = $(this).attr('data-selected');
			                  	 $(this).find('option[value="'+optionselected+'"]').attr('selected', 'selected');
		      				  	 });
							  }
						   else
							  {
						      $('.cptn-po-mailserver-smtp').hide();
							  $('.cptn-po-mailserver-php').show();
							  }

			  	   		   $('#cptn-po-mailserver-modal').modal('show');
						   cptn_enable_bootstrap_tooltips();

					       // reset dom changed to 0 after building modal
					   	   setTimeout(() => cptn_po_domchanged=0, 1000); 

						   $('.loadingSpinnerContainer').hide();	  

					       // control save button
				       	   setInterval(function() {
   					          var enable_save_button = true;
							  if(jQuery('#ms_server_type').val()=="smtp")
							     { 
   						  	  	 if(jQuery('#ms_shortname').val()=="" || jQuery('#ms_address').val()=="" || jQuery('#ms_port').val()=="" || jQuery('#ms_account').val()=="" || jQuery('#ms_password').val()=="" || jQuery('#ms_password').val()=="")   
      					            enable_save_button = false;

   						  	     if(jQuery('#ms_shortname').val()=="")      jQuery('#ms_shortname').css('border-color','red');   else jQuery('#ms_shortname').css('border-color','#8c8f94');    
   						  	  	 if(jQuery('#ms_address').val()=="") 		jQuery('#ms_address').css('border-color','red'); 	 else jQuery('#ms_address').css('border-color','#8c8f94');    
   						  	  	 if(jQuery('#ms_port').val()=="") 			jQuery('#ms_port').css('border-color','red'); 	     else jQuery('#ms_port').css('border-color','#8c8f94');    
   						  	  	 if(jQuery('#ms_account').val()=="") 		jQuery('#ms_account').css('border-color','red');	 else jQuery('#ms_account').css('border-color','#8c8f94');    
   						  	  	 if(jQuery('#ms_password').val()=="") 		jQuery('#ms_password').css('border-color','red'); 	 else jQuery('#ms_password').css('border-color','#8c8f94');    
							  	 if($('#cptn-po-test-smtpserver-result').attr('data-check') != 'OK')
      					            enable_save_button = false;
							  	 }
							  else
							     {
								 if(jQuery('#ms_processes').val()<"1")		
								    {
									enable_save_button = false;
									jQuery('#ms_processes').css('border-color','red');
									} 	 
							     else jQuery('#ms_processes').css('border-color','#8c8f94');
							     }
                              jQuery('#cptn-po-mailserver-save-button').attr('disabled',!enable_save_button);

                          	  }, 500); // check every 500ms
							  
							  
							  
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });

				   // warn if changes were not saved
		   		   $(document).on('change','#cptn_po_mailserver_form',function(e) {
				      cptn_po_domchanged++;
                      });

				   });



                $('#cptn-po-mailserver-modal .cptn-po-close-modal').click(function(e) {
				    if(cptn_po_domchanged>0) 
					   {
					   $.confirm({
  				          title: '<?php echo htmlspecialchars_decode(esc_html__('Attention',"campation-postoffice")); ?>',
  					  	  content: '<?php echo htmlspecialchars_decode(esc_html__('There are unsaved changes - please confirm to leave this page!',"campation-postoffice")); ?>',
					  	  buttons: {
  				      		   confirm: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('OK',"campation-postoffice")); ?>',
            					  action: function () 
							         {
  						     		 $('#cptn-po-mailserver-modal').modal('hide');
                                     }
						          },
  				      		   cancel: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('Cancel',"campation-postoffice")); ?>',
            					  action: function () 
							         {
    					     		 e.preventDefault();
									 }
								  }	 
  				               }
					      });		   
					   }
					else
					   $('#cptn-po-mailserver-modal').modal('hide');   
                    });

				   
	   		  // SAVE BUTTON 
	   		  $('#cptn-po-mailserver-save-button').click(function() {
		   		 $('.loadingSpinnerContainer').show(); 
				 var formdata = $('#cptn_po_mailserver_form').serialize();
				 $.ajax({
		 				method: 'POST',
		 				cache: false,
						headers: {'cache-control':'no-cache'},
		 				context: this,
		 				url: adminajaxurl,
		 				data: formdata,
         				success: function(data) {
					   		$('#cptn-po-mailserver-modal').modal('hide');   

	   	     	   			$('.loadingSpinnerContainer').show(); 
				   			$.ajax({
		 			  		   method: 'POST',
		 			  		   cache: false,
					  		   headers: {'cache-control':'no-cache'},
		 			  		   context: this,
		 			  		   url: adminajaxurl,
		 			  		   data: {action:'cptn_po_recheck_domain'},
         			  		   success: function(data) {
				   			      $('#cptn-po-datatable-mailservers').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
								  $.ajax({
		 		   				          method: 'POST',
		 		   						  cache: false,
				   						  headers: {'cache-control':'no-cache'},
		 		   						  context: this,
		 		   						  url: adminajaxurl,
		 		   						  data: {action:'cptn_po_mailservers_add'},
         		   						  success: function(data) {
				   		   				     if(data)
					          				    $('#cptn-po-datatable-mailservers_wrapper .btn_add_record').css('display',data);
            			   					 },
               	                          complete: function() {},
   		       	   						  error: function(xhr, textStatus, errorThrown) {
     	          		   				     console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   					 return false;
   			      		   					 }
                                     });
            			   	      },
               	               complete: function() {},
   		       		  		   error: function(xhr, textStatus, errorThrown) {
     	          		   	      console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   		  return false;
   			      		   		  }
                               });

            				},
               			complete: function() {},
   		       			error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                       });
                    });
				   

			    // START-STOP BUTTON				
                $(document).on("click", '.btn_startstop_mailserver', function(event) { 
		     	   mailserverid = $(this).attr('data-id');
		     	   mailserverstate = $(this).attr('data-startstop');
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_mailservers_startstop', id:mailserverid, status:mailserverstate},
         			  success: function(data) {
				   	       $('#cptn-po-datatable-mailservers').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });


			    // DELETE BUTTON				
                $(document).on("click", '.btn_delete_mailserver', function(event) { 
		     	   mailserverid = $(this).attr('data-id');
				   $.confirm({
  				      title: '<?php echo htmlspecialchars_decode(esc_html__('Attention',"campation-postoffice")); ?>',
  					  content: '<?php echo htmlspecialchars_decode(esc_html__('Please confirm with "OK" to finally delete this mail server and all by this mail server already sent emails',"campation-postoffice")); ?> (id = '+mailserverid+') !',
					  buttons: {
  				      		   confirm: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('OK',"campation-postoffice")); ?>',
            					  action: function () 
							         {
		   	     	     	      	 $('.loadingSpinnerContainer').show(); 
				      	 			 $.ajax({
		 				    		    method: 'POST',
		 								cache: false,
										headers: {'cache-control':'no-cache'},
		 								context: this,
		 								url: adminajaxurl,
		 								data: {action:'cptn_po_mailservers_delete', id:mailserverid},
         								success: function(data) {
				   	           			   $('#cptn-po-datatable-mailservers').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
								  		   $.ajax({
		 		   				              method: 'POST',
		 		   						  	  cache: false,
				   						  	  headers: {'cache-control':'no-cache'},
		 		   						  	  context: this,
		 		   						  	  url: adminajaxurl,
		 		   						  	  data: {action:'cptn_po_mailservers_add'},
         		   						  	  success: function(data) {
				   		   				         if(data)
					          				        $('#cptn-po-datatable-mailservers_wrapper .btn_add_record').css('display',data);
            			   					     },
               	                              complete: function() {},
   		       	   						  	  error: function(xhr, textStatus, errorThrown) {
     	          		   				         console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   					 	 return false;
   			      		   					 	 }
                                              });
            			   	   			   },
               			                complete: function() {},
   		       							error: function(xhr, textStatus, errorThrown) {
     	          		       			   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   	   			   return false;
   			      		   	   			   }
                                        });
                                     }
						          },
  				      		   cancel: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('Cancel',"campation-postoffice")); ?>',
            					  action: function () 
							         {
									 }
								  }	 
  				               }
					  });		   
				   });


			  // colorize lines of table	   
   		      $(document).ajaxStop(function () {
      	         $('#cptn-po-datatable-mailservers tr td:nth-child(7)').each(function() {    // connected
				    if(!$(this).html().includes(String.fromCharCode('10004')))
					   {
				       $(this).parent().css('color','#aa0000');
					   }
					else   
					   {
				       $(this).parent().css('color','green');
      	         	   $('#cptn-po-datatable-mailservers tr td:nth-child(8)').each(function() {   // rDNS
				          if(!$(this).html().includes(String.fromCharCode('10004')))
				       	     $(this).parent().css('color','#aa0000');
				          });
					   }
				    });
      	         $('tr td:nth-child(1)').each(function() {
				    if($(this).find('.btn_startstop_mailserver').attr('data-startstop')==0)
				       $(this).parent().css('color','#999');
				    });
      		  	 });   

		   });   // End of document ready
         
	     }    // END check every 30ms until jQuery is available
      }, 30);
   })();

	</script>
<?php
   };
?>