<?php
add_action('admin_footer', 'cptn_po_outbox_js');
function cptn_po_outbox_js()
   {
?>
	<script type="text/javascript">
	 
   // START check every 30ms until jQuery is available
   (function() {
      var nTimer = setInterval(function() {
        if (window.jQuery) {
	  	   clearInterval(nTimer);

	    // jQuery is loaded
		jQuery(document).ready(function($) {
		   $('.loadingSpinnerContainer').show(); 

                jQuery.switcher('input[type=checkbox]');
				
			    // filter switches				
                $(document).on("click", '.cptn-po-outbox-filter', function(event) {
				   $('.loadingSpinnerContainer').show();	  
				   if($(this).is(':checked'))
				      switchstate = 1;
				   else
				      switchstate = 0;
				   switchname = $(this).attr('data-switch');
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_outbox_switch', name:switchname, value:switchstate},
         			  success: function(data) {
				   	       $('#cptn-po-datatable-outbox').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   }); 



				
			    // INFO BUTTON				
                $(document).on("click", '.btn_info_outbox', function(event) { 
		     	   outboxid = $(this).attr('data-id');
				   messagedate = $(this).parent().parent().find('td:nth-child(5)').html();
				   if(messagedate=='') messagedate = $(this).parent().parent().find('td:nth-child(6)').html();
				   senderemail = $(this).parent().parent().find('td:nth-child(11)').html();
				   recipientemail = $(this).parent().parent().find('td:nth-child(12)').html();
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_outbox_info', id:outboxid},
         			  success: function(data) {
					  	   $('#cptn-po-large-modal .modal-title').html(messagedate+' - '+senderemail+' - '+recipientemail);
					  	   $('#cptn-po-large-modal .modal-body').html(data);
					  	   $('#cptn-po-large-modal .modal-footer').html('');
			  	   		   $('#cptn-po-large-modal').modal('show');
						   cptn_enable_bootstrap_tooltips();
						   $('.loadingSpinnerContainer').hide();	  
            			   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });


			    // DELETE BUTTON				
                $(document).on("click", '.btn_delete_outbox', function(event) { 
		     	   messageid = $(this).attr('data-id');
				   $.confirm({
  				      title: '<?php echo htmlspecialchars_decode(esc_html__('Attention',"campation-postoffice")); ?>',
  					  content: '<?php echo htmlspecialchars_decode(esc_html__('Please confirm with "OK" to finally delete this email',"campation-postoffice")); ?> (id = '+messageid+') !',
					  buttons: {
  				      		   confirm: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('OK',"campation-postoffice")); ?>',
            					  action: function () 
							         {
		   	     	     	      	 $('.loadingSpinnerContainer').show(); 
				      	 			 $.ajax({
		 				    		    method: 'POST',
		 								cache: false,
										headers: {'cache-control':'no-cache'},
		 								context: this,
		 								url: adminajaxurl,
		 								data: {action:'cptn_po_outbox_delete', id:messageid},
         								success: function(data) {
				   	           			   $('#cptn-po-datatable-outbox').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
            			   	   			   },
               			                complete: function() {},
   		       							error: function(xhr, textStatus, errorThrown) {
     	          		       			   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   	   			   return false;
   			      		   	   			   }
                                        });
                                     }
						          },
  				      		   cancel: {
							      text: '<?php echo htmlspecialchars_decode(esc_html__('Cancel',"campation-postoffice")); ?>',
            					  action: function () 
							         {
									 }
								  }	 
  				               }
					  });		   
				   });


			    // RESEND BUTTON				
                $(document).on("click", '.btn_resend_outbox', function(event) { 
		     	   outboxid = $(this).attr('data-id');
	   	     	   $('.loadingSpinnerContainer').show(); 
				   $.ajax({
		 			  method: 'POST',
		 			  cache: false,
					  headers: {'cache-control':'no-cache'},
		 			  context: this,
		 			  url: adminajaxurl,
		 			  data: {action:'cptn_po_outbox_resend', id:outboxid},
         			  success: function(data) {
				   	           			   $('#cptn-po-datatable-outbox').DataTable().ajax.reload(function(){ $('.loadingSpinnerContainer').hide(); });
						   				   $('.loadingSpinnerContainer').hide();	  
            			   				   },
               	      complete: function() {},
   		       		  error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                      });
				   });

				   
				   
			  // colorize lines of table	   
   		      $(document).ajaxStop(function () {
      	         $('#cptn-po-datatable-outbox tr td:nth-child(10)').each(function() {        // Delivery
				    if($(this).html().includes(String.fromCharCode('10007')))	   			   // Error
				       $(this).parent().css('color','#770000');
				    else if($(this).html().includes(String.fromCharCode('10004')) && !$(this).html()=='')
				       $(this).parent().css('color','#51AD5C');
				    else if($(this).html().includes('<img'))                                   // waiting for slave
				       $(this).parent().css('color','#999');
				    });
      	         $('#cptn-po-datatable-outbox tr td:nth-child(9)').each(function() {         // System
				    if(!$(this).html().includes(String.fromCharCode('10004')))	   			    // System error
				       $(this).parent().css('color','#d600d6');
				    });
      	         $('#cptn-po-datatable-outbox tr td:nth-child(16)').each(function() {        // open = bold green
				    if($(this).html()>'')
				       $(this).parent().css('color','#51AD5C').css('font-weight','bold');
				    });
      	         $('#cptn-po-datatable-outbox tr td:nth-child(17)').each(function() {        // click = bold darkgreen
				    if($(this).html()>'')
				       $(this).parent().css('color','darkgreen').css('font-weight','bold');
				    });
      	         $('#cptn-po-datatable-outbox tr td:nth-child(15)').each(function() {        // unsubscribe
				    if($(this).html().includes(String.fromCharCode('10007')))
				       $(this).parent().css('color','#aa0000').css('font-weight','normal');
				    });
    
	  		  	 });   


              // load modal
		  	  $('#wpbody-content .wrap').append(cptn_po_general_modal);

		   });   // End of document ready
         
	     }    // END check every 30ms until jQuery is available
      }, 30);
   })();

	</script>
<?php
   };
?>