<?php
// exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {	exit(); }

if(cptn_po_is_plugin_page("recipient"))
   {
   include_once("assets/includes/cptn-po-general-modal.php");
   include_once("assets/css/cptn-po-css.php");
   include_once("assets/js/cptn-po-general-js.php");
   include_once(CPTNPODIR."common/js/cptn-modal-js.php");
   include_once("assets/js/cptn-po-datatables.php");
   include_once(CPTNPODIR."common/js/virelin-datatables.php");
   include_once("assets/js/recipient-js.php");
   }



function cptn_po_admin_recipient(){

   echo '<div class="wrap">
   <div class="loadingSpinnerContainer"><img class="loadingSpinnerImage" src="'.esc_url_raw(CPTNPOPATH,wp_allowed_protocols()).'img/cptn-spinner.svg"></div>
   <h1 class="mt-2"><img height=40 src="'.esc_url_raw(CPTNPOPATH,wp_allowed_protocols()).'img/h1-icon.png"> Campation PostOffice&trade; > '.htmlspecialchars_decode(esc_html__('Recipients',"campation-postoffice")).'</h1>';
?>
   <p><?php echo htmlspecialchars_decode(esc_html__('Every recipient who has ever received an email is saved in this list.',"campation-postoffice")); ?></p>
   <div style="position:absolute;right:350px;height:30px;margin-top:17px;padding:5px;z-index:100;font-size:12px;">
      <form>
   	     <input type="checkbox" class="cptn-po-recipient-filter" data-switch="ok" id="cptn-po-recipient-ok" value="1" <?php if(intval(get_option("cptn_po_opt_recipient_switch_ok"))) echo ' checked'; ?>>OK&nbsp;&nbsp;&nbsp;
   		 <input type="checkbox" class="cptn-po-recipient-filter" data-switch="malf" id="cptn-po-recipient-malf" value="1"<?php if(intval(get_option("cptn_po_opt_recipient_switch_malf"))) echo ' checked'; ?>><?php echo htmlspecialchars_decode(esc_html__('malformed',"campation-postoffice")); ?>&nbsp;&nbsp;&nbsp;
   		 <input type="checkbox" class="cptn-po-recipient-filter" data-switch="nomx" id="cptn-po-recipient-nomx" value="1"<?php if(intval(get_option("cptn_po_opt_recipient_switch_nomx"))) echo ' checked'; ?>><?php echo htmlspecialchars_decode(esc_html__('no MX',"campation-postoffice")); ?>&nbsp;&nbsp;&nbsp;
   		 <input type="checkbox" class="cptn-po-recipient-filter" data-switch="bounce" id="cptn-po-recipient-bounce" value="1"<?php if(intval(get_option("cptn_po_opt_recipient_switch_bounce"))) echo ' checked'; ?>><?php echo htmlspecialchars_decode(esc_html__('bounced',"campation-postoffice")); ?>&nbsp;&nbsp;&nbsp;
   		 <input type="checkbox" class="cptn-po-recipient-filter" data-switch="inactive" id="cptn-po-recipient-inactive" value="1"<?php if(intval(get_option("cptn_po_opt_recipient_switch_inactive"))) echo ' checked'; ?>><?php echo htmlspecialchars_decode(esc_html__('inactive',"campation-postoffice")); ?>
   		 <input type="checkbox" class="cptn-po-recipient-filter" data-switch="unsub" id="cptn-po-recipient-unsub" value="1"<?php if(intval(get_option("cptn_po_opt_recipient_switch_unsub"))) echo ' checked'; ?>><?php echo htmlspecialchars_decode(esc_html__('unsubscribed',"campation-postoffice")); ?>
   		 <input type="checkbox" class="cptn-po-recipient-filter" data-switch="block" id="cptn-po-recipient-block" value="1"<?php if(intval(get_option("cptn_po_opt_recipient_switch_block"))) echo ' checked'; ?>><?php echo htmlspecialchars_decode(esc_html__('blocked',"campation-postoffice")); ?>
      </form>
   </div>
   <table id="cptn-po-datatable-recipients" style="margin-top:-135px;" data-tablehead="cptn_po_recipients" data-page-length="16" data-url="cptn_po_recipients" class="virelin-datatable table table-hover table-compact" cellspacing="0" width="100%" style="margin-bottom:20px !important;width:100% !important;">
	  <thead>
      </thead>
	  <tbody>
	  </tbody>
   </table>
   </div>

   <table id="cptn_po_stat" title="<?php echo esc_attr__("Data from the last 24 hours - updated every 15 seconds - except 'inactive'","campation-postoffice"); ?>">
      <tr><th><?php echo htmlspecialchars_decode(esc_html__('waiting',"campation-postoffice")); ?></th><th><?php echo htmlspecialchars_decode(esc_html_x('sent','stats circle',"campation-postoffice")); ?></th><th><?php echo htmlspecialchars_decode(esc_html__('opened',"campation-postoffice")); ?></th><th><?php echo htmlspecialchars_decode(esc_html__('clicked',"campation-postoffice")); ?></th><th><?php echo htmlspecialchars_decode(esc_html__('unsubscribed',"campation-postoffice")); ?></th><th><?php echo htmlspecialchars_decode(esc_html__('bounced',"campation-postoffice")); ?></th><th><?php echo htmlspecialchars_decode(esc_html__('inactive',"campation-postoffice")); ?></th><th><?php echo htmlspecialchars_decode(esc_html__('Execution',"campation-postoffice")); ?></th></tr>    
	  <tr><td id="cptn_po_stat_waiting"><span id="cptn_po_stat_waiting_val"></span></td><td id="cptn_po_stat_sent"><span id="cptn_po_stat_sent_val"></span></td><td id="cptn_po_stat_opened"><span id="cptn_po_stat_opened_val"></span></td><td id="cptn_po_stat_clicked"><span id="cptn_po_stat_clicked_val"></span></td><td id="cptn_po_stat_unsubscribed"><span id="cptn_po_stat_unsubscribed_val"></span></td><td id="cptn_po_stat_bounced"><span id="cptn_po_stat_bounced_val"></span></td><td id="cptn_po_stat_inactive"><span id="cptn_po_stat_inactive_val"></span></td><td id="cptn_po_stat_executiontime"><span id="cptn_po_stat_executiontime_val"></span></td></tr>
   </table>

<?php
   }
?>
