<?php
if(!function_exists("cptn_referrer"))
   {
   add_action('wp_ajax_nopriv_cptn_referrer','cptn_referrer');
   add_action('wp_ajax_cptn_referrer','cptn_referrer');
   function cptn_referrer() 
      {      
	  $referrer = esc_url_raw(urldecode($_POST['referrer']));
	  $slug = sanitize_text_field($_POST['slug']);

	  if(strpos($referrer,"wp-admin/plugin-install.php")!==false AND strpos($referrer,"?s=")!==false)
	     {
		 $query = parse_url($referrer,PHP_URL_QUERY);
		 parse_str($query, $params);
		 if($slug == "campation-postoffice" AND get_option("cptn_po_referrer")=="")
		    update_option("cptn_po_referrer",$params);
		 if($slug == "campation-journey" AND get_option("cptn_jo_referrer")=="")
		    update_option("cptn_jo_referrer",$params);
		 }
   	  wp_die();
   	  }
   }   


if(!function_exists("cptn_send_javascript_error"))
   {
   add_action('wp_ajax_nopriv_cptn_send_javascript_error','cptn_send_javascript_error');
   add_action('wp_ajax_cptn_send_javascript_error','cptn_send_javascript_error');
   function cptn_send_javascript_error() 
      {
	  $errormessage = $_POST['errormessage'];
	  $headers  = 'MIME-Version: 1.0'.PHP_EOL;
      $headers .= 'Content-type: text/html; charset=UTF-8'.PHP_EOL;
	  mail("support@campation.com","Javascript Error ExpoLocator",$errormessage,$headers);	     
	  wp_die();
	  }   
   }
?>