<?php
// =========================================================================
//    adjust textdomain after copying!  "wp-campation" / "campation-postoffice"
// =========================================================================
if(!function_exists("cptn_general_js"))
   {
   add_action('admin_footer', 'cptn_general_js');
   function cptn_general_js()
      {

?>
   <script type="text/javascript">
   var adminajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>';
   var frontendajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>';

   var cptn_locale = '<?php echo strtolower(str_replace("_","-",substr(get_user_locale(wp_get_current_user()),0,5)));?>'; 	  
   var cptn_language = '<?php echo substr(strtolower(str_replace("_","-",substr(get_user_locale(wp_get_current_user()),0,5))),0,2);?>'; 	  
   var cptn_country = '<?php echo substr(strtolower(str_replace("_","-",substr(get_user_locale(wp_get_current_user()),0,5))),3,2);?>'; 	  
   var cptn_timezone = '<?php echo str_replace(" ","_",esc_html(get_option("cptn_opt_timezone_staff"))); ?>'; 	  
   var cptn_timezone_server = '<?php echo str_replace(" ","_",esc_html(get_option("cptn_opt_timezone_server"))); ?>'; 	  
   var cptn_currencysign = '<?php echo str_replace(" ","_",esc_html(get_option("cptn_opt_currencysign"))); ?>'; 	  
   var cptn_currencyiso = '<?php echo str_replace(" ","_",esc_html(get_option("cptn_opt_currencyiso"))); ?>'; 	  
   var cptn_ajaxstop_allowed = true;
   var cptn_referrer = document.referrer;
   
   function cptn_date_format (datestring, dateformat)
      {
   	  var output = '';
      mydate = moment.tz(datestring,cptn_timezone_server);
   	  if(mydate.isValid())
         {
   	  	 moment.locale(cptn_locale);
   	  	 if(dateformat=='D')
		    output = mydate.tz(cptn_timezone).format("L");
         else	  	   
		    output = mydate.tz(cptn_timezone).format("L")+' '+mydate.tz(cptn_timezone).format("LT");
         }
      if(output=='Invalid date') output='';	  		 
      return output;	   
      }	

   function cptn_number_format (number, decimals, currency)
      {
   	  var output = '';
   	  if(currency)
	  	 output = Number(number).toLocaleString(cptn_locale, { minimumFractionDigits: decimals, maximumFractionDigits: decimals, style: 'currency', currency: cptn_currencyiso });
      else
	  	 output = Number(number).toLocaleString(cptn_locale, { minimumFractionDigits: decimals, maximumFractionDigits: decimals });
      return output;	   
      }	

   function cptn_ellipsis (input, len) {
      if (input.length > len) 
         return input.substring(0, len) + '...';
      return input;
	  };	  
	  



   // enable bootstrap tooltips
   function cptn_enable_bootstrap_tooltips() {
	  var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
      var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
  		 return new bootstrap.Tooltip(tooltipTriggerEl, {
				         delay: { "show": 100, "hide": 800 },
					   	 html: true,
					   	 placement: 'auto'
  					   	 })
		 });
	  }	 

	  
   // START check every 30ms until jQuery is available
   (function() {
      var nTimer = setInterval(function() {
        if (window.jQuery) {
	  	   clearInterval(nTimer);

	    // jQuery is loaded
		jQuery(document).ready(function($) {

		   // handle referrer 
		   if(cptn_referrer.includes('wp-admin/plugin-install.php'))
		      {
		   	  $.ajax({
		 		  method: 'POST',
		 		  cache: false,
				  headers: {'cache-control':'no-cache'},
		 		  context: this,
		 		  url: adminajaxurl,
		 		  data: {action:'cptn_referrer',referrer:cptn_referrer,slug:'<?php echo cptn_get_textdomain(plugin_basename(__FILE__)); ?>'},
         		  success: function(data) {
				     },
               	  complete: function() {},
   		       	  error: function(xhr, textStatus, errorThrown) {
     	        		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
                  });
			   }	  
		   // set date format
		   moment.locale(cptn_locale);
		   var datetoday = moment().format('L');
		   var timetoday = moment().format('lll');

           $(document).ajaxStop(function () {
		      if(cptn_ajaxstop_allowed)
      	         $('.loadingSpinnerContainer').hide();
   		   	  });
		   
	       // COPY TO CLIPBOARD BUTTON				
           $(document).on("click", '.cptn-copy-button', function(event) { 
		      $('.cptn-copy-button').each(function() {
		   	     $(this).css('background-color','#f6f7f7').css('color','#2271b1');
		   	  	 $(this).html('<?php echo htmlspecialchars_decode(esc_html__("COPY","campation-postoffice")); ?>');
			     });
		      copyelement = $(this).attr('data-copy');
  		   	  copytext = $('#'+copyelement).text();
		   	  navigator.clipboard.writeText(copytext);
		   	  $(this).css('background-color','green').css('color','white');
		   	  $(this).html('<?php echo htmlspecialchars_decode(esc_html__("Copied to clipboard","campation-postoffice")); ?>');
		   	  });


			  // remove all UTC+/- values from time zone select
			     if($('#cptn_opt_timezone_server optgroup').last().attr('label')!='UTC')
				    {
				 	$('#cptn_opt_timezone_server option').each(function() {
				       if($(this).val().substring(0,4)=='UTC-' || $(this).val().substring(0,4)=='UTC+')
					      $(this).remove();
				       });
				    $('#cptn_opt_timezone_server optgroup').last().remove();	
				    $('#cptn_opt_timezone_staff option').each(function() {
				       if($(this).val().substring(0,4)=='UTC-' || $(this).val().substring(0,4)=='UTC+')
					      $(this).remove();
				       });
				    $('#cptn_opt_timezone_staff optgroup').last().remove();
					}	
	       }); 
	     }
      }, 30);
   })();
</script>
<?php
   }
   };

?>