<?php
// =========================================================================
//    adjust textdomain after copying!  "wp-campation" / "campation-postoffice"
// =========================================================================
if(!function_exists("cptn_support_frontend_js"))
   {
   add_action('admin_footer', 'cptn_support_frontend_js');
   function cptn_support_frontend_js()
      {

      $language = esc_html(substr(get_bloginfo("language"),0,2));

?>
	<script type="text/javascript">
   // START check every 30ms until jQuery is available
   (function() {
      var nTimer = setInterval(function() {
        if (window.jQuery) {
	  	   clearInterval(nTimer);

	    // jQuery is loaded
		jQuery(document).ready(function($) {


		   // --------------------------------
		   //               FAQ		
		   // --------------------------------

		   // get FAQ main content
		   $.ajax({
		 			  	method: 'GET',
		 				cache: false,
		 				context: this,
		 				url: '<?php echo CPTNSUPPORTURL; ?>cptnsupportcontent?plugin='+$('#cptn-faq-main-content').attr('data-plugin')+'&language=<?php echo $language; ?>&referer=<?php echo urlencode(home_url()); ?>',
         				success: function(data) {
						    $('#cptn-faq-main-content').html(data);
		   					$('.cptn-faq-chapter').hide();	            // hide chapter

      	   					// remember content of each element for later restauration
      	   					$('.cptn-faq-main li').each(function(){
		      				   $('.cptn-faq-chapter-title',this).attr('data-before',$('.cptn-faq-chapter-title',this).html());
		      				   $('.cptn-faq-title',this).attr('data-before',$('.cptn-faq-title',this).html());
		 	  				   $('.cptn-faq-content',this).attr('data-before',$('.cptn-faq-content',this).html());
         	  				   });

                            // click on chapter
      	   					$('.cptn-faq-chapter-title').click(function(){
		      				   var status = $(this).next('.cptn-faq-chapter').css('display');
		      				   if($('#cptn-faq-search').val()=='')
			     			      {
         	  	 				  $('.cptn-faq-chapter').not($(this).next('.cptn-faq-chapter')).each(function(){        
		       	    			     $(this).hide(500);
			        				 });
         	                      $('.cptn-faq-chapter li').each(function(){        
		       	    			     $('.cptn-faq-content',this).hide(500);
			        				 });
                                  }
		                       $(this).next('.cptn-faq-chapter').toggle(500);	     // show / hide chapter
		      				   $(this).next('.cptn-faq-chapter li').toggle(500);	     
			  				   if(status=='none') cptn_faq_count_open($(this).attr('data-id')); // element was none before, now switched to display:block			   
         	  				   });
		 

                           // click on faq-title
      	   				   $('.cptn-faq-chapter li').click(function(){
		      			      var status = $(this).find('.cptn-faq-content').css('display');
		      				  if($('#cptn-faq-search').val()=='')
			     			     {
         	  	 				 $('.cptn-faq-chapter li').not(this).each(function(e){        
		      	    			    $('.cptn-faq-content',this).hide(500);
			     					});
			     			     }		
		                      $('.cptn-faq-content',this).toggle(500);	     // show / hide LI
			  				  if(status=='none') 
			     			     {
				 				 cptn_faq_count_open($(this).attr('data-id')); // element was none before, now switched to display:block
				 				 $('.cptn-faq-thumb',this).show();
				 				 }			   
			                  else	 
				 			     $('.cptn-faq-thumb',this).hide();
         	                  });


                           // click on thumb
      	   				   $('.cptn-faq-thumb').click(function(e){
		      			      e.stopPropagation();
		      				  var type = $(this).attr('data-thumb-type');
		      				  var id = $(this).attr('data-id');
			                  $.ajax({
		 			  		     method: 'POST',
		 						 cache: false,
		 						 context: this,
		 						 url: '<?php echo CPTNSUPPORTURL; ?>cptnsupportthumb',
		 						 data: {id:id,type:type},
         						 success: function(data) {
						    	    $(this).parent().find('.cptn-faq-thumb').hide();
            						},
               			         complete: function() {},
   		       					 error: function(xhr, textStatus, errorThrown) {
     	          		   		    console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   			return false;
   			      		   			}
		 			             });
         	                  });

   		                    $('.loadingSpinnerContainer').hide();

            				},
               			complete: function() {},
   		       			error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
					   	   $('#cptn-faq-error').show(500);   
     			 		   return false;
   			      		   }
		 			});


           function cptn_faq_count_open(id)
		      {
			  $.ajax({
		 			  	method: 'POST',
		 				cache: false,
		 				context: this,
		 				url: '<?php echo CPTNSUPPORTURL; ?>cptnsupportopen',
		 				data: {id:id},
         				success: function(data) {
            				},
               			complete: function() {},
   		       			error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
     			 		   return false;
   			      		   }
		 			});
               }
			   


           // search after 300ms
      	   var cptn_faq_search_timeout = null;
      	   $('#cptn-faq-search').on("keyup search", function(e) {
  	          clearTimeout(cptn_faq_search_timeout);
  		 	  cptn_faq_search_timeout = setTimeout(() => {
         
		      var searchText = $(this).val();
           	  var rgxp = new RegExp(searchText, 'g');
		 	  if(searchText.length>2)
		         {		
   				 $('.loadingSpinnerContainer').show();
         	   	 $('.cptn-faq-chapter-title').each(function(){        
		   	   	  	if($(this).text().toUpperCase().indexOf(searchText.toUpperCase()) !== -1)                            // open and colorize LI
		               {
    	   	  	  	   $(this).html($(this).attr('data-before'));
    	   	  	  	   repl = '<span class="cptn-faq-highlight">' + searchText.toUpperCase() + '</span>';
					   content = $(this).html();
					   content_before = content.substr(0, content.toUpperCase().indexOf(searchText.toUpperCase()));					   
					   content_after = content.substr(content.toUpperCase().indexOf(searchText.toUpperCase())+searchText.length,50000);					   
					   content_highlight = content_before+repl+content_after;
    	   	  	  	   $(this).html(content_highlight);
    	   	  	  	   $(this).next('.cptn-faq-chapter').show(500);
			  	       }
		            else                                       // close and reset LI
		               {
    	   	  	  	   $(this).html($(this).attr('data-before'));
			  	  	   }
                    });

     	   	     $('.cptn-faq-title').each(function(){        
		   	   	  	if($(this).text().toUpperCase().indexOf(searchText.toUpperCase()) !== -1)                            // open and colorize LI
		               {
    	   	  	  	   $(this).html($(this).attr('data-before'));
    	   	  	  	   repl = '<span class="cptn-faq-highlight">' + searchText.toUpperCase() + '</span>';
					   content = $(this).html();
					   content_before = content.substr(0, content.toUpperCase().indexOf(searchText.toUpperCase()));					   
					   content_after = content.substr(content.toUpperCase().indexOf(searchText.toUpperCase())+searchText.length,50000);					   
					   content_highlight = content_before+repl+content_after;
    	   	  	  	   $(this).html(content_highlight);
		      		   $(this).parent().parent().show(500);	           // show chapter
		      		   $(this).show(500);	           				   // show faq-title
					   $(this).next('.cptn-faq-content').show(500);	   // show faq-content
				 	   $('.cptn-faq-thumb',this).show();
			  	       }
		            else                                       // close and reset LI
		               {
    	   	  	  	   $(this).html($(this).attr('data-before'));
			  	  	   }
                    });
	
     	   	     $('.cptn-faq-content').each(function(){        
		   	   	  	if($(this).text().toUpperCase().indexOf(searchText.toUpperCase()) !== -1)                            // open and colorize LI
		               {
    	   	  	  	   $(this).html($(this).attr('data-before'));
    	   	  	  	   repl = '<span class="cptn-faq-highlight">' + searchText.toUpperCase() + '</span>';
					   content = $(this).html();
					   content_before = content.substr(0, content.toUpperCase().indexOf(searchText.toUpperCase()));					   
					   content_after = content.substr(content.toUpperCase().indexOf(searchText.toUpperCase())+searchText.length,50000);					   
					   content_highlight = content_before+repl+content_after;
    	   	  	  	   $(this).html(content_highlight);
		      		   $(this).parent().parent().show(500);	           // show chapter
		      		   $(this).show(500);	           				   // show chapter
				 	   $(this).parent().find('.cptn-faq-thumb').show();
			  	       }
		            else                                       // close and reset LI
		               {
    	   	  	  	   $(this).html($(this).attr('data-before'));
    	   	  	  	   $(this).hide(500);
			  	  	   }
                    });
   				    $('.loadingSpinnerContainer').hide();
			      }        
		 	  else                                          // search field deleted, close all	  
                 {
         	   	 $('.cptn-faq-main li').each(function(){
    	   	        $('.cptn-faq-chapter-title',this).html($('.cptn-faq-chapter-title',this).attr('data-before'));
    	   	        $('.cptn-faq-title',this).html($('.cptn-faq-title',this).attr('data-before'));
    	   	   	  	$('.cptn-faq-content',this).html($('.cptn-faq-content',this).attr('data-before'));
		       	  	$('.cptn-faq-content',this).hide(500);
               	  	});
		         $('.cptn-faq-chapter').hide(500);	     // show / hide chapter
			     }
		 	  }, 500);
           });

		

		   
		   
		   
		   

		   // --------------------------------
		   //       SUPPORT REQUEST		
		   // --------------------------------
		
		
		   // technical data required?
           $('#cptn_support_form_area').on('change', function() {
  		      if(this.value=='<?php echo htmlspecialchars_decode(esc_html__('Configuration',"campation-postoffice")); ?>')
			     $('#cptn_support_form_technical').prop('checked',true).change();
  		      else if(this.value=='<?php echo htmlspecialchars_decode(esc_html_x('Operation','support area',"campation-postoffice")); ?>')
			     $('#cptn_support_form_technical').prop('checked',true).change();
  		      else if(this.value=='<?php echo htmlspecialchars_decode(esc_html__('Software bug',"campation-postoffice")); ?>')
			     $('#cptn_support_form_technical').prop('checked',true).change();
			  else	 
			     $('#cptn_support_form_technical').prop('checked',false).change();
			  });




    	   // submit the form
    	   $('#cptn_support_form').on('submit', function (e) {

              // if the validator does not prevent form submit
        	  if (!e.isDefaultPrevented()) 
			     {
			     $('#cptn_support_form_error').hide();   

		         $('.loadingSpinnerContainer').show(); 
				 var url = $(this).attr('data-url');
			  	 var formdata = new FormData(this);                   

                 // first collect technical attachments in case they are needed
			     $.ajax({
					  	method: 'POST',
		 				cache: false,
						headers: {'cache-control':'no-cache'},
		 				context: this,
		 				url: adminajaxurl,
		 				data: {action:'cptn_support_form_technical_attachment'},
         				success: function(data) {
				            // add technical attachment?
				 			if($('#cptn_support_form_technical').prop('checked'))
							   {
							   obj = jQuery.parseJSON(data);
							   formdata.append("technical_mailserver", obj.mailserver);
							   formdata.append("technical_mailservererrors", obj.mailservererrors);
							   formdata.append("technical_mailqueueerrors", obj.mailqueueerrors);
							   formdata.append("technical_debuglog", obj.debuglog);
							   formdata.append("technical_dns", obj.dns);
							   formdata.append("technical_pluginlist", obj.pluginlist);
							   formdata.append("technical_optionlist", obj.optionlist);
							   formdata.append("technical_tablelist", obj.tablelist);
							   formdata.append("language", obj.language);
							   formdata.append("activation", obj.activation);
							   formdata.append("firstversion", obj.firstversion);
							   formdata.append("assistant_step", obj.assistant_step);
							   formdata.append("assistant_status", obj.assistant_status);
							   formdata.append("cron", obj.cron);
							   formdata.append("connectable", obj.connectable);
							   formdata.append("tz_server", obj.tz_server);
							   formdata.append("tz_website", obj.tz_website);
							   formdata.append("rdns", obj.rdns);
							   formdata.append("speedmail_ready", obj.speedmail_ready);
							   formdata.append("check_mta", obj.check_mta);
							   formdata.append("port_smtp", obj.port_smtp);
							   formdata.append("port_ssl", obj.port_ssl);
							   formdata.append("port_tls", obj.port_tls);
							   formdata.append("mail_check", obj.mail_check);
							   formdata.append("mail_error", obj.mail_error);
							   formdata.append("mail_error_full", obj.mail_error_full);
							   formdata.append("users", obj.users);
							   formdata.append("recipients", obj.recipients);
							   formdata.append("queue", obj.queue);
							   }

				            // now submit the form							   
			     			$.ajax({
		 			  		   method: 'POST',
		 					   cache: false,
							   crossDomain: true,
		 					   context: this,
		 					   url: url,
		 					   data: formdata,
							   contentType: false,
		            		   processData:false,
         					   success: function(data) {
						   	      if(data=='OK')
						      	     {
                		   	  		 $('#cptn_support_form_save').attr("disabled","disabled");
                		   	  		 $('#cptn_support_form').css("opacity",".5");
						      		 $('#cptn_support_form_action').hide();
					   		  		 $('#cptn_support_form_result').show(500);
							  		 }
						          else
							  	     {
					   	   	  		 $('#cptn_support_form_error').html('<?php echo htmlspecialchars_decode(esc_html__('There was an error sending the message - response code',"campation-postoffice")); ?>: '+data).show(500);   
							  		 }     
            				      },
               			       complete: function() {},
   		       				   error: function(xhr, textStatus, errorThrown) {
     	          		   	      console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
					   	   		  $('#cptn_support_form_error').show(500);   
     			 		   		  return false;
   			      		   		  }
		 			           });
							   
            				},
               			complete: function() {},
   		       			error: function(xhr, textStatus, errorThrown) {
     	          		   console.log('ajax loading error... '+xhr+' '+textStatus+' '+errorThrown);
					   	   $('#cptn_support_form_error').show(500);   
     			 		   return false;
   			      		   }
		 			});
				 		
			     }
		      return false;
        	  });		


           });   // end document ready		

	     }    // END check every 30ms until jQuery is available
      }, 30);
   })();

	</script>
<?php
   }
   };
?>