<?php
if(!function_exists("cptn_virelin_datatables_js"))
   {
   add_action('admin_footer', 'cptn_virelin_datatables_js');
   function cptn_virelin_datatables_js()
      {
?>
<script>
var collapsedGroups = {};

(function() {
   var cptn_api_jquery_timer = setInterval(function() {
        if (window.jQuery) {
	  	   clearInterval(cptn_api_jquery_timer);
		   
		   jQuery(document).ready(function($) {

	          $(".virelin-datatable").each(function () {                 // TABLE INITIALIZATION all .virelin-datatable on Page
			     table_id = this.id;
			  	 initializeTable (table_id);   // see bottom			  	
			     });        // END TABLE INITIALIZATION
			  

	          // SAVE FORM - DO NOT CHANGE - WORKS FOR ALL FORMS 
			  $(document).on("click", '#modal-ok-button, #modal2-ok-button', function(event) { 
				 var table_reload = $(this).attr('data-reload');
                 var formname = $(this).attr('data-form');
				 var formdata = new FormData($('#'+formname)[0]);
	             formdata.append('action', $(this).attr('data-url')); 
	             formdata.append('id', $(this).attr('data-id')); 
				 if($('input[type=file]').length)
				    {
				    formdata.append('file', $('input[type=file]')[0].files[0]);
                    }
			     $.ajax({
				     method: "POST",
					 contentType: false,
            		 cache: false,
					 headers: {'cache-control':'no-cache'},
            		 processData:false,
			  		 data: formdata,
		 			 url: adminajaxurl
					 })
                 .done(function(data,table) {
					// reload active table saved in button
					if(table_reload)
			    	   $("#"+table_reload).DataTable().ajax.reload(init_reload_complete(table_reload));

					// reset button on modal
				    $("#modal-ok-button").attr("data-id","");
					$("#modal-ok-button").attr("data-form","");
					$("#modal-ok-button").attr("data-url","");   
					$("#modal-ok-button").attr("data-reload","");   
				    $("#modal2-ok-button").attr("data-id","");
					$("#modal2-ok-button").attr("data-form","");
					$("#modal2-ok-button").attr("data-url","");   
					$("#modal2-ok-button").attr("data-reload","");   

					// new Vorgang record was added - wait until loaded and click editform for new Vorgang
					if(data>0 && table_id=="virelin-datatable-vorgang")    
					   {
				       var existButton = setInterval(function() {
   					      if ($('.btn_edit_vorgang[ data-id="'+data+'"]').length) 
      					     {
      						 clearInterval(existButton);
							 $('.btn_edit_vorgang[ data-id="'+data+'"]').click();
 	  						 }
                          }, 100); // check every 100ms
					   }
  					});
				});

                $(document).on("click", '#confirm-btn-si', function(event) { 
	               $.ajax({
				        method: "GET",
						cache:false,
						headers: {'cache-control':'no-cache'},
						context: this,
  						url: $('#'+$(this).attr('data-reload')).attr('data-url')+'?action=delete&status='+$(this).attr('data-status')+'&id='+$(this).attr('data-id'),
  						data: {}
						})
                    .done(function(data) {
   			           $("#confirm-modal").modal('hide');
					   if($.fn.DataTable.isDataTable( "#"+$(this).attr('data-reload')) )
		    	          $("#"+$(this).attr('data-reload')).DataTable().ajax.reload(init_reload_complete($(this).attr('data-reload')));
					   $("#confirm-btn-si").attr("data-id","");
				   	   $("#confirm-btn-si").attr("data-reload","");
				   	   $("#confirm-btn-si").attr("data-status","");
				       });
                   });				

                $(document).on("click", '#confirm-btn-no', function(event) { 
				   $("#confirm-btn-si").attr("data-id","");
			   	   $("#confirm-btn-si").attr("data-reload","");
			   	   $("#confirm-btn-si").attr("data-status","");
    		   	   $("#confirm-modal").modal('hide');
  			   	   });





		    }); 
	     }
      }, 30);
   })();

   
   
                function initializeTable (table_id,condition_id, sub_id)
   				   {
				   var startTime = new Date();
			       var table_head = "datatablehead_"+jQuery("#"+table_id).attr('data-tablehead');
			  	   var new_form = "new_form_"+jQuery("#"+table_id).attr('data-tablehead');
			       var extracondition = '';
			  	   if(condition_id) 
			          {
				 	  extracondition = '?id='+condition_id; 
			  	 	  if(sub_id) extracondition += '&sub_id='+sub_id;
				 	  }
			       else 
				      if(sub_id) extracondition += '?sub_id='+sub_id;
				  

                   var dtconfig = {
			          dom: '<"row"<"col-lg-6"i><"col-lg-6"f>><"table-responsive"t><"row"<"col-lg-6"B><"col-lg-6"p>>',
				 	  initComplete: function(settings, json) {
					     var endTime = new Date();
  						 var timeDiff = endTime - startTime; //in ms
						 },
				 	  columns: eval(table_head),
 				 	  processing: true,
        		 	  serverSide: true,
            	 	  scrollX: "100%",
					  scrollY: "69vH",
					  scrollCollapse:true,
					  stateSave: true,
					  paging:true,
					  searchable: true,
				 	  searchDelay: 1000,
				 	  filter:true,
				 	  ordering: true,
					  aaSorting: [[1, "desc"]],
        		 	  ajax: adminajaxurl+'?action='+jQuery("#"+table_id).attr('data-url')+'&id='+jQuery("#"+table_id).attr('data-id'),
          		 	  responsive: {
            	         details: {
                	        display: jQuery.fn.dataTable.Responsive.display.childRowImmediate,
                	   		type: 'none',
                	   		target: ''
            		   		}
					     },
				 	  language: {
				         sEmptyTable:   	      "<?php echo htmlspecialchars_decode(esc_html__("No data","campation-postoffice")); ?>",
						 infoEmpty: 			  "<?php echo htmlspecialchars_decode(esc_html__("No records available - Got it?","campation-postoffice")); ?>",
						 sInfo:         		  "<?php echo htmlspecialchars_decode(esc_html__("_START_ to _END_ of _TOTAL_ records","campation-postoffice")); ?>",
						 sInfoEmpty:    		  "<?php echo htmlspecialchars_decode(esc_html__("0 to 0 of 0 records","campation-postoffice")); ?>",
						 sInfoFiltered: 		  "(<?php echo htmlspecialchars_decode(esc_html__("filtered from _MAX_ records","campation-postoffice")); ?>)",
						 sInfoPostFix:  		  "",
						 sInfoThousands:  	      ".",
						 sLengthMenu:   		  "<?php echo htmlspecialchars_decode(esc_html__("Show _MENU_ records","campation-postoffice")); ?>",
						 sSearch:       		  "",
					     searchPlaceholder: 	  "<?php echo htmlspecialchars_decode(esc_html__("Filter - Comma=OR, Plus=AND","campation-postoffice")); ?>",
						 sZeroRecords:  		  "<?php echo htmlspecialchars_decode(esc_html__("No records found","campation-postoffice")); ?>",
						 oPaginate: {
					        sFirst:    		  "<<",
					   		sPrevious: 		  "<",
					   		sNext:     		  ">",
					   		sLast:     		  ">>"
					   		},
	                     oAria: {
					   	    sSortAscending:    ": <?php echo htmlspecialchars_decode(esc_html__("Activate for ascending order","campation-postoffice")); ?>",
					   		sSortDescending:   ": <?php echo htmlspecialchars_decode(esc_html__("Activate for descending order","campation-postoffice")); ?>"
							}
                         }, 
					  buttons: [
						   {
                		   text: '<i class="fas fa-plus-circle"></i>',
						   className: "btn_add_record buttonsToHide",
						   titleAttr: '<?php echo htmlspecialchars_decode(esc_html__("Add new record","campation-postoffice")); ?>'
            			   },
						   {text: '<i id="tablereload" class="fas fa-sync"></i>', className: "buttonsToHide", titleAttr: '<?php echo htmlspecialchars_decode(esc_html__("Reload table","campation-postoffice")); ?>',action: function ( e, dt, node, config ) {table.ajax.reload( function () {jQuery('.loadingSpinnerContainer').hide();});}},
						   {extend: 'print', className: "buttonsToHide", exportOptions: {columns:':visible:not(:eq(0))'},text: '<i class="fas fa-print"></i>',titleAttr: '<?php echo htmlspecialchars_decode(esc_html__("Print table","campation-postoffice")); ?>'},
						   {extend: 'copyHtml5', className: "buttonsToHide", exportOptions: {columns:':visible:not(:eq(0))'},text: '<i class="fas fa-clipboard"></i>',titleAttr: '<?php echo htmlspecialchars_decode(esc_html__("Copy table to clipboard","campation-postoffice")); ?>'},
						   {extend: 'excel', className: "buttonsToHide", exportOptions: {columns:':visible:not(:eq(0))'},text: '<i class="fas fa-file-excel"></i>',titleAttr: '<?php echo htmlspecialchars_decode(esc_html__("Export table as XLS","campation-postoffice")); ?>'},
						   {extend: 'pdfHtml5', className: "buttonsToHide", exportOptions: {columns:':visible:not(:eq(0))'},text: '<i class="fas fa-file-pdf"></i>',titleAttr: '<?php echo htmlspecialchars_decode(esc_html__("Export table as PDF","campation-postoffice")); ?>'},
        				   ]	   		 
				      };


				      // switch certain tables to full height
				 	  if(table_id=='cptn-po-datatable-mailservers' || table_id=='cptn-po-datatable-domains' || table_id=='cptn-po-datatable-outbox' || table_id=='cptn-po-datatable-recipients')
            	 	     dtconfig['scrollCollapse'] = false;


				      // add rowGroup to campaigns table
				 	  if(table_id=='cptn-datatable-campaign')
   				         {
						 dtconfig['rowGroup'] = {
        		       	    dataSrc: 'segment',
        			   		startRender: function (rows, group) {
            			       var collapsed = !!collapsedGroups[group];
            			  	   rows.nodes().each(function (r) {
                                  r.style.display = collapsed ? 'none' : '';
            				 	  });    

                               // Add category name to the <tr>. NOTE: Hardcoded colspan
						  	   if(group>'')
            			          return jQuery('<tr/>')
                		     	  .append('<td colspan="13"><?php echo htmlspecialchars_decode(esc_html__("Segment","campation-postoffice")); ?> "' + group + '" [' + rows.count() + ' <?php echo htmlspecialchars_decode(esc_html__("Elements","campation-postoffice")); ?>]</td>')
                			 	  .attr('data-name', group)
                			 	  .toggleClass('collapsed', collapsed);
						       else
						          return jQuery('<tr/>')	 
                		     	  .append('<td colspan="13"><?php echo htmlspecialchars_decode(esc_html__("without segment","campation-postoffice")); ?> [' + rows.count() + ']</td>')
                			 	  .attr('data-name', group)
                			 	  .toggleClass('collapsed', collapsed);
                          		  }
                           }
                        }
				 
			       var table = jQuery("#"+table_id).DataTable(dtconfig)
				                  .on('processing.dt', function ( e, settings, processing ) {
        		         		     jQuery('.loadingSpinnerContainer').css( 'display', processing ? 'block' : 'none' );
    					 			 })
				      				 ;

			 	   jQuery(".btn_add_record").attr("data-reload",table_id);
					
   				   }  // end function initializeTable   
   
   
                function init_reload_complete(table_id)
   				   {
//   				   console.log("RELOAD table "+table_id);
   				   }


			    	   
function cptn_dt_shorten(d,n) 
   {
   if(d && d.length > n)
      d = '<span class="ellipsis" title="'+d+'">'+d.substring(0,n)+'&#8230;</span>';
   return(d)
   }



   
</script>
<?php
   }
   }
?>