<?php
// delete old messages from queue

function cptn_po_cron_purge_queue() 
   {      
   global $wpdb;

   if($wpdb->get_var("SHOW TABLES LIKE '".$wpdb->prefix."cptn_po_queue'") != $wpdb->prefix."cptn_po_queue") wp_die();

   if(intval(get_option("cptn_po_opt_purge_queue_days"))>0)
      {
   	  // delete all old emails
   	  $query = "DELETE FROM ".$wpdb->prefix."cptn_po_queue
   		         WHERE executed <= DATE_SUB(NOW(), INTERVAL ".intval(get_option("cptn_po_opt_purge_queue_days"))." day)
				    OR error_date <= DATE_SUB(NOW(), INTERVAL ".intval(get_option("cptn_po_opt_purge_queue_days"))." day) AND errors>=5
					";
      $wpdb->query($query);
   	  if($wpdb->last_error !== '') {$wpdb->print_error();error_log($wpdb->print_error());wp_die();}
	  }

	  
   // delete old queue error logs
   $query = "SELECT id FROM ".$wpdb->prefix."cptn_po_queue_error
              ORDER BY id DESC
			  LIMIT 1";
   $last_id = $wpdb->get_var($query);
   if($last_id>100)
      {
      $query = "DELETE FROM ".$wpdb->prefix."cptn_po_queue_error
   		         WHERE id < ".($last_id - 100)."
					";
      $wpdb->query($query);
      if($wpdb->last_error !== '') {$wpdb->print_error();error_log($wpdb->print_error());wp_die();}
	  }

	  
   // delete old mailserver error logs
   $query = "SELECT id FROM ".$wpdb->prefix."cptn_po_mailserver_error
              ORDER BY id DESC
			  LIMIT 1";
   $last_id = $wpdb->get_var($query);
   if($last_id>100)
      {
      $query = "DELETE FROM ".$wpdb->prefix."cptn_po_mailserver_error
   		         WHERE id < ".($last_id - 100)."
					";
      $wpdb->query($query);
      if($wpdb->last_error !== '') {$wpdb->print_error();error_log($wpdb->print_error());wp_die();}
	  }

   }

   
   
?>