<?php
// close connection early, but keep executing script
// https://stackoverflow.com/a/141026/5157195
// ob_end_clean();
add_action('template_redirect', 'cptn_po_cron_slave_url',-99);
function cptn_po_cron_slave_url()
   {
   global $wpdb, $wp_query;

   // check for pseudo url
   if ($wp_query->is_404())  
      {
      $code = trim(substr(parse_url($_SERVER["REQUEST_URI"], PHP_URL_PATH),1,1000));   // leading slash
   	  if(substr($code,strlen($code)-1,1)=="/")   // trailing slash
	     $code = substr($code,0,-1);            

      if($code == "cptnpocronslave" OR trim(substr($code,0,strpos($code,"?")))=="cptnpocronslave")
	     {
		 status_header( 200 );

		 $job = "";
		 if(isset($_POST['job']) AND !empty($_POST['job']))
   		    $job = sanitize_text_field($_POST['job']);

         header("Connection: close");
		 ignore_user_abort(true);
		 ob_start();
		 echo('xxx');
		 $size = ob_get_length();
		 header("Content-Length: $size");
		 header("Content-Encoding: none");
		 ob_end_flush();
		 flush();
		 // connection is closed at this point

		 // start actual processing here
		 if(!empty($job))
   		    {
   			if($job=="message")
      		   cptn_po_cron_message_send();      // runs 55 sec 
            elseif($job=="otherqueue")
      		   cptn_po_cron_other_queues();      // runs 55 sec 
   			elseif($job=="recipient")
      		   cptn_po_cron_recipient_check();   // runs 55 sec    
   			elseif($job=="senderscore")
   		       cptn_po_cron_senderscore();       // runs 300 sec each mail server

            }   
         }
	  }
   }	  	 
?>