<?php
// function is called by PostOffice, Campaign, FirstContact on unsubscribe
function cptn_po_unsubscribe($recipient_email="", $queue_id=0)
   {			
   global $wpdb;   
   if($recipient_email)
      {
   	  // mark recipient as unsubscribed
   	  $query = "UPDATE ".$wpdb->prefix."cptn_po_recipient
			   	   SET recipient_status = 'UNSUB',
				       unsubscribe_date = NOW()
			     WHERE recipient_email = '".esc_sql($recipient_email)."'
			     ";
      $wpdb->query($query);
      if($wpdb->last_error !== '') {$wpdb->print_error();error_log($wpdb->print_error());wp_die();}
	  }
			   
   if($queue_id)
      {			   
	  // mark queue as unsubscribed
   	  $query = "UPDATE ".$wpdb->prefix."cptn_po_queue
		           SET unsubscribed = 1,
				       unsubscribe_date = NOW()
			     WHERE id = ".$queue_id;
      $wpdb->query($query);
   	  if($wpdb->last_error !== '') {$wpdb->print_error();error_log($wpdb->print_error());wp_die();}

	  // mark domain as unsubscribed
   	  $query = "SELECT sender_domain_id, mailserver
	              FROM ".$wpdb->prefix."cptn_po_queue
			     WHERE id = ".$queue_id;
      $queue = $wpdb->get_row($query, ARRAY_A);
   	  if($wpdb->last_error !== '') {$wpdb->print_error();error_log($wpdb->print_error());wp_die();}
      $domain_id = $queue['sender_domain_id'];
      $mailserver = $queue['mailserver'];
	  
      if($domain_id)
	     {
   	  	 $query = "UPDATE ".$wpdb->prefix."cptn_po_sender_domain
		           SET mails_unsubscribed = mails_unsubscribed+1
			     WHERE id = ".$domain_id;
         $wpdb->query($query);
   	  	 if($wpdb->last_error !== '') {$wpdb->print_error();error_log($wpdb->print_error());wp_die();}
		 }

	  // mark mailserver as unsubscribed
      if($mailserver)
	     {
   	  	 $query = "UPDATE ".$wpdb->prefix."cptn_po_mailserver
		           SET unsubscribed = unsubscribed+1
			     WHERE id = ".$mailserver;
         $wpdb->query($query);
   	  	 if($wpdb->last_error !== '') {$wpdb->print_error();error_log($wpdb->print_error());wp_die();}
		 }

      // Domain - Mailserver
   	  if($domain_id AND $mailserver)
	     {
	  	 $query = "UPDATE ".$wpdb->prefix."cptn_po_sender_domain_mailserver
	                  SET mails_opened = mails_opened+1
			        WHERE domain_id = ".$domain_id."
			          AND mailserver_id = ".$mailserver;	  		 
         $wpdb->query($query);
	     }
		 
      }
   }
   

function cptn_po_get_option($name)
   {
   global $wpdb;
   $query = "SELECT option_value
   		       FROM ".$wpdb->prefix."cptn_po_option
	          WHERE option_name = '".esc_sql($name)."'";	  		 
   return($wpdb->get_var($query));
   }

function cptn_po_update_option($name,$value)
   {
   global $wpdb;
   $query = "SELECT option_value
   		       FROM ".$wpdb->prefix."cptn_po_option
	          WHERE option_name = '".esc_sql($name)."'";	  		 
   if(!$wpdb->get_row($query))
      {
   	  $query = "INSERT INTO ".$wpdb->prefix."cptn_po_option
   		           SET option_name = '".esc_sql($name)."',
				   	   option_value = '".esc_sql($value)."'";
      $wpdb->query($query);
	  }
   else
      {
   	  $query = "UPDATE ".$wpdb->prefix."cptn_po_option
   		           SET option_value = '".esc_sql($value)."'
	             WHERE option_name = '".esc_sql($name)."'";	  		 
      $wpdb->query($query);
	  }
   }

   	  
?>